--
-- Database: `openemr`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `addresses`
-- 

DROP TABLE IF EXISTS `addresses`;
CREATE TABLE `addresses` (
  `id` int(11) NOT NULL default '0',
  `line1` varchar(255) default NULL,
  `line2` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `state` varchar(35) default NULL,
  `zip` varchar(10) default NULL,
  `plus_four` varchar(4) default NULL,
  `country` varchar(255) default NULL,
  `foreign_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `foreign_id` (`foreign_id`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `array`
-- 

DROP TABLE IF EXISTS `array`;
CREATE TABLE `array` (
  `array_key` varchar(255) default NULL,
  `array_value` longtext
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `batchcom`
-- 

DROP TABLE IF EXISTS `batchcom`;
CREATE TABLE `batchcom` (
  `id` bigint(20) NOT NULL auto_increment,
  `patient_id` int(11) NOT NULL default '0',
  `sent_by` bigint(20) NOT NULL default '0',
  `msg_type` varchar(60) default NULL,
  `msg_subject` varchar(255) default NULL,
  `msg_text` mediumtext,
  `msg_date_sent` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `billing`
-- 

DROP TABLE IF EXISTS `billing`;
CREATE TABLE `billing` (
  `id` int(11) NOT NULL auto_increment,
  `date` datetime default NULL,
  `code_type` varchar(7) default NULL,
  `code` varchar(9) default NULL,
  `pid` int(11) default NULL,
  `provider_id` int(11) default NULL,
  `user` int(11) default NULL,
  `groupname` varchar(255) default NULL,
  `authorized` tinyint(1) default NULL,
  `encounter` int(11) default NULL,
  `code_text` longtext,
  `billed` tinyint(1) default NULL,
  `activity` tinyint(1) default NULL,
  `payer_id` int(11) default NULL,
  `bill_process` tinyint(2) NOT NULL default '0',
  `bill_date` datetime default NULL,
  `process_date` datetime default NULL,
  `process_file` varchar(255) default NULL,
  `modifier` varchar(5) default NULL,
  `units` tinyint(3) default NULL,
  `fee` decimal(12,2) default NULL,
  `justify` varchar(255) default NULL,
  `target` varchar(30) default NULL,
  `x12_partner_id` int(11) default NULL,
  `ndc_info` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `pid` (`pid`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `categories`
-- 

DROP TABLE IF EXISTS `categories`;
CREATE TABLE `categories` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `value` varchar(255) default NULL,
  `parent` int(11) NOT NULL default '0',
  `lft` int(11) NOT NULL default '0',
  `rght` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `parent` (`parent`),
  KEY `lft` (`lft`,`rght`)
) ENGINE=MyISAM;

-- 
-- Dumping data for table `categories`
-- 

INSERT INTO `categories` VALUES (1, 'Categories', '', 0, 0, 17);
INSERT INTO `categories` VALUES (2, 'Lab Report', '', 1, 1, 2);
INSERT INTO `categories` VALUES (3, 'Medical Record', '', 1, 3, 4);
INSERT INTO `categories` VALUES (4, 'Patient Information', '', 1, 5, 8);
INSERT INTO `categories` VALUES (5, 'Patient ID card', '', 4, 6, 7);
INSERT INTO `categories` VALUES (6, 'Advance Directive', '', 1, 9, 16);
INSERT INTO `categories` VALUES (7, 'Do Not Resuscitate Order', '', 6, 10, 11);
INSERT INTO `categories` VALUES (8, 'Durable Power of Attorney', '', 6, 12, 13);
INSERT INTO `categories` VALUES (9, 'Living Will', '', 6, 14, 15);

-- --------------------------------------------------------

-- 
-- Table structure for table `categories_seq`
-- 

DROP TABLE IF EXISTS `categories_seq`;
CREATE TABLE `categories_seq` (
  `id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

-- 
-- Dumping data for table `categories_seq`
-- 

INSERT INTO `categories_seq` VALUES (9);

-- --------------------------------------------------------

-- 
-- Table structure for table `categories_to_documents`
-- 

DROP TABLE IF EXISTS `categories_to_documents`;
CREATE TABLE `categories_to_documents` (
  `category_id` int(11) NOT NULL default '0',
  `document_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`category_id`,`document_id`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `claims`
-- 

DROP TABLE IF EXISTS `claims`;
CREATE TABLE `claims` (
  `patient_id` int(11) NOT NULL,
  `encounter_id` int(11) NOT NULL,
  `version` int(10) unsigned NOT NULL auto_increment,
  `payer_id` int(11) NOT NULL default '0',
  `status` tinyint(2) NOT NULL default '0',
  `payer_type` tinyint(4) NOT NULL default '0',
  `bill_process` tinyint(2) NOT NULL default '0',
  `bill_time` datetime default NULL,
  `process_time` datetime default NULL,
  `process_file` varchar(255) default NULL,
  `target` varchar(30) default NULL,
  `x12_partner_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`patient_id`,`encounter_id`,`version`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `codes`
-- 

DROP TABLE IF EXISTS `codes`;
CREATE TABLE `codes` (
  `id` int(11) NOT NULL auto_increment,
  `code_text` varchar(255) NOT NULL default '',
  `code_text_short` varchar(24) NOT NULL default '',
  `code` varchar(10) NOT NULL default '',
  `code_type` tinyint(2) default NULL,
  `modifier` varchar(5) NOT NULL default '',
  `units` tinyint(3) default NULL,
  `fee` decimal(12,2) default NULL,
  `superbill` varchar(31) NOT NULL default '',
  `related_code` varchar(255) NOT NULL default '',
  `taxrates` varchar(255) NOT NULL default '',
  `cyp_factor` float NOT NULL DEFAULT 0 COMMENT 'quantity representing a years supply',
  `active` TINYINT(1) DEFAULT 1 COMMENT '0 = inactive, 1 = active',
  PRIMARY KEY  (`id`),
  KEY `code` (`code`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `config`
-- 

DROP TABLE IF EXISTS `config`;
CREATE TABLE `config` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `value` varchar(255) default NULL,
  `parent` int(11) NOT NULL default '0',
  `lft` int(11) NOT NULL default '0',
  `rght` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `parent` (`parent`),
  KEY `lft` (`lft`,`rght`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `config_seq`
-- 

DROP TABLE IF EXISTS `config_seq`;
CREATE TABLE `config_seq` (
  `id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

-- 
-- Dumping data for table `config_seq`
-- 

INSERT INTO `config_seq` VALUES (0);

-- --------------------------------------------------------

-- 
-- Table structure for table `documents`
-- 

DROP TABLE IF EXISTS `documents`;
CREATE TABLE `documents` (
  `id` int(11) NOT NULL default '0',
  `type` enum('file_url','blob','web_url') default NULL,
  `size` int(11) default NULL,
  `date` datetime default NULL,
  `url` varchar(255) default NULL,
  `mimetype` varchar(255) default NULL,
  `pages` int(11) default NULL,
  `owner` int(11) default NULL,
  `revision` timestamp NOT NULL,
  `foreign_id` int(11) default NULL,
  `docdate` date default NULL,
  `list_id` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `revision` (`revision`),
  KEY `foreign_id` (`foreign_id`),
  KEY `owner` (`owner`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `drug_inventory`
-- 

DROP TABLE IF EXISTS `drug_inventory`;
CREATE TABLE `drug_inventory` (
  `inventory_id` int(11) NOT NULL auto_increment,
  `drug_id` int(11) NOT NULL,
  `lot_number` varchar(20) default NULL,
  `expiration` date default NULL,
  `manufacturer` varchar(255) default NULL,
  `on_hand` int(11) NOT NULL default '0',
  `last_notify` date NOT NULL default '0000-00-00',
  `destroy_date` date default NULL,
  `destroy_method` varchar(255) default NULL,
  `destroy_witness` varchar(255) default NULL,
  `destroy_notes` varchar(255) default NULL,
  PRIMARY KEY  (`inventory_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `drug_sales`
-- 

DROP TABLE IF EXISTS `drug_sales`;
CREATE TABLE `drug_sales` (
  `sale_id` int(11) NOT NULL auto_increment,
  `drug_id` int(11) NOT NULL,
  `inventory_id` int(11) NOT NULL,
  `prescription_id` int(11) NOT NULL default '0',
  `pid` int(11) NOT NULL default '0',
  `encounter` int(11) NOT NULL default '0',
  `user` varchar(255) default NULL,
  `sale_date` date NOT NULL,
  `quantity` int(11) NOT NULL default '0',
  `fee` decimal(12,2) NOT NULL default '0.00',
  `billed` tinyint(1) NOT NULL default '0' COMMENT 'indicates if the sale is posted to accounting',
  PRIMARY KEY  (`sale_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `drug_templates`
-- 

DROP TABLE IF EXISTS `drug_templates`;
CREATE TABLE `drug_templates` (
  `drug_id` int(11) NOT NULL,
  `selector` varchar(255) NOT NULL default '',
  `dosage` varchar(10) default NULL,
  `period` int(11) NOT NULL default '0',
  `quantity` int(11) NOT NULL default '0',
  `refills` int(11) NOT NULL default '0',
  `taxrates` varchar(255) default NULL,
  PRIMARY KEY  (`drug_id`,`selector`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `drugs`
-- 

DROP TABLE IF EXISTS `drugs`;
CREATE TABLE `drugs` (
  `drug_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL DEFAULT '',
  `ndc_number` varchar(20) NOT NULL DEFAULT '',
  `on_order` int(11) NOT NULL default '0',
  `reorder_point` int(11) NOT NULL default '0',
  `last_notify` date NOT NULL default '0000-00-00',
  `reactions` text,
  `form` int(3) NOT NULL default '0',
  `size` float unsigned NOT NULL default '0',
  `unit` int(11) NOT NULL default '0',
  `route` int(11) NOT NULL default '0',
  `substitute` int(11) NOT NULL default '0',
  `related_code` varchar(255) NOT NULL DEFAULT '' COMMENT 'may reference a related codes.code',
  `cyp_factor` float NOT NULL DEFAULT 0 COMMENT 'quantity representing a years supply',
  `active` TINYINT(1) DEFAULT 1 COMMENT '0 = inactive, 1 = active',
  PRIMARY KEY  (`drug_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `employer_data`
-- 

DROP TABLE IF EXISTS `employer_data`;
CREATE TABLE `employer_data` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `street` varchar(255) default NULL,
  `postal_code` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `state` varchar(255) default NULL,
  `country` varchar(255) default NULL,
  `date` datetime default NULL,
  `pid` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pid` (`pid`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `facility`
-- 

DROP TABLE IF EXISTS `facility`;
CREATE TABLE `facility` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `phone` varchar(30) default NULL,
  `fax` varchar(30) default NULL,
  `street` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `state` varchar(50) default NULL,
  `postal_code` varchar(11) default NULL,
  `country_code` varchar(10) default NULL,
  `federal_ein` varchar(15) default NULL,
  `service_location` tinyint(1) NOT NULL default '1',
  `billing_location` tinyint(1) NOT NULL default '0',
  `accepts_assignment` tinyint(1) NOT NULL default '0',
  `pos_code` tinyint(4) default NULL,
  `x12_sender_id` varchar(25) default NULL,
  `attn` varchar(65) default NULL,
  `domain_identifier` varchar(60) default NULL,
  `facility_npi` varchar(15) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 ;

-- 
-- Dumping data for table `facility`
-- 

INSERT INTO `facility` VALUES (3, 'Your Clinic Name Here', '000-000-0000', '000-000-0000', '', '', '', '', '', '', 1, 0, 0, NULL, '', '', '', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `fee_sheet_options`
-- 

DROP TABLE IF EXISTS `fee_sheet_options`;
CREATE TABLE `fee_sheet_options` (
  `fs_category` varchar(63) default NULL,
  `fs_option` varchar(63) default NULL,
  `fs_codes` varchar(255) default NULL
) ENGINE=MyISAM;

-- 
-- Dumping data for table `fee_sheet_options`
-- 

INSERT INTO `fee_sheet_options` VALUES ('1New Patient', '1Brief', 'CPT4|99201|');
INSERT INTO `fee_sheet_options` VALUES ('1New Patient', '2Limited', 'CPT4|99202|');
INSERT INTO `fee_sheet_options` VALUES ('1New Patient', '3Detailed', 'CPT4|99203|');
INSERT INTO `fee_sheet_options` VALUES ('1New Patient', '4Extended', 'CPT4|99204|');
INSERT INTO `fee_sheet_options` VALUES ('1New Patient', '5Comprehensive', 'CPT4|99205|');
INSERT INTO `fee_sheet_options` VALUES ('2Established Patient', '1Brief', 'CPT4|99211|');
INSERT INTO `fee_sheet_options` VALUES ('2Established Patient', '2Limited', 'CPT4|99212|');
INSERT INTO `fee_sheet_options` VALUES ('2Established Patient', '3Detailed', 'CPT4|99213|');
INSERT INTO `fee_sheet_options` VALUES ('2Established Patient', '4Extended', 'CPT4|99214|');
INSERT INTO `fee_sheet_options` VALUES ('2Established Patient', '5Comprehensive', 'CPT4|99215|');

-- --------------------------------------------------------

-- 
-- Table structure for table `form_dictation`
-- 

DROP TABLE IF EXISTS `form_dictation`;
CREATE TABLE `form_dictation` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `pid` bigint(20) default NULL,
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `authorized` tinyint(4) default NULL,
  `activity` tinyint(4) default NULL,
  `dictation` longtext,
  `additional_notes` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `form_encounter`
-- 

DROP TABLE IF EXISTS `form_encounter`;
CREATE TABLE `form_encounter` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `reason` longtext,
  `facility` longtext,
  `facility_id` int(11) NOT NULL default '0',
  `pid` bigint(20) default NULL,
  `encounter` bigint(20) default NULL,
  `onset_date` datetime default NULL,
  `sensitivity` varchar(30) default NULL,
  `billing_note` text,
  `pc_catid` int(11) NOT NULL default '5' COMMENT 'event category from openemr_postcalendar_categories',
  `last_level_billed` int  NOT NULL DEFAULT 0 COMMENT '0=none, 1=ins1, 2=ins2, etc',
  `last_level_closed` int  NOT NULL DEFAULT 0 COMMENT '0=none, 1=ins1, 2=ins2, etc',
  `last_stmt_date`    date DEFAULT NULL,
  `stmt_count`        int  NOT NULL DEFAULT 0,
  `provider_id` INT(11) DEFAULT '0' COMMENT 'default and main provider for this visit',
  `supervisor_id` INT(11) DEFAULT '0' COMMENT 'supervising provider, if any, for this visit',
  PRIMARY KEY  (`id`),
  KEY `pid` (`pid`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `form_misc_billing_options`
-- 

DROP TABLE IF EXISTS `form_misc_billing_options`;
CREATE TABLE `form_misc_billing_options` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `pid` bigint(20) default NULL,
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `authorized` tinyint(4) default NULL,
  `activity` tinyint(4) default NULL,
  `employment_related` tinyint(1) default NULL,
  `auto_accident` tinyint(1) default NULL,
  `accident_state` varchar(2) default NULL,
  `other_accident` tinyint(1) default NULL,
  `outside_lab` tinyint(1) default NULL,
  `lab_amount` decimal(5,2) default NULL,
  `is_unable_to_work` tinyint(1) default NULL,
  `off_work_from` date default NULL,
  `off_work_to` date default NULL,
  `is_hospitalized` tinyint(1) default NULL,
  `hospitalization_date_from` date default NULL,
  `hospitalization_date_to` date default NULL,
  `medicaid_resubmission_code` varchar(10) default NULL,
  `medicaid_original_reference` varchar(15) default NULL,
  `prior_auth_number` varchar(20) default NULL,
  `comments` varchar(255) default NULL,
  `replacement_claim` tinyint(1) default 0,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `form_reviewofs`
-- 

DROP TABLE IF EXISTS `form_reviewofs`;
CREATE TABLE `form_reviewofs` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `pid` bigint(20) default NULL,
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `authorized` tinyint(4) default NULL,
  `activity` tinyint(4) default NULL,
  `fever` varchar(5) default NULL,
  `chills` varchar(5) default NULL,
  `night_sweats` varchar(5) default NULL,
  `weight_loss` varchar(5) default NULL,
  `poor_appetite` varchar(5) default NULL,
  `insomnia` varchar(5) default NULL,
  `fatigued` varchar(5) default NULL,
  `depressed` varchar(5) default NULL,
  `hyperactive` varchar(5) default NULL,
  `exposure_to_foreign_countries` varchar(5) default NULL,
  `cataracts` varchar(5) default NULL,
  `cataract_surgery` varchar(5) default NULL,
  `glaucoma` varchar(5) default NULL,
  `double_vision` varchar(5) default NULL,
  `blurred_vision` varchar(5) default NULL,
  `poor_hearing` varchar(5) default NULL,
  `headaches` varchar(5) default NULL,
  `ringing_in_ears` varchar(5) default NULL,
  `bloody_nose` varchar(5) default NULL,
  `sinusitis` varchar(5) default NULL,
  `sinus_surgery` varchar(5) default NULL,
  `dry_mouth` varchar(5) default NULL,
  `strep_throat` varchar(5) default NULL,
  `tonsillectomy` varchar(5) default NULL,
  `swollen_lymph_nodes` varchar(5) default NULL,
  `throat_cancer` varchar(5) default NULL,
  `throat_cancer_surgery` varchar(5) default NULL,
  `heart_attack` varchar(5) default NULL,
  `irregular_heart_beat` varchar(5) default NULL,
  `chest_pains` varchar(5) default NULL,
  `shortness_of_breath` varchar(5) default NULL,
  `high_blood_pressure` varchar(5) default NULL,
  `heart_failure` varchar(5) default NULL,
  `poor_circulation` varchar(5) default NULL,
  `vascular_surgery` varchar(5) default NULL,
  `cardiac_catheterization` varchar(5) default NULL,
  `coronary_artery_bypass` varchar(5) default NULL,
  `heart_transplant` varchar(5) default NULL,
  `stress_test` varchar(5) default NULL,
  `emphysema` varchar(5) default NULL,
  `chronic_bronchitis` varchar(5) default NULL,
  `interstitial_lung_disease` varchar(5) default NULL,
  `shortness_of_breath_2` varchar(5) default NULL,
  `lung_cancer` varchar(5) default NULL,
  `lung_cancer_surgery` varchar(5) default NULL,
  `pheumothorax` varchar(5) default NULL,
  `stomach_pains` varchar(5) default NULL,
  `peptic_ulcer_disease` varchar(5) default NULL,
  `gastritis` varchar(5) default NULL,
  `endoscopy` varchar(5) default NULL,
  `polyps` varchar(5) default NULL,
  `colonoscopy` varchar(5) default NULL,
  `colon_cancer` varchar(5) default NULL,
  `colon_cancer_surgery` varchar(5) default NULL,
  `ulcerative_colitis` varchar(5) default NULL,
  `crohns_disease` varchar(5) default NULL,
  `appendectomy` varchar(5) default NULL,
  `divirticulitis` varchar(5) default NULL,
  `divirticulitis_surgery` varchar(5) default NULL,
  `gall_stones` varchar(5) default NULL,
  `cholecystectomy` varchar(5) default NULL,
  `hepatitis` varchar(5) default NULL,
  `cirrhosis_of_the_liver` varchar(5) default NULL,
  `splenectomy` varchar(5) default NULL,
  `kidney_failure` varchar(5) default NULL,
  `kidney_stones` varchar(5) default NULL,
  `kidney_cancer` varchar(5) default NULL,
  `kidney_infections` varchar(5) default NULL,
  `bladder_infections` varchar(5) default NULL,
  `bladder_cancer` varchar(5) default NULL,
  `prostate_problems` varchar(5) default NULL,
  `prostate_cancer` varchar(5) default NULL,
  `kidney_transplant` varchar(5) default NULL,
  `sexually_transmitted_disease` varchar(5) default NULL,
  `burning_with_urination` varchar(5) default NULL,
  `discharge_from_urethra` varchar(5) default NULL,
  `rashes` varchar(5) default NULL,
  `infections` varchar(5) default NULL,
  `ulcerations` varchar(5) default NULL,
  `pemphigus` varchar(5) default NULL,
  `herpes` varchar(5) default NULL,
  `osetoarthritis` varchar(5) default NULL,
  `rheumotoid_arthritis` varchar(5) default NULL,
  `lupus` varchar(5) default NULL,
  `ankylosing_sondlilitis` varchar(5) default NULL,
  `swollen_joints` varchar(5) default NULL,
  `stiff_joints` varchar(5) default NULL,
  `broken_bones` varchar(5) default NULL,
  `neck_problems` varchar(5) default NULL,
  `back_problems` varchar(5) default NULL,
  `back_surgery` varchar(5) default NULL,
  `scoliosis` varchar(5) default NULL,
  `herniated_disc` varchar(5) default NULL,
  `shoulder_problems` varchar(5) default NULL,
  `elbow_problems` varchar(5) default NULL,
  `wrist_problems` varchar(5) default NULL,
  `hand_problems` varchar(5) default NULL,
  `hip_problems` varchar(5) default NULL,
  `knee_problems` varchar(5) default NULL,
  `ankle_problems` varchar(5) default NULL,
  `foot_problems` varchar(5) default NULL,
  `insulin_dependent_diabetes` varchar(5) default NULL,
  `noninsulin_dependent_diabetes` varchar(5) default NULL,
  `hypothyroidism` varchar(5) default NULL,
  `hyperthyroidism` varchar(5) default NULL,
  `cushing_syndrom` varchar(5) default NULL,
  `addison_syndrom` varchar(5) default NULL,
  `additional_notes` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `form_ros`
-- 

DROP TABLE IF EXISTS `form_ros`;
CREATE TABLE `form_ros` (
  `id` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL,
  `activity` int(11) NOT NULL default '1',
  `date` datetime default NULL,
  `weight_change` varchar(3) default NULL,
  `weakness` varchar(3) default NULL,
  `fatigue` varchar(3) default NULL,
  `anorexia` varchar(3) default NULL,
  `fever` varchar(3) default NULL,
  `chills` varchar(3) default NULL,
  `night_sweats` varchar(3) default NULL,
  `insomnia` varchar(3) default NULL,
  `irritability` varchar(3) default NULL,
  `heat_or_cold` varchar(3) default NULL,
  `intolerance` varchar(3) default NULL,
  `change_in_vision` varchar(3) default NULL,
  `glaucoma_history` varchar(3) default NULL,
  `eye_pain` varchar(3) default NULL,
  `irritation` varchar(3) default NULL,
  `redness` varchar(3) default NULL,
  `excessive_tearing` varchar(3) default NULL,
  `double_vision` varchar(3) default NULL,
  `blind_spots` varchar(3) default NULL,
  `photophobia` varchar(3) default NULL,
  `hearing_loss` varchar(3) default NULL,
  `discharge` varchar(3) default NULL,
  `pain` varchar(3) default NULL,
  `vertigo` varchar(3) default NULL,
  `tinnitus` varchar(3) default NULL,
  `frequent_colds` varchar(3) default NULL,
  `sore_throat` varchar(3) default NULL,
  `sinus_problems` varchar(3) default NULL,
  `post_nasal_drip` varchar(3) default NULL,
  `nosebleed` varchar(3) default NULL,
  `snoring` varchar(3) default NULL,
  `apnea` varchar(3) default NULL,
  `breast_mass` varchar(3) default NULL,
  `breast_discharge` varchar(3) default NULL,
  `biopsy` varchar(3) default NULL,
  `abnormal_mammogram` varchar(3) default NULL,
  `cough` varchar(3) default NULL,
  `sputum` varchar(3) default NULL,
  `shortness_of_breath` varchar(3) default NULL,
  `wheezing` varchar(3) default NULL,
  `hemoptsyis` varchar(3) default NULL,
  `asthma` varchar(3) default NULL,
  `copd` varchar(3) default NULL,
  `chest_pain` varchar(3) default NULL,
  `palpitation` varchar(3) default NULL,
  `syncope` varchar(3) default NULL,
  `pnd` varchar(3) default NULL,
  `doe` varchar(3) default NULL,
  `orthopnea` varchar(3) default NULL,
  `peripheal` varchar(3) default NULL,
  `edema` varchar(3) default NULL,
  `legpain_cramping` varchar(3) default NULL,
  `history_murmur` varchar(3) default NULL,
  `arrythmia` varchar(3) default NULL,
  `heart_problem` varchar(3) default NULL,
  `dysphagia` varchar(3) default NULL,
  `heartburn` varchar(3) default NULL,
  `bloating` varchar(3) default NULL,
  `belching` varchar(3) default NULL,
  `flatulence` varchar(3) default NULL,
  `nausea` varchar(3) default NULL,
  `vomiting` varchar(3) default NULL,
  `hematemesis` varchar(3) default NULL,
  `gastro_pain` varchar(3) default NULL,
  `food_intolerance` varchar(3) default NULL,
  `hepatitis` varchar(3) default NULL,
  `jaundice` varchar(3) default NULL,
  `hematochezia` varchar(3) default NULL,
  `changed_bowel` varchar(3) default NULL,
  `diarrhea` varchar(3) default NULL,
  `constipation` varchar(3) default NULL,
  `polyuria` varchar(3) default NULL,
  `polydypsia` varchar(3) default NULL,
  `dysuria` varchar(3) default NULL,
  `hematuria` varchar(3) default NULL,
  `frequency` varchar(3) default NULL,
  `urgency` varchar(3) default NULL,
  `incontinence` varchar(3) default NULL,
  `renal_stones` varchar(3) default NULL,
  `utis` varchar(3) default NULL,
  `hesitancy` varchar(3) default NULL,
  `dribbling` varchar(3) default NULL,
  `stream` varchar(3) default NULL,
  `nocturia` varchar(3) default NULL,
  `erections` varchar(3) default NULL,
  `ejaculations` varchar(3) default NULL,
  `g` varchar(3) default NULL,
  `p` varchar(3) default NULL,
  `ap` varchar(3) default NULL,
  `lc` varchar(3) default NULL,
  `mearche` varchar(3) default NULL,
  `menopause` varchar(3) default NULL,
  `lmp` varchar(3) default NULL,
  `f_frequency` varchar(3) default NULL,
  `f_flow` varchar(3) default NULL,
  `f_symptoms` varchar(3) default NULL,
  `abnormal_hair_growth` varchar(3) default NULL,
  `f_hirsutism` varchar(3) default NULL,
  `joint_pain` varchar(3) default NULL,
  `swelling` varchar(3) default NULL,
  `m_redness` varchar(3) default NULL,
  `m_warm` varchar(3) default NULL,
  `m_stiffness` varchar(3) default NULL,
  `muscle` varchar(3) default NULL,
  `m_aches` varchar(3) default NULL,
  `fms` varchar(3) default NULL,
  `arthritis` varchar(3) default NULL,
  `loc` varchar(3) default NULL,
  `seizures` varchar(3) default NULL,
  `stroke` varchar(3) default NULL,
  `tia` varchar(3) default NULL,
  `n_numbness` varchar(3) default NULL,
  `n_weakness` varchar(3) default NULL,
  `paralysis` varchar(3) default NULL,
  `intellectual_decline` varchar(3) default NULL,
  `memory_problems` varchar(3) default NULL,
  `dementia` varchar(3) default NULL,
  `n_headache` varchar(3) default NULL,
  `s_cancer` varchar(3) default NULL,
  `psoriasis` varchar(3) default NULL,
  `s_acne` varchar(3) default NULL,
  `s_other` varchar(3) default NULL,
  `s_disease` varchar(3) default NULL,
  `p_diagnosis` varchar(3) default NULL,
  `p_medication` varchar(3) default NULL,
  `depression` varchar(3) default NULL,
  `anxiety` varchar(3) default NULL,
  `social_difficulties` varchar(3) default NULL,
  `thyroid_problems` varchar(3) default NULL,
  `diabetes` varchar(3) default NULL,
  `abnormal_blood` varchar(3) default NULL,
  `anemia` varchar(3) default NULL,
  `fh_blood_problems` varchar(3) default NULL,
  `bleeding_problems` varchar(3) default NULL,
  `allergies` varchar(3) default NULL,
  `frequent_illness` varchar(3) default NULL,
  `hiv` varchar(3) default NULL,
  `hai_status` varchar(3) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `form_soap`
-- 

DROP TABLE IF EXISTS `form_soap`;
CREATE TABLE `form_soap` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `pid` bigint(20) default '0',
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `authorized` tinyint(4) default '0',
  `activity` tinyint(4) default '0',
  `subjective` text,
  `objective` text,
  `assessment` text,
  `plan` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `form_vitals`
-- 

DROP TABLE IF EXISTS `form_vitals`;
CREATE TABLE `form_vitals` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `pid` bigint(20) default '0',
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `authorized` tinyint(4) default '0',
  `activity` tinyint(4) default '0',
  `bps` varchar(40) default NULL,
  `bpd` varchar(40) default NULL,
  `weight` float(5,2) default '0.00',
  `height` float(5,2) default '0.00',
  `temperature` float(5,2) default '0.00',
  `temp_method` varchar(255) default NULL,
  `pulse` float(5,2) default '0.00',
  `respiration` float(5,2) default '0.00',
  `note` varchar(255) default NULL,
  `BMI` float(4,1) default '0.0',
  `BMI_status` varchar(255) default NULL,
  `waist_circ` float(5,2) default '0.00',
  `head_circ` float(4,2) default '0.00',
  `oxygen_saturation` float(5,2) default '0.00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `forms`
-- 

DROP TABLE IF EXISTS `forms`;
CREATE TABLE `forms` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `encounter` bigint(20) default NULL,
  `form_name` longtext,
  `form_id` bigint(20) default NULL,
  `pid` bigint(20) default NULL,
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `authorized` tinyint(4) default NULL,
  `deleted` tinyint(4) DEFAULT '0' NOT NULL COMMENT 'flag indicates form has been deleted',
  `formdir` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `geo_country_reference`
-- 

DROP TABLE IF EXISTS `geo_country_reference`;
CREATE TABLE `geo_country_reference` (
  `countries_id` int(5) NOT NULL auto_increment,
  `countries_name` varchar(64) default NULL,
  `countries_iso_code_2` char(2) NOT NULL default '',
  `countries_iso_code_3` char(3) NOT NULL default '',
  PRIMARY KEY  (`countries_id`),
  KEY `IDX_COUNTRIES_NAME` (`countries_name`)
) ENGINE=MyISAM AUTO_INCREMENT=240 ;

-- 
-- Dumping data for table `geo_country_reference`
-- 

INSERT INTO `geo_country_reference` VALUES (1, 'Afghanistan', 'AF', 'AFG');
INSERT INTO `geo_country_reference` VALUES (2, 'Albania', 'AL', 'ALB');
INSERT INTO `geo_country_reference` VALUES (3, 'Algeria', 'DZ', 'DZA');
INSERT INTO `geo_country_reference` VALUES (4, 'American Samoa', 'AS', 'ASM');
INSERT INTO `geo_country_reference` VALUES (5, 'Andorra', 'AD', 'AND');
INSERT INTO `geo_country_reference` VALUES (6, 'Angola', 'AO', 'AGO');
INSERT INTO `geo_country_reference` VALUES (7, 'Anguilla', 'AI', 'AIA');
INSERT INTO `geo_country_reference` VALUES (8, 'Antarctica', 'AQ', 'ATA');
INSERT INTO `geo_country_reference` VALUES (9, 'Antigua and Barbuda', 'AG', 'ATG');
INSERT INTO `geo_country_reference` VALUES (10, 'Argentina', 'AR', 'ARG');
INSERT INTO `geo_country_reference` VALUES (11, 'Armenia', 'AM', 'ARM');
INSERT INTO `geo_country_reference` VALUES (12, 'Aruba', 'AW', 'ABW');
INSERT INTO `geo_country_reference` VALUES (13, 'Australia', 'AU', 'AUS');
INSERT INTO `geo_country_reference` VALUES (14, 'Austria', 'AT', 'AUT');
INSERT INTO `geo_country_reference` VALUES (15, 'Azerbaijan', 'AZ', 'AZE');
INSERT INTO `geo_country_reference` VALUES (16, 'Bahamas', 'BS', 'BHS');
INSERT INTO `geo_country_reference` VALUES (17, 'Bahrain', 'BH', 'BHR');
INSERT INTO `geo_country_reference` VALUES (18, 'Bangladesh', 'BD', 'BGD');
INSERT INTO `geo_country_reference` VALUES (19, 'Barbados', 'BB', 'BRB');
INSERT INTO `geo_country_reference` VALUES (20, 'Belarus', 'BY', 'BLR');
INSERT INTO `geo_country_reference` VALUES (21, 'Belgium', 'BE', 'BEL');
INSERT INTO `geo_country_reference` VALUES (22, 'Belize', 'BZ', 'BLZ');
INSERT INTO `geo_country_reference` VALUES (23, 'Benin', 'BJ', 'BEN');
INSERT INTO `geo_country_reference` VALUES (24, 'Bermuda', 'BM', 'BMU');
INSERT INTO `geo_country_reference` VALUES (25, 'Bhutan', 'BT', 'BTN');
INSERT INTO `geo_country_reference` VALUES (26, 'Bolivia', 'BO', 'BOL');
INSERT INTO `geo_country_reference` VALUES (27, 'Bosnia and Herzegowina', 'BA', 'BIH');
INSERT INTO `geo_country_reference` VALUES (28, 'Botswana', 'BW', 'BWA');
INSERT INTO `geo_country_reference` VALUES (29, 'Bouvet Island', 'BV', 'BVT');
INSERT INTO `geo_country_reference` VALUES (30, 'Brazil', 'BR', 'BRA');
INSERT INTO `geo_country_reference` VALUES (31, 'British Indian Ocean Territory', 'IO', 'IOT');
INSERT INTO `geo_country_reference` VALUES (32, 'Brunei Darussalam', 'BN', 'BRN');
INSERT INTO `geo_country_reference` VALUES (33, 'Bulgaria', 'BG', 'BGR');
INSERT INTO `geo_country_reference` VALUES (34, 'Burkina Faso', 'BF', 'BFA');
INSERT INTO `geo_country_reference` VALUES (35, 'Burundi', 'BI', 'BDI');
INSERT INTO `geo_country_reference` VALUES (36, 'Cambodia', 'KH', 'KHM');
INSERT INTO `geo_country_reference` VALUES (37, 'Cameroon', 'CM', 'CMR');
INSERT INTO `geo_country_reference` VALUES (38, 'Canada', 'CA', 'CAN');
INSERT INTO `geo_country_reference` VALUES (39, 'Cape Verde', 'CV', 'CPV');
INSERT INTO `geo_country_reference` VALUES (40, 'Cayman Islands', 'KY', 'CYM');
INSERT INTO `geo_country_reference` VALUES (41, 'Central African Republic', 'CF', 'CAF');
INSERT INTO `geo_country_reference` VALUES (42, 'Chad', 'TD', 'TCD');
INSERT INTO `geo_country_reference` VALUES (43, 'Chile', 'CL', 'CHL');
INSERT INTO `geo_country_reference` VALUES (44, 'China', 'CN', 'CHN');
INSERT INTO `geo_country_reference` VALUES (45, 'Christmas Island', 'CX', 'CXR');
INSERT INTO `geo_country_reference` VALUES (46, 'Cocos (Keeling) Islands', 'CC', 'CCK');
INSERT INTO `geo_country_reference` VALUES (47, 'Colombia', 'CO', 'COL');
INSERT INTO `geo_country_reference` VALUES (48, 'Comoros', 'KM', 'COM');
INSERT INTO `geo_country_reference` VALUES (49, 'Congo', 'CG', 'COG');
INSERT INTO `geo_country_reference` VALUES (50, 'Cook Islands', 'CK', 'COK');
INSERT INTO `geo_country_reference` VALUES (51, 'Costa Rica', 'CR', 'CRI');
INSERT INTO `geo_country_reference` VALUES (52, 'Cote D Ivoire', 'CI', 'CIV');
INSERT INTO `geo_country_reference` VALUES (53, 'Croatia', 'HR', 'HRV');
INSERT INTO `geo_country_reference` VALUES (54, 'Cuba', 'CU', 'CUB');
INSERT INTO `geo_country_reference` VALUES (55, 'Cyprus', 'CY', 'CYP');
INSERT INTO `geo_country_reference` VALUES (56, 'Czech Republic', 'CZ', 'CZE');
INSERT INTO `geo_country_reference` VALUES (57, 'Denmark', 'DK', 'DNK');
INSERT INTO `geo_country_reference` VALUES (58, 'Djibouti', 'DJ', 'DJI');
INSERT INTO `geo_country_reference` VALUES (59, 'Dominica', 'DM', 'DMA');
INSERT INTO `geo_country_reference` VALUES (60, 'Dominican Republic', 'DO', 'DOM');
INSERT INTO `geo_country_reference` VALUES (61, 'East Timor', 'TP', 'TMP');
INSERT INTO `geo_country_reference` VALUES (62, 'Ecuador', 'EC', 'ECU');
INSERT INTO `geo_country_reference` VALUES (63, 'Egypt', 'EG', 'EGY');
INSERT INTO `geo_country_reference` VALUES (64, 'El Salvador', 'SV', 'SLV');
INSERT INTO `geo_country_reference` VALUES (65, 'Equatorial Guinea', 'GQ', 'GNQ');
INSERT INTO `geo_country_reference` VALUES (66, 'Eritrea', 'ER', 'ERI');
INSERT INTO `geo_country_reference` VALUES (67, 'Estonia', 'EE', 'EST');
INSERT INTO `geo_country_reference` VALUES (68, 'Ethiopia', 'ET', 'ETH');
INSERT INTO `geo_country_reference` VALUES (69, 'Falkland Islands (Malvinas)', 'FK', 'FLK');
INSERT INTO `geo_country_reference` VALUES (70, 'Faroe Islands', 'FO', 'FRO');
INSERT INTO `geo_country_reference` VALUES (71, 'Fiji', 'FJ', 'FJI');
INSERT INTO `geo_country_reference` VALUES (72, 'Finland', 'FI', 'FIN');
INSERT INTO `geo_country_reference` VALUES (73, 'France', 'FR', 'FRA');
INSERT INTO `geo_country_reference` VALUES (74, 'France, MEtropolitan', 'FX', 'FXX');
INSERT INTO `geo_country_reference` VALUES (75, 'French Guiana', 'GF', 'GUF');
INSERT INTO `geo_country_reference` VALUES (76, 'French Polynesia', 'PF', 'PYF');
INSERT INTO `geo_country_reference` VALUES (77, 'French Southern Territories', 'TF', 'ATF');
INSERT INTO `geo_country_reference` VALUES (78, 'Gabon', 'GA', 'GAB');
INSERT INTO `geo_country_reference` VALUES (79, 'Gambia', 'GM', 'GMB');
INSERT INTO `geo_country_reference` VALUES (80, 'Georgia', 'GE', 'GEO');
INSERT INTO `geo_country_reference` VALUES (81, 'Germany', 'DE', 'DEU');
INSERT INTO `geo_country_reference` VALUES (82, 'Ghana', 'GH', 'GHA');
INSERT INTO `geo_country_reference` VALUES (83, 'Gibraltar', 'GI', 'GIB');
INSERT INTO `geo_country_reference` VALUES (84, 'Greece', 'GR', 'GRC');
INSERT INTO `geo_country_reference` VALUES (85, 'Greenland', 'GL', 'GRL');
INSERT INTO `geo_country_reference` VALUES (86, 'Grenada', 'GD', 'GRD');
INSERT INTO `geo_country_reference` VALUES (87, 'Guadeloupe', 'GP', 'GLP');
INSERT INTO `geo_country_reference` VALUES (88, 'Guam', 'GU', 'GUM');
INSERT INTO `geo_country_reference` VALUES (89, 'Guatemala', 'GT', 'GTM');
INSERT INTO `geo_country_reference` VALUES (90, 'Guinea', 'GN', 'GIN');
INSERT INTO `geo_country_reference` VALUES (91, 'Guinea-bissau', 'GW', 'GNB');
INSERT INTO `geo_country_reference` VALUES (92, 'Guyana', 'GY', 'GUY');
INSERT INTO `geo_country_reference` VALUES (93, 'Haiti', 'HT', 'HTI');
INSERT INTO `geo_country_reference` VALUES (94, 'Heard and Mc Donald Islands', 'HM', 'HMD');
INSERT INTO `geo_country_reference` VALUES (95, 'Honduras', 'HN', 'HND');
INSERT INTO `geo_country_reference` VALUES (96, 'Hong Kong', 'HK', 'HKG');
INSERT INTO `geo_country_reference` VALUES (97, 'Hungary', 'HU', 'HUN');
INSERT INTO `geo_country_reference` VALUES (98, 'Iceland', 'IS', 'ISL');
INSERT INTO `geo_country_reference` VALUES (99, 'India', 'IN', 'IND');
INSERT INTO `geo_country_reference` VALUES (100, 'Indonesia', 'ID', 'IDN');
INSERT INTO `geo_country_reference` VALUES (101, 'Iran (Islamic Republic of)', 'IR', 'IRN');
INSERT INTO `geo_country_reference` VALUES (102, 'Iraq', 'IQ', 'IRQ');
INSERT INTO `geo_country_reference` VALUES (103, 'Ireland', 'IE', 'IRL');
INSERT INTO `geo_country_reference` VALUES (104, 'Israel', 'IL', 'ISR');
INSERT INTO `geo_country_reference` VALUES (105, 'Italy', 'IT', 'ITA');
INSERT INTO `geo_country_reference` VALUES (106, 'Jamaica', 'JM', 'JAM');
INSERT INTO `geo_country_reference` VALUES (107, 'Japan', 'JP', 'JPN');
INSERT INTO `geo_country_reference` VALUES (108, 'Jordan', 'JO', 'JOR');
INSERT INTO `geo_country_reference` VALUES (109, 'Kazakhstan', 'KZ', 'KAZ');
INSERT INTO `geo_country_reference` VALUES (110, 'Kenya', 'KE', 'KEN');
INSERT INTO `geo_country_reference` VALUES (111, 'Kiribati', 'KI', 'KIR');
INSERT INTO `geo_country_reference` VALUES (112, 'Korea, Democratic Peoples Republic of', 'KP', 'PRK');
INSERT INTO `geo_country_reference` VALUES (113, 'Korea, Republic of', 'KR', 'KOR');
INSERT INTO `geo_country_reference` VALUES (114, 'Kuwait', 'KW', 'KWT');
INSERT INTO `geo_country_reference` VALUES (115, 'Kyrgyzstan', 'KG', 'KGZ');
INSERT INTO `geo_country_reference` VALUES (116, 'Lao Peoples Democratic Republic', 'LA', 'LAO');
INSERT INTO `geo_country_reference` VALUES (117, 'Latvia', 'LV', 'LVA');
INSERT INTO `geo_country_reference` VALUES (118, 'Lebanon', 'LB', 'LBN');
INSERT INTO `geo_country_reference` VALUES (119, 'Lesotho', 'LS', 'LSO');
INSERT INTO `geo_country_reference` VALUES (120, 'Liberia', 'LR', 'LBR');
INSERT INTO `geo_country_reference` VALUES (121, 'Libyan Arab Jamahiriya', 'LY', 'LBY');
INSERT INTO `geo_country_reference` VALUES (122, 'Liechtenstein', 'LI', 'LIE');
INSERT INTO `geo_country_reference` VALUES (123, 'Lithuania', 'LT', 'LTU');
INSERT INTO `geo_country_reference` VALUES (124, 'Luxembourg', 'LU', 'LUX');
INSERT INTO `geo_country_reference` VALUES (125, 'Macau', 'MO', 'MAC');
INSERT INTO `geo_country_reference` VALUES (126, 'Macedonia, The Former Yugoslav Republic of', 'MK', 'MKD');
INSERT INTO `geo_country_reference` VALUES (127, 'Madagascar', 'MG', 'MDG');
INSERT INTO `geo_country_reference` VALUES (128, 'Malawi', 'MW', 'MWI');
INSERT INTO `geo_country_reference` VALUES (129, 'Malaysia', 'MY', 'MYS');
INSERT INTO `geo_country_reference` VALUES (130, 'Maldives', 'MV', 'MDV');
INSERT INTO `geo_country_reference` VALUES (131, 'Mali', 'ML', 'MLI');
INSERT INTO `geo_country_reference` VALUES (132, 'Malta', 'MT', 'MLT');
INSERT INTO `geo_country_reference` VALUES (133, 'Marshall Islands', 'MH', 'MHL');
INSERT INTO `geo_country_reference` VALUES (134, 'Martinique', 'MQ', 'MTQ');
INSERT INTO `geo_country_reference` VALUES (135, 'Mauritania', 'MR', 'MRT');
INSERT INTO `geo_country_reference` VALUES (136, 'Mauritius', 'MU', 'MUS');
INSERT INTO `geo_country_reference` VALUES (137, 'Mayotte', 'YT', 'MYT');
INSERT INTO `geo_country_reference` VALUES (138, 'Mexico', 'MX', 'MEX');
INSERT INTO `geo_country_reference` VALUES (139, 'Micronesia, Federated States of', 'FM', 'FSM');
INSERT INTO `geo_country_reference` VALUES (140, 'Moldova, Republic of', 'MD', 'MDA');
INSERT INTO `geo_country_reference` VALUES (141, 'Monaco', 'MC', 'MCO');
INSERT INTO `geo_country_reference` VALUES (142, 'Mongolia', 'MN', 'MNG');
INSERT INTO `geo_country_reference` VALUES (143, 'Montserrat', 'MS', 'MSR');
INSERT INTO `geo_country_reference` VALUES (144, 'Morocco', 'MA', 'MAR');
INSERT INTO `geo_country_reference` VALUES (145, 'Mozambique', 'MZ', 'MOZ');
INSERT INTO `geo_country_reference` VALUES (146, 'Myanmar', 'MM', 'MMR');
INSERT INTO `geo_country_reference` VALUES (147, 'Namibia', 'NA', 'NAM');
INSERT INTO `geo_country_reference` VALUES (148, 'Nauru', 'NR', 'NRU');
INSERT INTO `geo_country_reference` VALUES (149, 'Nepal', 'NP', 'NPL');
INSERT INTO `geo_country_reference` VALUES (150, 'Netherlands', 'NL', 'NLD');
INSERT INTO `geo_country_reference` VALUES (151, 'Netherlands Antilles', 'AN', 'ANT');
INSERT INTO `geo_country_reference` VALUES (152, 'New Caledonia', 'NC', 'NCL');
INSERT INTO `geo_country_reference` VALUES (153, 'New Zealand', 'NZ', 'NZL');
INSERT INTO `geo_country_reference` VALUES (154, 'Nicaragua', 'NI', 'NIC');
INSERT INTO `geo_country_reference` VALUES (155, 'Niger', 'NE', 'NER');
INSERT INTO `geo_country_reference` VALUES (156, 'Nigeria', 'NG', 'NGA');
INSERT INTO `geo_country_reference` VALUES (157, 'Niue', 'NU', 'NIU');
INSERT INTO `geo_country_reference` VALUES (158, 'Norfolk Island', 'NF', 'NFK');
INSERT INTO `geo_country_reference` VALUES (159, 'Northern Mariana Islands', 'MP', 'MNP');
INSERT INTO `geo_country_reference` VALUES (160, 'Norway', 'NO', 'NOR');
INSERT INTO `geo_country_reference` VALUES (161, 'Oman', 'OM', 'OMN');
INSERT INTO `geo_country_reference` VALUES (162, 'Pakistan', 'PK', 'PAK');
INSERT INTO `geo_country_reference` VALUES (163, 'Palau', 'PW', 'PLW');
INSERT INTO `geo_country_reference` VALUES (164, 'Panama', 'PA', 'PAN');
INSERT INTO `geo_country_reference` VALUES (165, 'Papua New Guinea', 'PG', 'PNG');
INSERT INTO `geo_country_reference` VALUES (166, 'Paraguay', 'PY', 'PRY');
INSERT INTO `geo_country_reference` VALUES (167, 'Peru', 'PE', 'PER');
INSERT INTO `geo_country_reference` VALUES (168, 'Philippines', 'PH', 'PHL');
INSERT INTO `geo_country_reference` VALUES (169, 'Pitcairn', 'PN', 'PCN');
INSERT INTO `geo_country_reference` VALUES (170, 'Poland', 'PL', 'POL');
INSERT INTO `geo_country_reference` VALUES (171, 'Portugal', 'PT', 'PRT');
INSERT INTO `geo_country_reference` VALUES (172, 'Puerto Rico', 'PR', 'PRI');
INSERT INTO `geo_country_reference` VALUES (173, 'Qatar', 'QA', 'QAT');
INSERT INTO `geo_country_reference` VALUES (174, 'Reunion', 'RE', 'REU');
INSERT INTO `geo_country_reference` VALUES (175, 'Romania', 'RO', 'ROM');
INSERT INTO `geo_country_reference` VALUES (176, 'Russian Federation', 'RU', 'RUS');
INSERT INTO `geo_country_reference` VALUES (177, 'Rwanda', 'RW', 'RWA');
INSERT INTO `geo_country_reference` VALUES (178, 'Saint Kitts and Nevis', 'KN', 'KNA');
INSERT INTO `geo_country_reference` VALUES (179, 'Saint Lucia', 'LC', 'LCA');
INSERT INTO `geo_country_reference` VALUES (180, 'Saint Vincent and the Grenadines', 'VC', 'VCT');
INSERT INTO `geo_country_reference` VALUES (181, 'Samoa', 'WS', 'WSM');
INSERT INTO `geo_country_reference` VALUES (182, 'San Marino', 'SM', 'SMR');
INSERT INTO `geo_country_reference` VALUES (183, 'Sao Tome and Principe', 'ST', 'STP');
INSERT INTO `geo_country_reference` VALUES (184, 'Saudi Arabia', 'SA', 'SAU');
INSERT INTO `geo_country_reference` VALUES (185, 'Senegal', 'SN', 'SEN');
INSERT INTO `geo_country_reference` VALUES (186, 'Seychelles', 'SC', 'SYC');
INSERT INTO `geo_country_reference` VALUES (187, 'Sierra Leone', 'SL', 'SLE');
INSERT INTO `geo_country_reference` VALUES (188, 'Singapore', 'SG', 'SGP');
INSERT INTO `geo_country_reference` VALUES (189, 'Slovakia (Slovak Republic)', 'SK', 'SVK');
INSERT INTO `geo_country_reference` VALUES (190, 'Slovenia', 'SI', 'SVN');
INSERT INTO `geo_country_reference` VALUES (191, 'Solomon Islands', 'SB', 'SLB');
INSERT INTO `geo_country_reference` VALUES (192, 'Somalia', 'SO', 'SOM');
INSERT INTO `geo_country_reference` VALUES (193, 'south Africa', 'ZA', 'ZAF');
INSERT INTO `geo_country_reference` VALUES (194, 'South Georgia and the South Sandwich Islands', 'GS', 'SGS');
INSERT INTO `geo_country_reference` VALUES (195, 'Spain', 'ES', 'ESP');
INSERT INTO `geo_country_reference` VALUES (196, 'Sri Lanka', 'LK', 'LKA');
INSERT INTO `geo_country_reference` VALUES (197, 'St. Helena', 'SH', 'SHN');
INSERT INTO `geo_country_reference` VALUES (198, 'St. Pierre and Miquelon', 'PM', 'SPM');
INSERT INTO `geo_country_reference` VALUES (199, 'Sudan', 'SD', 'SDN');
INSERT INTO `geo_country_reference` VALUES (200, 'Suriname', 'SR', 'SUR');
INSERT INTO `geo_country_reference` VALUES (201, 'Svalbard and Jan Mayen Islands', 'SJ', 'SJM');
INSERT INTO `geo_country_reference` VALUES (202, 'Swaziland', 'SZ', 'SWZ');
INSERT INTO `geo_country_reference` VALUES (203, 'Sweden', 'SE', 'SWE');
INSERT INTO `geo_country_reference` VALUES (204, 'Switzerland', 'CH', 'CHE');
INSERT INTO `geo_country_reference` VALUES (205, 'Syrian Arab Republic', 'SY', 'SYR');
INSERT INTO `geo_country_reference` VALUES (206, 'Taiwan, Province of China', 'TW', 'TWN');
INSERT INTO `geo_country_reference` VALUES (207, 'Tajikistan', 'TJ', 'TJK');
INSERT INTO `geo_country_reference` VALUES (208, 'Tanzania, United Republic of', 'TZ', 'TZA');
INSERT INTO `geo_country_reference` VALUES (209, 'Thailand', 'TH', 'THA');
INSERT INTO `geo_country_reference` VALUES (210, 'Togo', 'TG', 'TGO');
INSERT INTO `geo_country_reference` VALUES (211, 'Tokelau', 'TK', 'TKL');
INSERT INTO `geo_country_reference` VALUES (212, 'Tonga', 'TO', 'TON');
INSERT INTO `geo_country_reference` VALUES (213, 'Trinidad and Tobago', 'TT', 'TTO');
INSERT INTO `geo_country_reference` VALUES (214, 'Tunisia', 'TN', 'TUN');
INSERT INTO `geo_country_reference` VALUES (215, 'Turkey', 'TR', 'TUR');
INSERT INTO `geo_country_reference` VALUES (216, 'Turkmenistan', 'TM', 'TKM');
INSERT INTO `geo_country_reference` VALUES (217, 'Turks and Caicos Islands', 'TC', 'TCA');
INSERT INTO `geo_country_reference` VALUES (218, 'Tuvalu', 'TV', 'TUV');
INSERT INTO `geo_country_reference` VALUES (219, 'Uganda', 'UG', 'UGA');
INSERT INTO `geo_country_reference` VALUES (220, 'Ukraine', 'UA', 'UKR');
INSERT INTO `geo_country_reference` VALUES (221, 'United Arab Emirates', 'AE', 'ARE');
INSERT INTO `geo_country_reference` VALUES (222, 'United Kingdom', 'GB', 'GBR');
INSERT INTO `geo_country_reference` VALUES (223, 'United States', 'US', 'USA');
INSERT INTO `geo_country_reference` VALUES (224, 'United States Minor Outlying Islands', 'UM', 'UMI');
INSERT INTO `geo_country_reference` VALUES (225, 'Uruguay', 'UY', 'URY');
INSERT INTO `geo_country_reference` VALUES (226, 'Uzbekistan', 'UZ', 'UZB');
INSERT INTO `geo_country_reference` VALUES (227, 'Vanuatu', 'VU', 'VUT');
INSERT INTO `geo_country_reference` VALUES (228, 'Vatican City State (Holy See)', 'VA', 'VAT');
INSERT INTO `geo_country_reference` VALUES (229, 'Venezuela', 'VE', 'VEN');
INSERT INTO `geo_country_reference` VALUES (230, 'Viet Nam', 'VN', 'VNM');
INSERT INTO `geo_country_reference` VALUES (231, 'Virgin Islands (British)', 'VG', 'VGB');
INSERT INTO `geo_country_reference` VALUES (232, 'Virgin Islands (U.S.)', 'VI', 'VIR');
INSERT INTO `geo_country_reference` VALUES (233, 'Wallis and Futuna Islands', 'WF', 'WLF');
INSERT INTO `geo_country_reference` VALUES (234, 'Western Sahara', 'EH', 'ESH');
INSERT INTO `geo_country_reference` VALUES (235, 'Yemen', 'YE', 'YEM');
INSERT INTO `geo_country_reference` VALUES (236, 'Yugoslavia', 'YU', 'YUG');
INSERT INTO `geo_country_reference` VALUES (237, 'Zaire', 'ZR', 'ZAR');
INSERT INTO `geo_country_reference` VALUES (238, 'Zambia', 'ZM', 'ZMB');
INSERT INTO `geo_country_reference` VALUES (239, 'Zimbabwe', 'ZW', 'ZWE');

-- --------------------------------------------------------

-- 
-- Table structure for table `geo_zone_reference`
-- 

DROP TABLE IF EXISTS `geo_zone_reference`;
CREATE TABLE `geo_zone_reference` (
  `zone_id` int(5) NOT NULL auto_increment,
  `zone_country_id` int(5) NOT NULL default '0',
  `zone_code` varchar(5) default NULL,
  `zone_name` varchar(32) default NULL,
  PRIMARY KEY  (`zone_id`)
) ENGINE=MyISAM AUTO_INCREMENT=83 ;

-- 
-- Dumping data for table `geo_zone_reference`
-- 

INSERT INTO `geo_zone_reference` VALUES (1, 223, 'AL', 'Alabama');
INSERT INTO `geo_zone_reference` VALUES (2, 223, 'AK', 'Alaska');
INSERT INTO `geo_zone_reference` VALUES (3, 223, 'AS', 'American Samoa');
INSERT INTO `geo_zone_reference` VALUES (4, 223, 'AZ', 'Arizona');
INSERT INTO `geo_zone_reference` VALUES (5, 223, 'AR', 'Arkansas');
INSERT INTO `geo_zone_reference` VALUES (6, 223, 'AF', 'Armed Forces Africa');
INSERT INTO `geo_zone_reference` VALUES (7, 223, 'AA', 'Armed Forces Americas');
INSERT INTO `geo_zone_reference` VALUES (8, 223, 'AC', 'Armed Forces Canada');
INSERT INTO `geo_zone_reference` VALUES (9, 223, 'AE', 'Armed Forces Europe');
INSERT INTO `geo_zone_reference` VALUES (10, 223, 'AM', 'Armed Forces Middle East');
INSERT INTO `geo_zone_reference` VALUES (11, 223, 'AP', 'Armed Forces Pacific');
INSERT INTO `geo_zone_reference` VALUES (12, 223, 'CA', 'California');
INSERT INTO `geo_zone_reference` VALUES (13, 223, 'CO', 'Colorado');
INSERT INTO `geo_zone_reference` VALUES (14, 223, 'CT', 'Connecticut');
INSERT INTO `geo_zone_reference` VALUES (15, 223, 'DE', 'Delaware');
INSERT INTO `geo_zone_reference` VALUES (16, 223, 'DC', 'District of Columbia');
INSERT INTO `geo_zone_reference` VALUES (17, 223, 'FM', 'Federated States Of Micronesia');
INSERT INTO `geo_zone_reference` VALUES (18, 223, 'FL', 'Florida');
INSERT INTO `geo_zone_reference` VALUES (19, 223, 'GA', 'Georgia');
INSERT INTO `geo_zone_reference` VALUES (20, 223, 'GU', 'Guam');
INSERT INTO `geo_zone_reference` VALUES (21, 223, 'HI', 'Hawaii');
INSERT INTO `geo_zone_reference` VALUES (22, 223, 'ID', 'Idaho');
INSERT INTO `geo_zone_reference` VALUES (23, 223, 'IL', 'Illinois');
INSERT INTO `geo_zone_reference` VALUES (24, 223, 'IN', 'Indiana');
INSERT INTO `geo_zone_reference` VALUES (25, 223, 'IA', 'Iowa');
INSERT INTO `geo_zone_reference` VALUES (26, 223, 'KS', 'Kansas');
INSERT INTO `geo_zone_reference` VALUES (27, 223, 'KY', 'Kentucky');
INSERT INTO `geo_zone_reference` VALUES (28, 223, 'LA', 'Louisiana');
INSERT INTO `geo_zone_reference` VALUES (29, 223, 'ME', 'Maine');
INSERT INTO `geo_zone_reference` VALUES (30, 223, 'MH', 'Marshall Islands');
INSERT INTO `geo_zone_reference` VALUES (31, 223, 'MD', 'Maryland');
INSERT INTO `geo_zone_reference` VALUES (32, 223, 'MA', 'Massachusetts');
INSERT INTO `geo_zone_reference` VALUES (33, 223, 'MI', 'Michigan');
INSERT INTO `geo_zone_reference` VALUES (34, 223, 'MN', 'Minnesota');
INSERT INTO `geo_zone_reference` VALUES (35, 223, 'MS', 'Mississippi');
INSERT INTO `geo_zone_reference` VALUES (36, 223, 'MO', 'Missouri');
INSERT INTO `geo_zone_reference` VALUES (37, 223, 'MT', 'Montana');
INSERT INTO `geo_zone_reference` VALUES (38, 223, 'NE', 'Nebraska');
INSERT INTO `geo_zone_reference` VALUES (39, 223, 'NV', 'Nevada');
INSERT INTO `geo_zone_reference` VALUES (40, 223, 'NH', 'New Hampshire');
INSERT INTO `geo_zone_reference` VALUES (41, 223, 'NJ', 'New Jersey');
INSERT INTO `geo_zone_reference` VALUES (42, 223, 'NM', 'New Mexico');
INSERT INTO `geo_zone_reference` VALUES (43, 223, 'NY', 'New York');
INSERT INTO `geo_zone_reference` VALUES (44, 223, 'NC', 'North Carolina');
INSERT INTO `geo_zone_reference` VALUES (45, 223, 'ND', 'North Dakota');
INSERT INTO `geo_zone_reference` VALUES (46, 223, 'MP', 'Northern Mariana Islands');
INSERT INTO `geo_zone_reference` VALUES (47, 223, 'OH', 'Ohio');
INSERT INTO `geo_zone_reference` VALUES (48, 223, 'OK', 'Oklahoma');
INSERT INTO `geo_zone_reference` VALUES (49, 223, 'OR', 'Oregon');
INSERT INTO `geo_zone_reference` VALUES (50, 223, 'PW', 'Palau');
INSERT INTO `geo_zone_reference` VALUES (51, 223, 'PA', 'Pennsylvania');
INSERT INTO `geo_zone_reference` VALUES (52, 223, 'PR', 'Puerto Rico');
INSERT INTO `geo_zone_reference` VALUES (53, 223, 'RI', 'Rhode Island');
INSERT INTO `geo_zone_reference` VALUES (54, 223, 'SC', 'South Carolina');
INSERT INTO `geo_zone_reference` VALUES (55, 223, 'SD', 'South Dakota');
INSERT INTO `geo_zone_reference` VALUES (56, 223, 'TN', 'Tenessee');
INSERT INTO `geo_zone_reference` VALUES (57, 223, 'TX', 'Texas');
INSERT INTO `geo_zone_reference` VALUES (58, 223, 'UT', 'Utah');
INSERT INTO `geo_zone_reference` VALUES (59, 223, 'VT', 'Vermont');
INSERT INTO `geo_zone_reference` VALUES (60, 223, 'VI', 'Virgin Islands');
INSERT INTO `geo_zone_reference` VALUES (61, 223, 'VA', 'Virginia');
INSERT INTO `geo_zone_reference` VALUES (62, 223, 'WA', 'Washington');
INSERT INTO `geo_zone_reference` VALUES (63, 223, 'WV', 'West Virginia');
INSERT INTO `geo_zone_reference` VALUES (64, 223, 'WI', 'Wisconsin');
INSERT INTO `geo_zone_reference` VALUES (65, 223, 'WY', 'Wyoming');
INSERT INTO `geo_zone_reference` VALUES (66, 38, 'AB', 'Alberta');
INSERT INTO `geo_zone_reference` VALUES (67, 38, 'BC', 'British Columbia');
INSERT INTO `geo_zone_reference` VALUES (68, 38, 'MB', 'Manitoba');
INSERT INTO `geo_zone_reference` VALUES (69, 38, 'NF', 'Newfoundland');
INSERT INTO `geo_zone_reference` VALUES (70, 38, 'NB', 'New Brunswick');
INSERT INTO `geo_zone_reference` VALUES (71, 38, 'NS', 'Nova Scotia');
INSERT INTO `geo_zone_reference` VALUES (72, 38, 'NT', 'Northwest Territories');
INSERT INTO `geo_zone_reference` VALUES (73, 38, 'NU', 'Nunavut');
INSERT INTO `geo_zone_reference` VALUES (74, 38, 'ON', 'Ontario');
INSERT INTO `geo_zone_reference` VALUES (75, 38, 'PE', 'Prince Edward Island');
INSERT INTO `geo_zone_reference` VALUES (76, 38, 'QC', 'Quebec');
INSERT INTO `geo_zone_reference` VALUES (77, 38, 'SK', 'Saskatchewan');
INSERT INTO `geo_zone_reference` VALUES (78, 38, 'YT', 'Yukon Territory');
INSERT INTO `geo_zone_reference` VALUES (79, 61, 'QLD', 'Queensland');
INSERT INTO `geo_zone_reference` VALUES (80, 61, 'SA', 'South Australia');
INSERT INTO `geo_zone_reference` VALUES (81, 61, 'ACT', 'Australian Capital Territory');
INSERT INTO `geo_zone_reference` VALUES (82, 61, 'VIC', 'Victoria');

-- --------------------------------------------------------

-- 
-- Table structure for table `groups`
-- 

DROP TABLE IF EXISTS `groups`;
CREATE TABLE `groups` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` longtext,
  `user` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `history_data`
-- 

DROP TABLE IF EXISTS `history_data`;
CREATE TABLE `history_data` (
  `id` bigint(20) NOT NULL auto_increment,
  `coffee` longtext,
  `tobacco` longtext,
  `alcohol` longtext,
  `sleep_patterns` longtext,
  `exercise_patterns` longtext,
  `seatbelt_use` longtext,
  `counseling` longtext,
  `hazardous_activities` longtext,
  `last_breast_exam` varchar(255) default NULL,
  `last_mammogram` varchar(255) default NULL,
  `last_gynocological_exam` varchar(255) default NULL,
  `last_rectal_exam` varchar(255) default NULL,
  `last_prostate_exam` varchar(255) default NULL,
  `last_physical_exam` varchar(255) default NULL,
  `last_sigmoidoscopy_colonoscopy` varchar(255) default NULL,
  `last_ecg` varchar(255) default NULL,
  `last_cardiac_echo` varchar(255) default NULL,
  `last_retinal` varchar(255) default NULL,
  `last_fluvax` varchar(255) default NULL,
  `last_pneuvax` varchar(255) default NULL,
  `last_ldl` varchar(255) default NULL,
  `last_hemoglobin` varchar(255) default NULL,
  `last_psa` varchar(255) default NULL,
  `last_exam_results` varchar(255) default NULL,
  `history_mother` longtext,
  `history_father` longtext,
  `history_siblings` longtext,
  `history_offspring` longtext,
  `history_spouse` longtext,
  `relatives_cancer` longtext,
  `relatives_tuberculosis` longtext,
  `relatives_diabetes` longtext,
  `relatives_high_blood_pressure` longtext,
  `relatives_heart_problems` longtext,
  `relatives_stroke` longtext,
  `relatives_epilepsy` longtext,
  `relatives_mental_illness` longtext,
  `relatives_suicide` longtext,
  `cataract_surgery` datetime default NULL,
  `tonsillectomy` datetime default NULL,
  `cholecystestomy` datetime default NULL,
  `heart_surgery` datetime default NULL,
  `hysterectomy` datetime default NULL,
  `hernia_repair` datetime default NULL,
  `hip_replacement` datetime default NULL,
  `knee_replacement` datetime default NULL,
  `appendectomy` datetime default NULL,
  `date` datetime default NULL,
  `pid` bigint(20) NOT NULL default '0',
  `name_1` varchar(255) default NULL,
  `value_1` varchar(255) default NULL,
  `name_2` varchar(255) default NULL,
  `value_2` varchar(255) default NULL,
  `additional_history` text,
  `exams`      text         NOT NULL DEFAULT '',
  `usertext11` varchar(255) NOT NULL DEFAULT '',
  `usertext12` varchar(255) NOT NULL DEFAULT '',
  `usertext13` varchar(255) NOT NULL DEFAULT '',
  `usertext14` varchar(255) NOT NULL DEFAULT '',
  `usertext15` varchar(255) NOT NULL DEFAULT '',
  `usertext16` varchar(255) NOT NULL DEFAULT '',
  `usertext17` varchar(255) NOT NULL DEFAULT '',
  `usertext18` varchar(255) NOT NULL DEFAULT '',
  `usertext19` varchar(255) NOT NULL DEFAULT '',
  `usertext20` varchar(255) NOT NULL DEFAULT '',
  `usertext21` varchar(255) NOT NULL DEFAULT '',
  `usertext22` varchar(255) NOT NULL DEFAULT '',
  `usertext23` varchar(255) NOT NULL DEFAULT '',
  `usertext24` varchar(255) NOT NULL DEFAULT '',
  `usertext25` varchar(255) NOT NULL DEFAULT '',
  `usertext26` varchar(255) NOT NULL DEFAULT '',
  `usertext27` varchar(255) NOT NULL DEFAULT '',
  `usertext28` varchar(255) NOT NULL DEFAULT '',
  `usertext29` varchar(255) NOT NULL DEFAULT '',
  `usertext30` varchar(255) NOT NULL DEFAULT '',
  `userdate11` date DEFAULT NULL,
  `userdate12` date DEFAULT NULL,
  `userdate13` date DEFAULT NULL,
  `userdate14` date DEFAULT NULL,
  `userdate15` date DEFAULT NULL,
  `userarea11` text NOT NULL DEFAULT '',
  `userarea12` text NOT NULL DEFAULT '',
  PRIMARY KEY  (`id`),
  KEY `pid` (`pid`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `immunizations`
-- 

DROP TABLE IF EXISTS `immunizations`;
CREATE TABLE `immunizations` (
  `id` bigint(20) NOT NULL auto_increment,
  `patient_id` int(11) default NULL,
  `administered_date` date default NULL,
  `immunization_id` int(11) default NULL,
  `manufacturer` varchar(100) default NULL,
  `lot_number` varchar(50) default NULL,
  `administered_by_id` bigint(20) default NULL,
  `administered_by` VARCHAR( 255 ) default NULL COMMENT 'Alternative to administered_by_id',
  `education_date` date default NULL,
  `vis_date` date default NULL COMMENT 'Date of VIS Statement', 
  `note` text,
  `create_date` datetime default NULL,
  `update_date` timestamp NOT NULL,
  `created_by` bigint(20) default NULL,
  `updated_by` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `insurance_companies`
-- 

DROP TABLE IF EXISTS `insurance_companies`;
CREATE TABLE `insurance_companies` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `attn` varchar(255) default NULL,
  `cms_id` varchar(15) default NULL,
  `freeb_type` tinyint(2) default NULL,
  `x12_receiver_id` varchar(25) default NULL,
  `x12_default_partner_id` int(11) default NULL,
  `alt_cms_id` varchar(15) NOT NULL DEFAULT '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `insurance_data`
-- 

DROP TABLE IF EXISTS `insurance_data`;
CREATE TABLE `insurance_data` (
  `id` bigint(20) NOT NULL auto_increment,
  `type` enum('primary','secondary','tertiary') default NULL,
  `provider` varchar(255) default NULL,
  `plan_name` varchar(255) default NULL,
  `policy_number` varchar(255) default NULL,
  `group_number` varchar(255) default NULL,
  `subscriber_lname` varchar(255) default NULL,
  `subscriber_mname` varchar(255) default NULL,
  `subscriber_fname` varchar(255) default NULL,
  `subscriber_relationship` varchar(255) default NULL,
  `subscriber_ss` varchar(255) default NULL,
  `subscriber_DOB` date default NULL,
  `subscriber_street` varchar(255) default NULL,
  `subscriber_postal_code` varchar(255) default NULL,
  `subscriber_city` varchar(255) default NULL,
  `subscriber_state` varchar(255) default NULL,
  `subscriber_country` varchar(255) default NULL,
  `subscriber_phone` varchar(255) default NULL,
  `subscriber_employer` varchar(255) default NULL,
  `subscriber_employer_street` varchar(255) default NULL,
  `subscriber_employer_postal_code` varchar(255) default NULL,
  `subscriber_employer_state` varchar(255) default NULL,
  `subscriber_employer_country` varchar(255) default NULL,
  `subscriber_employer_city` varchar(255) default NULL,
  `copay` varchar(255) default NULL,
  `date` date NOT NULL default '0000-00-00',
  `pid` bigint(20) NOT NULL default '0',
  `subscriber_sex` varchar(25) default NULL,
  `accept_assignment` varchar(5) NOT NULL DEFAULT 'TRUE',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `pid_type_date` (`pid`,`type`,`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `insurance_numbers`
-- 

DROP TABLE IF EXISTS `insurance_numbers`;
CREATE TABLE `insurance_numbers` (
  `id` int(11) NOT NULL default '0',
  `provider_id` int(11) NOT NULL default '0',
  `insurance_company_id` int(11) default NULL,
  `provider_number` varchar(20) default NULL,
  `rendering_provider_number` varchar(20) default NULL,
  `group_number` varchar(20) default NULL,
  `provider_number_type` varchar(4) default NULL,
  `rendering_provider_number_type` varchar(4) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `integration_mapping`
-- 

DROP TABLE IF EXISTS `integration_mapping`;
CREATE TABLE `integration_mapping` (
  `id` int(11) NOT NULL default '0',
  `foreign_id` int(11) NOT NULL default '0',
  `foreign_table` varchar(125) default NULL,
  `local_id` int(11) NOT NULL default '0',
  `local_table` varchar(125) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `foreign_id` (`foreign_id`,`foreign_table`,`local_id`,`local_table`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `issue_encounter`
-- 

DROP TABLE IF EXISTS `issue_encounter`;
CREATE TABLE `issue_encounter` (
  `pid` int(11) NOT NULL,
  `list_id` int(11) NOT NULL,
  `encounter` int(11) NOT NULL,
  `resolved` tinyint(1) NOT NULL,
  PRIMARY KEY  (`pid`,`list_id`,`encounter`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `lang_constants`
-- 

DROP TABLE IF EXISTS `lang_constants`;
CREATE TABLE `lang_constants` (
  `cons_id` int(11) NOT NULL auto_increment,
  `constant_name` varchar(255) BINARY default NULL,
  UNIQUE KEY `cons_id` (`cons_id`),
  KEY `constant_name` (`constant_name`)
) ENGINE=MyISAM ;

-- 
-- Table structure for table `lang_definitions`
-- 

DROP TABLE IF EXISTS `lang_definitions`;
CREATE TABLE `lang_definitions` (
  `def_id` int(11) NOT NULL auto_increment,
  `cons_id` int(11) NOT NULL default '0',
  `lang_id` int(11) NOT NULL default '0',
  `definition` mediumtext,
  UNIQUE KEY `def_id` (`def_id`),
  KEY `cons_id` (`cons_id`)
) ENGINE=MyISAM ;

-- 
-- Table structure for table `lang_languages`
-- 

DROP TABLE IF EXISTS `lang_languages`;
CREATE TABLE `lang_languages` (
  `lang_id` int(11) NOT NULL auto_increment,
  `lang_code` char(2) NOT NULL default '',
  `lang_description` varchar(100) default NULL,
  UNIQUE KEY `lang_id` (`lang_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `lang_languages`
-- 

INSERT INTO `lang_languages` VALUES (1, 'en', 'English');

-- --------------------------------------------------------

-- 
-- Table structure for table `layout_options`
-- 

DROP TABLE IF EXISTS `layout_options`;
CREATE TABLE `layout_options` (
  `form_id` varchar(31) NOT NULL default '',
  `field_id` varchar(31) NOT NULL default '',
  `group_name` varchar(31) NOT NULL default '',
  `title` varchar(63) NOT NULL default '',
  `seq` int(11) NOT NULL default '0',
  `data_type` tinyint(3) NOT NULL default '0',
  `uor` tinyint(1) NOT NULL default '1',
  `fld_length` int(11) NOT NULL default '15',
  `max_length` int(11) NOT NULL default '0',
  `list_id` varchar(31) NOT NULL default '',
  `titlecols` tinyint(3) NOT NULL default '1',
  `datacols` tinyint(3) NOT NULL default '1',
  `default_value` varchar(255) NOT NULL default '',
  `edit_options` varchar(36) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`form_id`,`field_id`,`seq`)
) ENGINE=MyISAM;

-- 
-- Dumping data for table `layout_options`
-- 

INSERT INTO `layout_options` VALUES ('DEM', 'title', '1Who', 'Name', 1, 1, 1, 0, 0, 'titles', 1, 1, '', '', 'Title');
INSERT INTO `layout_options` VALUES ('DEM', 'fname', '1Who', '', 2, 2, 2, 10, 63, '', 0, 0, '', 'C', 'First Name');
INSERT INTO `layout_options` VALUES ('DEM', 'mname', '1Who', '', 3, 2, 1, 2, 63, '', 0, 0, '', 'C', 'Middle Name');
INSERT INTO `layout_options` VALUES ('DEM', 'lname', '1Who', '', 4, 2, 2, 10, 63, '', 0, 0, '', 'C', 'Last Name');
INSERT INTO `layout_options` VALUES ('DEM', 'pubpid', '1Who', 'External ID', 5, 2, 1, 10, 15, '', 1, 1, '', '', 'External identifier');
INSERT INTO `layout_options` VALUES ('DEM', 'DOB', '1Who', 'DOB', 6, 4, 2, 10, 10, '', 1, 1, '', 'D', 'Date of Birth');
INSERT INTO `layout_options` VALUES ('DEM', 'sex', '1Who', 'Sex', 7, 1, 2, 0, 0, 'sex', 1, 1, '', '', 'Sex');
INSERT INTO `layout_options` VALUES ('DEM', 'ss', '1Who', 'S.S.', 8, 2, 1, 11, 11, '', 1, 1, '', '', 'Social Security Number');
INSERT INTO `layout_options` VALUES ('DEM', 'drivers_license', '1Who', 'License/ID', 9, 2, 1, 15, 63, '', 1, 1, '', '', 'Drivers License or State ID');
INSERT INTO `layout_options` VALUES ('DEM', 'status', '1Who', 'Marital Status', 10, 1, 1, 0, 0, 'marital', 1, 3, '', '', 'Marital Status');
INSERT INTO `layout_options` VALUES ('DEM', 'genericname1', '1Who', 'User Defined', 11, 2, 1, 15, 63, '', 1, 3, '', '', 'User Defined Field');
INSERT INTO `layout_options` VALUES ('DEM', 'genericval1', '1Who', '', 12, 2, 1, 15, 63, '', 0, 0, '', '', 'User Defined Field');
INSERT INTO `layout_options` VALUES ('DEM', 'genericname2', '1Who', '', 13, 2, 1, 15, 63, '', 0, 0, '', '', 'User Defined Field');
INSERT INTO `layout_options` VALUES ('DEM', 'genericval2', '1Who', '', 14, 2, 1, 15, 63, '', 0, 0, '', '', 'User Defined Field');
INSERT INTO `layout_options` VALUES ('DEM', 'squad', '1Who', 'Squad', 15, 13, 0, 0, 0, '', 1, 3, '', '', 'Squad Membership');
INSERT INTO `layout_options` VALUES ('DEM', 'pricelevel', '1Who', 'Price Level', 16, 1, 0, 0, 0, 'pricelevel', 1, 1, '', '', 'Discount Level');
INSERT INTO `layout_options` VALUES ('DEM', 'street', '2Contact', 'Address', 1, 2, 1, 25, 63, '', 1, 1, '', 'C', 'Street and Number');
INSERT INTO `layout_options` VALUES ('DEM', 'city', '2Contact', 'City', 2, 2, 1, 15, 63, '', 1, 1, '', 'C', 'City Name');
INSERT INTO `layout_options` VALUES ('DEM', 'state', '2Contact', 'State', 3, 26, 1, 0, 0, 'state', 1, 1, '', '', 'State/Locality');
INSERT INTO `layout_options` VALUES ('DEM', 'postal_code', '2Contact', 'Postal Code', 4, 2, 1, 6, 63, '', 1, 1, '', '', 'Postal Code');
INSERT INTO `layout_options` VALUES ('DEM', 'country_code', '2Contact', 'Country', 5, 26, 1, 0, 0, 'country', 1, 1, '', '', 'Country');
INSERT INTO `layout_options` VALUES ('DEM', 'contact_relationship', '2Contact', 'Emergency Contact', 6, 2, 1, 10, 63, '', 1, 1, '', 'C', 'Emergency Contact Person');
INSERT INTO `layout_options` VALUES ('DEM', 'phone_contact', '2Contact', 'Emergency Phone', 7, 2, 1, 20, 63, '', 1, 1, '', 'P', 'Emergency Contact Phone Number');
INSERT INTO `layout_options` VALUES ('DEM', 'phone_home', '2Contact', 'Home Phone', 8, 2, 1, 20, 63, '', 1, 1, '', 'P', 'Home Phone Number');
INSERT INTO `layout_options` VALUES ('DEM', 'phone_biz', '2Contact', 'Work Phone', 9, 2, 1, 20, 63, '', 1, 1, '', 'P', 'Work Phone Number');
INSERT INTO `layout_options` VALUES ('DEM', 'phone_cell', '2Contact', 'Mobile Phone', 10, 2, 1, 20, 63, '', 1, 1, '', 'P', 'Cell Phone Number');
INSERT INTO `layout_options` VALUES ('DEM', 'email', '2Contact', 'Contact Email', 11, 2, 1, 30, 95, '', 1, 1, '', '', 'Contact Email Address');
INSERT INTO `layout_options` VALUES ('DEM', 'providerID', '3Choices', 'Provider', 1, 11, 1, 0, 0, '', 1, 3, '', '', 'Referring Provider');
INSERT INTO `layout_options` VALUES ('DEM', 'pharmacy_id', '3Choices', 'Pharmacy', 2, 12, 1, 0, 0, '', 1, 3, '', '', 'Preferred Pharmacy');
INSERT INTO `layout_options` VALUES ('DEM', 'hipaa_notice', '3Choices', 'HIPAA Notice Received', 3, 1, 1, 0, 0, 'yesno', 1, 1, '', '', 'Did you receive a copy of the HIPAA Notice?');
INSERT INTO `layout_options` VALUES ('DEM', 'hipaa_voice', '3Choices', 'Allow Voice Message', 4, 1, 1, 0, 0, 'yesno', 1, 1, '', '', 'Allow telephone messages?');
INSERT INTO `layout_options` VALUES ('DEM', 'hipaa_mail', '3Choices', 'Allow Mail Message', 5, 1, 1, 0, 0, 'yesno', 1, 1, '', '', 'Allow email messages?');
INSERT INTO `layout_options` VALUES ('DEM', 'hipaa_message', '3Choices', 'Leave Message With', 6, 2, 1, 20, 63, '', 1, 1, '', '', 'With whom may we leave a message?');
INSERT INTO `layout_options` VALUES ('DEM', 'occupation', '4Employer', 'Occupation', 1, 2, 1, 20, 63, '', 1, 1, '', 'C', 'Occupation');
INSERT INTO `layout_options` VALUES ('DEM', 'em_name', '4Employer', 'Employer Name', 2, 2, 1, 20, 63, '', 1, 1, '', 'C', 'Employer Name');
INSERT INTO `layout_options` VALUES ('DEM', 'em_street', '4Employer', 'Employer Address', 3, 2, 1, 25, 63, '', 1, 1, '', 'C', 'Street and Number');
INSERT INTO `layout_options` VALUES ('DEM', 'em_city', '4Employer', 'City', 4, 2, 1, 15, 63, '', 1, 1, '', 'C', 'City Name');
INSERT INTO `layout_options` VALUES ('DEM', 'em_state', '4Employer', 'State', 5, 26, 1, 0, 0, 'state', 1, 1, '', '', 'State/Locality');
INSERT INTO `layout_options` VALUES ('DEM', 'em_postal_code', '4Employer', 'Postal Code', 6, 2, 1, 6, 63, '', 1, 1, '', '', 'Postal Code');
INSERT INTO `layout_options` VALUES ('DEM', 'em_country', '4Employer', 'Country', 7, 26, 1, 0, 0, 'country', 1, 1, '', '', 'Country');
INSERT INTO `layout_options` VALUES ('DEM', 'language', '5Stats', 'Language', 1, 26, 1, 0, 0, 'language', 1, 1, '', '', 'Preferred Language');
INSERT INTO `layout_options` VALUES ('DEM', 'ethnoracial', '5Stats', 'Race/Ethnicity', 2, 26, 1, 0, 0, 'ethrace', 1, 1, '', '', 'Ethnicity or Race');
INSERT INTO `layout_options` VALUES ('DEM', 'financial_review', '5Stats', 'Financial Review Date', 3, 2, 1, 10, 10, '', 1, 1, '', 'D', 'Financial Review Date');
INSERT INTO `layout_options` VALUES ('DEM', 'family_size', '5Stats', 'Family Size', 4, 2, 1, 20, 63, '', 1, 1, '', '', 'Family Size');
INSERT INTO `layout_options` VALUES ('DEM', 'monthly_income', '5Stats', 'Monthly Income', 5, 2, 1, 20, 63, '', 1, 1, '', '', 'Monthly Income');
INSERT INTO `layout_options` VALUES ('DEM', 'homeless', '5Stats', 'Homeless, etc.', 6, 2, 1, 20, 63, '', 1, 1, '', '', 'Homeless or similar?');
INSERT INTO `layout_options` VALUES ('DEM', 'interpretter', '5Stats', 'Interpreter', 7, 2, 1, 20, 63, '', 1, 1, '', '', 'Interpreter needed?');
INSERT INTO `layout_options` VALUES ('DEM', 'migrantseasonal', '5Stats', 'Migrant/Seasonal', 8, 2, 1, 20, 63, '', 1, 1, '', '', 'Migrant or seasonal worker?');
INSERT INTO `layout_options` VALUES ('DEM', 'contrastart', '5Stats', 'Contraceptives Start',9,4,0,10,10,'',1,1,'','','Date contraceptive services initially provided');
INSERT INTO `layout_options` VALUES ('DEM', 'referral_source', '5Stats', 'Referral Source',10, 26, 1, 0, 0, 'refsource', 1, 1, '', '', 'How did they hear about us');
INSERT INTO `layout_options` VALUES ('DEM', 'usertext1', '6Misc', 'User Defined Text 1', 1, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'usertext2', '6Misc', 'User Defined Text 2', 2, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'usertext3', '6Misc', 'User Defined Text 3', 3,2,0,10,63,'',1,1,'','','User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'usertext4', '6Misc', 'User Defined Text 4', 4,2,0,10,63,'',1,1,'','','User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'usertext5', '6Misc', 'User Defined Text 5', 5,2,0,10,63,'',1,1,'','','User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'usertext6', '6Misc', 'User Defined Text 6', 6,2,0,10,63,'',1,1,'','','User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'usertext7', '6Misc', 'User Defined Text 7', 7,2,0,10,63,'',1,1,'','','User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'usertext8', '6Misc', 'User Defined Text 8', 8,2,0,10,63,'',1,1,'','','User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'userlist1', '6Misc', 'User Defined List 1', 9, 1, 0, 0, 0, 'userlist1', 1, 1, '', '', 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'userlist2', '6Misc', 'User Defined List 2',10, 1, 0, 0, 0, 'userlist2', 1, 1, '', '', 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'userlist3', '6Misc', 'User Defined List 3',11, 1, 0, 0, 0, 'userlist3', 1, 1, '', '' , 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'userlist4', '6Misc', 'User Defined List 4',12, 1, 0, 0, 0, 'userlist4', 1, 1, '', '' , 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'userlist5', '6Misc', 'User Defined List 5',13, 1, 0, 0, 0, 'userlist5', 1, 1, '', '' , 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'userlist6', '6Misc', 'User Defined List 6',14, 1, 0, 0, 0, 'userlist6', 1, 1, '', '' , 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'userlist7', '6Misc', 'User Defined List 7',15, 1, 0, 0, 0, 'userlist7', 1, 1, '', '' , 'User Defined');
INSERT INTO `layout_options` VALUES ('DEM', 'regdate'  , '6Misc', 'Registration Date'  ,16, 4, 0,10,10, ''         , 1, 1, '', 'D', 'Start Date at This Clinic');
INSERT INTO `layout_options` VALUES ('DEM', 'hipaa_allowsms'  , '3Choices', 'Allow SMS'  , 5, 1, 1, 0, 0, 'yesno', 1, 1, '', '', 'Allow SMS (text messages)?');
INSERT INTO `layout_options` VALUES ('DEM', 'hipaa_allowemail', '3Choices', 'Allow Email', 5, 1, 1, 0, 0, 'yesno', 1, 1, '', '', 'Allow Email?');

INSERT INTO layout_options VALUES ('REF','refer_date'      ,'1Referral','Referral Date'                  , 1, 4,2, 0,  0,''         ,1,1,'C','D','Date of referral');
INSERT INTO layout_options VALUES ('REF','refer_from'      ,'1Referral','Refer By'                       , 2,10,2, 0,  0,''         ,1,1,'' ,'' ,'Referral By');
INSERT INTO layout_options VALUES ('REF','refer_external'  ,'1Referral','External Referral'              , 3, 1,1, 0,  0,'boolean'  ,1,1,'' ,'' ,'External referral?');
INSERT INTO layout_options VALUES ('REF','refer_to'        ,'1Referral','Refer To'                       , 4,14,2, 0,  0,''         ,1,1,'' ,'' ,'Referral To');
INSERT INTO layout_options VALUES ('REF','body'            ,'1Referral','Reason'                         , 5, 3,2,30,  3,''         ,1,1,'' ,'' ,'Reason for referral');
INSERT INTO layout_options VALUES ('REF','refer_diag'      ,'1Referral','Referrer Diagnosis'             , 6, 2,1,30,255,''         ,1,1,'' ,'X','Referrer diagnosis');
INSERT INTO layout_options VALUES ('REF','refer_risk_level','1Referral','Risk Level'                     , 7, 1,1, 0,  0,'risklevel',1,1,'' ,'' ,'Level of urgency');
INSERT INTO layout_options VALUES ('REF','refer_vitals'    ,'1Referral','Include Vitals'                 , 8, 1,1, 0,  0,'boolean'  ,1,1,'' ,'' ,'Include vitals data?');
INSERT INTO layout_options VALUES ('REF','refer_related_code','1Referral','Requested Service'            , 9,15,1,30,255,''         ,1,1,'' ,'' ,'Billing Code for Requested Service');
INSERT INTO layout_options VALUES ('REF','reply_date'      ,'2Counter-Referral','Reply Date'             ,10, 4,1, 0,  0,''         ,1,1,'' ,'D','Date of reply');
INSERT INTO layout_options VALUES ('REF','reply_from'      ,'2Counter-Referral','Reply From'             ,11, 2,1,30,255,''         ,1,1,'' ,'' ,'Who replied?');
INSERT INTO layout_options VALUES ('REF','reply_init_diag' ,'2Counter-Referral','Presumed Diagnosis'     ,12, 2,1,30,255,''         ,1,1,'' ,'' ,'Presumed diagnosis by specialist');
INSERT INTO layout_options VALUES ('REF','reply_final_diag','2Counter-Referral','Final Diagnosis'        ,13, 2,1,30,255,''         ,1,1,'' ,'' ,'Final diagnosis by specialist');
INSERT INTO layout_options VALUES ('REF','reply_documents' ,'2Counter-Referral','Documents'              ,14, 2,1,30,255,''         ,1,1,'' ,'' ,'Where may related scanned or paper documents be found?');
INSERT INTO layout_options VALUES ('REF','reply_findings'  ,'2Counter-Referral','Findings'               ,15, 3,1,30,  3,''         ,1,1,'' ,'' ,'Findings by specialist');
INSERT INTO layout_options VALUES ('REF','reply_services'  ,'2Counter-Referral','Services Provided'      ,16, 3,1,30,  3,''         ,1,1,'' ,'' ,'Service provided by specialist');
INSERT INTO layout_options VALUES ('REF','reply_recommend' ,'2Counter-Referral','Recommendations'        ,17, 3,1,30,  3,''         ,1,1,'' ,'' ,'Recommendations by specialist');
INSERT INTO layout_options VALUES ('REF','reply_rx_refer'  ,'2Counter-Referral','Prescriptions/Referrals',18, 3,1,30,  3,''         ,1,1,'' ,'' ,'Prescriptions and/or referrals by specialist');

INSERT INTO layout_options VALUES ('HIS','usertext11','1General','Risk Factors',1,21,1,0,0,'riskfactors',1,1,'','' ,'Risk Factors');
INSERT INTO layout_options VALUES ('HIS','exams'     ,'1General','Exams/Tests' ,2,23,1,0,0,'exams'      ,1,1,'','' ,'Exam and test results');
INSERT INTO layout_options VALUES ('HIS','history_father'   ,'2Family History','Father'   ,1, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','history_mother'   ,'2Family History','Mother'   ,2, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','history_siblings' ,'2Family History','Siblings' ,3, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','history_spouse'   ,'2Family History','Spouse'   ,4, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','history_offspring','2Family History','Offspring',5, 2,1,20,255,'',1,3,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_cancer'             ,'3Relatives','Cancer'             ,1, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_tuberculosis'       ,'3Relatives','Tuberculosis'       ,2, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_diabetes'           ,'3Relatives','Diabetes'           ,3, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_high_blood_pressure','3Relatives','High Blood Pressure',4, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_heart_problems'     ,'3Relatives','Heart Problems'     ,5, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_stroke'             ,'3Relatives','Stroke'             ,6, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_epilepsy'           ,'3Relatives','Epilepsy'           ,7, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_mental_illness'     ,'3Relatives','Mental Illness'     ,8, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_suicide'            ,'3Relatives','Suicide'            ,9, 2,1,20,255,'',1,3,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','coffee'              ,'4Lifestyle','Coffee'              ,1, 2,1,20,255,'',1,1,'','' ,'Caffeine consumption');
INSERT INTO layout_options VALUES ('HIS','tobacco'             ,'4Lifestyle','Tobacco'             ,2, 2,1,20,255,'',1,1,'','' ,'Tobacco use');
INSERT INTO layout_options VALUES ('HIS','alcohol'             ,'4Lifestyle','Alcohol'             ,3, 2,1,20,255,'',1,1,'','' ,'Alcohol consumption');
INSERT INTO layout_options VALUES ('HIS','sleep_patterns'      ,'4Lifestyle','Sleep Patterns'      ,4, 2,1,20,255,'',1,1,'','' ,'Sleep patterns');
INSERT INTO layout_options VALUES ('HIS','exercise_patterns'   ,'4Lifestyle','Exercise Patterns'   ,5, 2,1,20,255,'',1,1,'','' ,'Exercise patterns');
INSERT INTO layout_options VALUES ('HIS','seatbelt_use'        ,'4Lifestyle','Seatbelt Use'        ,6, 2,1,20,255,'',1,1,'','' ,'Seatbelt use');
INSERT INTO layout_options VALUES ('HIS','counseling'          ,'4Lifestyle','Counseling'          ,7, 2,1,20,255,'',1,1,'','' ,'Counseling activities');
INSERT INTO layout_options VALUES ('HIS','hazardous_activities','4Lifestyle','Hazardous Activities',8, 2,1,20,255,'',1,1,'','' ,'Hazardous activities');
INSERT INTO layout_options VALUES ('HIS','name_1'            ,'5Other','Name/Value'        ,1, 2,1,10,255,'',1,1,'','' ,'Name 1' );
INSERT INTO layout_options VALUES ('HIS','value_1'           ,'5Other',''                  ,2, 2,1,10,255,'',0,0,'','' ,'Value 1');
INSERT INTO layout_options VALUES ('HIS','name_2'            ,'5Other','Name/Value'        ,3, 2,1,10,255,'',1,1,'','' ,'Name 2' );
INSERT INTO layout_options VALUES ('HIS','value_2'           ,'5Other',''                  ,4, 2,1,10,255,'',0,0,'','' ,'Value 2');
INSERT INTO layout_options VALUES ('HIS','additional_history','5Other','Additional History',5, 3,1,30,  3,'',1,3,'' ,'' ,'Additional history notes');
INSERT INTO layout_options VALUES ('HIS','userarea11'        ,'5Other','User Defined Area 11',6,3,0,30,3,'',1,3,'','','User Defined');
INSERT INTO layout_options VALUES ('HIS','userarea12'        ,'5Other','User Defined Area 12',7,3,0,30,3,'',1,3,'','','User Defined');

-- --------------------------------------------------------

-- 
-- Table structure for table `list_options`
-- 

DROP TABLE IF EXISTS `list_options`;
CREATE TABLE `list_options` (
  `list_id` varchar(31) NOT NULL default '',
  `option_id` varchar(31) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `seq` int(11) NOT NULL default '0',
  `is_default` tinyint(1) NOT NULL default '0',
  `option_value` float NOT NULL default '0',
  `mapping` varchar(31) NOT NULL DEFAULT '',
  `notes` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY  (`list_id`,`option_id`)
) ENGINE=MyISAM;

-- 
-- Dumping data for table `list_options`
-- 

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('yesno', 'NO', 'NO', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('yesno', 'YES', 'YES', 2, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('titles', 'Mr.', 'Mr.', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('titles', 'Mrs.', 'Mrs.', 2, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('titles', 'Ms.', 'Ms.', 3, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('titles', 'Dr.', 'Dr.', 4, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('sex', 'Female', 'Female', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('sex', 'Male', 'Male', 2, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('marital', 'married', 'Married', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('marital', 'single', 'Single', 2, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('marital', 'divorced', 'Divorced', 3, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('marital', 'widowed', 'Widowed', 4, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('marital', 'separated', 'Separated', 5, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('marital', 'domestic partner', 'Domestic Partner', 6, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('language', 'English', 'English', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('language', 'Spanish', 'Spanish', 2, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('ethrace', 'Caucasian', 'Caucasian', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('ethrace', 'Asian', 'Asian', 2, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('ethrace', 'Black', 'Black', 3, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('ethrace', 'Hispanic', 'Hispanic', 4, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('userlist1', 'sample', 'Sample', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('userlist2', 'sample', 'Sample', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('userlist3','sample','Sample',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('userlist4','sample','Sample',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('userlist5','sample','Sample',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('userlist6','sample','Sample',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('userlist7','sample','Sample',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('pricelevel', 'standard', 'Standard', 1, 1);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('risklevel', 'low', 'Low', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('risklevel', 'medium', 'Medium', 2, 1);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('risklevel', 'high', 'High', 3, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('boolean', '0', 'No', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('boolean', '1', 'Yes', 2, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('country', 'USA', 'USA', 1, 0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('state','CA','California',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Patient'      ,'Patient'      , 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Employee'     ,'Employee'     , 2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Walk-In'      ,'Walk-In'      , 3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Newspaper'    ,'Newspaper'    , 4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Radio'        ,'Radio'        , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','T.V.'         ,'T.V.'         , 6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Direct Mail'  ,'Direct Mail'  , 7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Coupon'       ,'Coupon'       , 8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Referral Card','Referral Card', 9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('refsource','Other'        ,'Other'        ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','vv' ,'Varicose Veins'                      , 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','ht' ,'Hypertension'                        , 2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','db' ,'Diabetes'                            , 3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','sc' ,'Sickle Cell'                         , 4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','fib','Fibroids'                            , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','pid','PID (Pelvic Inflammatory Disease)'   , 6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','mig','Severe Migraine'                     , 7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','hd' ,'Heart Disease'                       , 8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','str','Thrombosis/Stroke'                   , 9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','hep','Hepatitis'                           ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','gb' ,'Gall Bladder Condition'              ,11,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','br' ,'Breast Disease'                      ,12,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','dpr','Depression'                          ,13,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','all','Allergies'                           ,14,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','inf','Infertility'                         ,15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','ast','Asthma'                              ,16,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','ep' ,'Epilepsy'                            ,17,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','cl' ,'Contact Lenses'                      ,18,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','coc','Contraceptive Complication (specify)',19,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('riskfactors','oth','Other (specify)'                     ,20,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'brs','Breast Exam'          , 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'cec','Cardiac Echo'         , 2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'ecg','ECG'                  , 3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'gyn','Gynecological Exam'   , 4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'mam','Mammogram'            , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'phy','Physical Exam'        , 6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'pro','Prostate Exam'        , 7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'rec','Rectal Exam'          , 8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'sic','Sigmoid/Colonoscopy'  , 9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'ret','Retinal Exam'         ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'flu','Flu Vaccination'      ,11,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'pne','Pneumonia Vaccination',12,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'ldl','LDL'                  ,13,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'hem','Hemoglobin'           ,14,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('exams' ,'psa','PSA'                  ,15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','0',''           ,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','1','suspension' ,1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','2','tablet'     ,2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','3','capsule'    ,3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','4','solution'   ,4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','5','tsp'        ,5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','6','ml'         ,6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','7','units'      ,7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','8','inhalations',8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','9','gtts(drops)',9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','10','cream'   ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_form','11','ointment',11,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','0',''          ,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','1','mg'    ,1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','2','mg/1cc',2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','3','mg/2cc',3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','4','mg/3cc',4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','5','mg/4cc',5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','6','mg/5cc',6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','7','mcg'   ,7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_units','8','grams' ,8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '0',''                 , 0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '1','Per Oris'         , 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '2','Per Rectum'       , 2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '3','To Skin'          , 3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '4','To Affected Area' , 4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '5','Sublingual'       , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '6','OS'               , 6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '7','OD'               , 7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '8','OU'               , 8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route', '9','SQ'               , 9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route','10','IM'               ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route','11','IV'               ,11,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route','12','Per Nostril'      ,12,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route','13','Both Ears',13,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route','14','Left Ear' ,14,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_route','15','Right Ear',15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','0',''      ,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','1','b.i.d.',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','2','t.i.d.',2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','3','q.i.d.',3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','4','q.3h'  ,4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','5','q.4h'  ,5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','6','q.5h'  ,6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','7','q.6h'  ,7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','8','q.8h'  ,8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','9','q.d.'  ,9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','10','a.c.'  ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','11','p.c.'  ,11,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','12','a.m.'  ,12,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','13','p.m.'  ,13,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','14','ante'  ,14,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','15','h'     ,15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','16','h.s.'  ,16,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','17','p.r.n.',17,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('drug_interval','18','stat'  ,18,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('chartloc','fileroom','File Room'              ,1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'boolean'      ,'Boolean'            , 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'chartloc'     ,'Chart Storage Locations',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'country'      ,'Country'            , 2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'drug_form'    ,'Drug Forms'         , 3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'drug_units'   ,'Drug Units'         , 4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'drug_route'   ,'Drug Routes'        , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'drug_interval','Drug Intervals'     , 6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'exams'        ,'Exams/Tests'        , 7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'feesheet'     ,'Fee Sheet'          , 8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'language'     ,'Language'           , 9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'lbfnames'     ,'Layout-Based Visit Forms',9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'marital'      ,'Marital Status'     ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'pricelevel'   ,'Price Level'        ,11,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'ethrace'      ,'Race/Ethnicity'     ,12,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'refsource'    ,'Referral Source'    ,13,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'riskfactors'  ,'Risk Factors'       ,14,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'risklevel'    ,'Risk Level'         ,15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'superbill'    ,'Service Category'   ,16,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'sex'          ,'Sex'                ,17,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'state'        ,'State'              ,18,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'taxrate'      ,'Tax Rate'           ,19,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'titles'       ,'Titles'             ,20,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'yesno'        ,'Yes/No'             ,21,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'userlist1'    ,'User Defined List 1',22,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'userlist2'    ,'User Defined List 2',23,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'userlist3'    ,'User Defined List 3',24,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'userlist4'    ,'User Defined List 4',25,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'userlist5'    ,'User Defined List 5',26,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'userlist6'    ,'User Defined List 6',27,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists' ,'userlist7'    ,'User Defined List 7',28,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists'    ,'adjreason'      ,'Adjustment Reasons',1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Adm adjust'     ,'Adm adjust'     , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','After hrs calls','After hrs calls',10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Bad check'      ,'Bad check'      ,15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Bad debt'       ,'Bad debt'       ,20,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Coll w/o'       ,'Coll w/o'       ,25,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Discount'       ,'Discount'       ,30,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Hardship w/o'   ,'Hardship w/o'   ,35,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Ins adjust'     ,'Ins adjust'     ,40,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Ins bundling'   ,'Ins bundling'   ,45,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Ins overpaid'   ,'Ins overpaid'   ,50,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Ins refund'     ,'Ins refund'     ,55,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Pt overpaid'    ,'Pt overpaid'    ,60,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Pt refund'      ,'Pt refund'      ,65,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Pt released'    ,'Pt released'    ,70,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Sm debt w/o'    ,'Sm debt w/o'    ,75,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','To copay'       ,'To copay'       ,80,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','To ded\'ble'    ,'To ded\'ble'    ,85,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('adjreason','Untimely filing','Untimely filing',90,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists'       ,'sub_relation','Subscriber Relationship',18,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('sub_relation','self'        ,'Self'                   , 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('sub_relation','spouse'      ,'Spouse'                 , 2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('sub_relation','child'       ,'Child'                  , 3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('sub_relation','other'       ,'Other'                  , 4,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists'     ,'occurrence','Occurrence'                  ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('occurrence','0'         ,'Unknown or N/A'              , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('occurrence','1'         ,'First'                       ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('occurrence','6'         ,'Early Recurrence (<2 Mo)'    ,15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('occurrence','7'         ,'Late Recurrence (2-12 Mo)'   ,20,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('occurrence','8'         ,'Delayed Recurrence (> 12 Mo)',25,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('occurrence','4'         ,'Chronic/Recurrent'           ,30,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('occurrence','5'         ,'Acute on Chronic'            ,35,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists'  ,'outcome','Outcome'         ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('outcome','0'      ,'Unassigned'      , 2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('outcome','1'      ,'Resolved'        , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('outcome','2'      ,'Improved'        ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('outcome','3'      ,'Status quo'      ,15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('outcome','4'      ,'Worse'           ,20,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('outcome','5'      ,'Pending followup',25,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists'    ,'note_type'      ,'Patient Note Types',10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Unassigned'     ,'Unassigned'        , 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Chart Note'     ,'Chart Note'        , 2,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Insurance'      ,'Insurance'         , 3,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','New Document'   ,'New Document'      , 4,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Pharmacy'       ,'Pharmacy'          , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Prior Auth'     ,'Prior Auth'        , 6,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Referral'       ,'Referral'          , 7,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Test Scheduling','Test Scheduling'   , 8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Bill/Collect'   ,'Bill/Collect'      , 9,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('note_type','Other'          ,'Other'             ,10,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists'        ,'immunizations','Immunizations'           ,  8,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','1'            ,'DTaP 1'                  , 30,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','2'            ,'DTaP 2'                  , 35,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','3'            ,'DTaP 3'                  , 40,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','4'            ,'DTaP 4'                  , 45,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','5'            ,'DTaP 5'                  , 50,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','6'            ,'DT 1'                    ,  5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','7'            ,'DT 2'                    , 10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','8'            ,'DT 3'                    , 15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','9'            ,'DT 4'                    , 20,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','10'           ,'DT 5'                    , 25,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','11'           ,'IPV 1'                   ,110,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','12'           ,'IPV 2'                   ,115,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','13'           ,'IPV 3'                   ,120,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','14'           ,'IPV 4'                   ,125,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','15'           ,'Hib 1'                   , 80,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','16'           ,'Hib 2'                   , 85,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','17'           ,'Hib 3'                   , 90,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','18'           ,'Hib 4'                   , 95,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','19'           ,'Pneumococcal Conjugate 1',140,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','20'           ,'Pneumococcal Conjugate 2',145,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','21'           ,'Pneumococcal Conjugate 3',150,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','22'           ,'Pneumococcal Conjugate 4',155,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','23'           ,'MMR 1'                   ,130,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','24'           ,'MMR 2'                   ,135,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','25'           ,'Varicella 1'             ,165,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','26'           ,'Varicella 2'             ,170,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','27'           ,'Hepatitis B 1'           , 65,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','28'           ,'Hepatitis B 2'           , 70,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','29'           ,'Hepatitis B 3'           , 75,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','30'           ,'Influenza 1'             ,100,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','31'           ,'Influenza 2'             ,105,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','32'           ,'Td'                      ,160,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','33'           ,'Hepatitis A 1'           , 55,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','34'           ,'Hepatitis A 2'           , 60,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('immunizations','35'           ,'Other'                   ,175,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists'   ,'apptstat','Appointment Statuses', 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','-'       ,'- None'              , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','*'       ,'* Reminder done'     ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','+'       ,'+ Chart pulled'      ,15,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','x'       ,'x Canceled'          ,20,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','?'       ,'? No show'           ,25,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','@'       ,'@ Arrived'           ,30,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','~'       ,'~ Arrived late'      ,35,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','!'       ,'! Left w/o visit'    ,40,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','#'       ,'# Ins/fin issue'     ,45,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','<'       ,'< In exam room'      ,50,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','>'       ,'> Checked out'       ,55,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','$'       ,'$ Coding done'       ,60,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('apptstat','%'       ,'% Canceled < 24h'    ,65,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists'    ,'warehouse','Warehouses',21,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('warehouse','onsite'   ,'On Site'   , 5,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('lists','abook_type','Address Book Types', 1,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('abook_type','spe','Specialist'    , 5,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('abook_type','lab','Lab Service'   ,10,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default ) VALUES ('abook_type','oth','Other'         ,95,0);

-- --------------------------------------------------------

-- 
-- Table structure for table `lists`
-- 

DROP TABLE IF EXISTS `lists`;
CREATE TABLE `lists` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `type` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `begdate` date default NULL,
  `enddate` date default NULL,
  `returndate` date default NULL,
  `occurrence` int(11) default '0',
  `classification` int(11) default '0',
  `referredby` varchar(255) default NULL,
  `extrainfo` varchar(255) default NULL,
  `diagnosis` varchar(255) default NULL,
  `activity` tinyint(4) default NULL,
  `comments` longtext,
  `pid` bigint(20) default NULL,
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `outcome` int(11) NOT NULL default '0',
  `destination` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `log`
-- 

DROP TABLE IF EXISTS `log`;
CREATE TABLE `log` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `event` varchar(255) default NULL,
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `comments` longtext,
  `user_notes` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `notes`
-- 

DROP TABLE IF EXISTS `notes`;
CREATE TABLE `notes` (
  `id` int(11) NOT NULL default '0',
  `foreign_id` int(11) NOT NULL default '0',
  `note` varchar(255) default NULL,
  `owner` int(11) default NULL,
  `date` datetime default NULL,
  `revision` timestamp NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `foreign_id` (`owner`),
  KEY `foreign_id_2` (`foreign_id`),
  KEY `date` (`date`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `onotes`
-- 

DROP TABLE IF EXISTS `onotes`;
CREATE TABLE `onotes` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `body` longtext,
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `activity` tinyint(4) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `openemr_module_vars`
-- 

DROP TABLE IF EXISTS `openemr_module_vars`;
CREATE TABLE `openemr_module_vars` (
  `pn_id` int(11) unsigned NOT NULL auto_increment,
  `pn_modname` varchar(64) default NULL,
  `pn_name` varchar(64) default NULL,
  `pn_value` longtext,
  PRIMARY KEY  (`pn_id`),
  KEY `pn_modname` (`pn_modname`),
  KEY `pn_name` (`pn_name`)
) ENGINE=MyISAM AUTO_INCREMENT=235 ;

-- 
-- Dumping data for table `openemr_module_vars`
-- 

INSERT INTO `openemr_module_vars` VALUES (234, 'PostCalendar', 'pcNotifyEmail', '');
INSERT INTO `openemr_module_vars` VALUES (233, 'PostCalendar', 'pcNotifyAdmin', '0');
INSERT INTO `openemr_module_vars` VALUES (232, 'PostCalendar', 'pcCacheLifetime', '3600');
INSERT INTO `openemr_module_vars` VALUES (231, 'PostCalendar', 'pcUseCache', '0');
INSERT INTO `openemr_module_vars` VALUES (230, 'PostCalendar', 'pcDefaultView', 'day');
INSERT INTO `openemr_module_vars` VALUES (229, 'PostCalendar', 'pcTimeIncrement', '5');
INSERT INTO `openemr_module_vars` VALUES (228, 'PostCalendar', 'pcAllowUserCalendar', '1');
INSERT INTO `openemr_module_vars` VALUES (227, 'PostCalendar', 'pcAllowSiteWide', '1');
INSERT INTO `openemr_module_vars` VALUES (226, 'PostCalendar', 'pcTemplate', 'default');
INSERT INTO `openemr_module_vars` VALUES (225, 'PostCalendar', 'pcEventDateFormat', '%Y-%m-%d');
INSERT INTO `openemr_module_vars` VALUES (224, 'PostCalendar', 'pcDisplayTopics', '0');
INSERT INTO `openemr_module_vars` VALUES (223, 'PostCalendar', 'pcListHowManyEvents', '15');
INSERT INTO `openemr_module_vars` VALUES (222, 'PostCalendar', 'pcAllowDirectSubmit', '1');
INSERT INTO `openemr_module_vars` VALUES (221, 'PostCalendar', 'pcUsePopups', '0');
INSERT INTO `openemr_module_vars` VALUES (220, 'PostCalendar', 'pcDayHighlightColor', '#EEEEEE');
INSERT INTO `openemr_module_vars` VALUES (219, 'PostCalendar', 'pcFirstDayOfWeek', '1');
INSERT INTO `openemr_module_vars` VALUES (218, 'PostCalendar', 'pcUseInternationalDates', '0');
INSERT INTO `openemr_module_vars` VALUES (217, 'PostCalendar', 'pcEventsOpenInNewWindow', '0');
INSERT INTO `openemr_module_vars` VALUES (216, 'PostCalendar', 'pcTime24Hours', '0');

-- --------------------------------------------------------

-- 
-- Table structure for table `openemr_modules`
-- 

DROP TABLE IF EXISTS `openemr_modules`;
CREATE TABLE `openemr_modules` (
  `pn_id` int(11) unsigned NOT NULL auto_increment,
  `pn_name` varchar(64) default NULL,
  `pn_type` int(6) NOT NULL default '0',
  `pn_displayname` varchar(64) default NULL,
  `pn_description` varchar(255) default NULL,
  `pn_regid` int(11) unsigned NOT NULL default '0',
  `pn_directory` varchar(64) default NULL,
  `pn_version` varchar(10) default NULL,
  `pn_admin_capable` tinyint(1) NOT NULL default '0',
  `pn_user_capable` tinyint(1) NOT NULL default '0',
  `pn_state` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`pn_id`)
) ENGINE=MyISAM AUTO_INCREMENT=47 ;

-- 
-- Dumping data for table `openemr_modules`
-- 

INSERT INTO `openemr_modules` VALUES (46, 'PostCalendar', 2, 'PostCalendar', 'PostNuke Calendar Module', 0, 'PostCalendar', '4.0.0', 1, 1, 3);

-- --------------------------------------------------------

-- 
-- Table structure for table `openemr_postcalendar_categories`
-- 

DROP TABLE IF EXISTS `openemr_postcalendar_categories`;
CREATE TABLE `openemr_postcalendar_categories` (
  `pc_catid` int(11) unsigned NOT NULL auto_increment,
  `pc_catname` varchar(100) default NULL,
  `pc_catcolor` varchar(50) default NULL,
  `pc_catdesc` text,
  `pc_recurrtype` int(1) NOT NULL default '0',
  `pc_enddate` date default NULL,
  `pc_recurrspec` text,
  `pc_recurrfreq` int(3) NOT NULL default '0',
  `pc_duration` bigint(20) NOT NULL default '0',
  `pc_end_date_flag` tinyint(1) NOT NULL default '0',
  `pc_end_date_type` int(2) default NULL,
  `pc_end_date_freq` int(11) NOT NULL default '0',
  `pc_end_all_day` tinyint(1) NOT NULL default '0',
  `pc_dailylimit` int(2) NOT NULL default '0',
  PRIMARY KEY  (`pc_catid`),
  KEY `basic_cat` (`pc_catname`,`pc_catcolor`)
) ENGINE=MyISAM AUTO_INCREMENT=11 ;

-- 
-- Dumping data for table `openemr_postcalendar_categories`
-- 

INSERT INTO `openemr_postcalendar_categories` VALUES (5, 'Office Visit', '#FFFFCC', 'Normal Office Visit', 0, NULL, 'a:5:{s:17:"event_repeat_freq";s:1:"0";s:22:"event_repeat_freq_type";s:1:"0";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, 900, 0, 0, 0, 0);
INSERT INTO `openemr_postcalendar_categories` VALUES (4, 'Vacation', '#EFEFEF', 'Reserved for use to define Scheduled Vacation Time', 0, NULL, 'a:5:{s:17:"event_repeat_freq";s:1:"0";s:22:"event_repeat_freq_type";s:1:"0";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, 0, 0, 0, 0, 1, 0);
INSERT INTO `openemr_postcalendar_categories` VALUES (1, 'No Show', '#DDDDDD', 'Reserved to define when an event did not occur as specified.', 0, NULL, 'a:5:{s:17:"event_repeat_freq";s:1:"0";s:22:"event_repeat_freq_type";s:1:"0";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `openemr_postcalendar_categories` VALUES (2, 'In Office', '#99CCFF', 'Reserved todefine when a provider may haveavailable appointments after.', 1, NULL, 'a:5:{s:17:"event_repeat_freq";s:1:"1";s:22:"event_repeat_freq_type";s:1:"4";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, 0, 1, 3, 2, 0, 0);
INSERT INTO `openemr_postcalendar_categories` VALUES (3, 'Out Of Office', '#99FFFF', 'Reserved to define when a provider may not have available appointments after.', 1, NULL, 'a:5:{s:17:"event_repeat_freq";s:1:"1";s:22:"event_repeat_freq_type";s:1:"4";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, 0, 1, 3, 2, 0, 0);
INSERT INTO `openemr_postcalendar_categories` VALUES (8, 'Lunch', '#FFFF33', 'Lunch', 1, NULL, 'a:5:{s:17:"event_repeat_freq";s:1:"1";s:22:"event_repeat_freq_type";s:1:"4";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, 3600, 0, 3, 2, 0, 0);
INSERT INTO `openemr_postcalendar_categories` VALUES (9, 'Established Patient', '#CCFF33', '', 0, NULL, 'a:5:{s:17:"event_repeat_freq";s:1:"0";s:22:"event_repeat_freq_type";s:1:"0";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, 900, 0, 0, 0, 0, 0);
INSERT INTO `openemr_postcalendar_categories` VALUES (10,'New Patient', '#CCFFFF', '', 0, NULL, 'a:5:{s:17:"event_repeat_freq";s:1:"0";s:22:"event_repeat_freq_type";s:1:"0";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, 1800, 0, 0, 0, 0, 0);
INSERT INTO `openemr_postcalendar_categories` VALUES (11,'Reserved','#FF7777','Reserved',1,NULL,'a:5:{s:17:\"event_repeat_freq\";s:1:\"1\";s:22:\"event_repeat_freq_type\";s:1:\"4\";s:19:\"event_repeat_on_num\";s:1:\"1\";s:19:\"event_repeat_on_day\";s:1:\"0\";s:20:\"event_repeat_on_freq\";s:1:\"0\";}',0,900,0,3,2,0,0);

-- --------------------------------------------------------

-- 
-- Table structure for table `openemr_postcalendar_events`
-- 

DROP TABLE IF EXISTS `openemr_postcalendar_events`;
CREATE TABLE `openemr_postcalendar_events` (
  `pc_eid` int(11) unsigned NOT NULL auto_increment,
  `pc_catid` int(11) NOT NULL default '0',
  `pc_multiple` int(10) unsigned NOT NULL,
  `pc_aid` varchar(30) default NULL,
  `pc_pid` varchar(11) default NULL,
  `pc_title` varchar(150) default NULL,
  `pc_time` datetime default NULL,
  `pc_hometext` text,
  `pc_comments` int(11) default '0',
  `pc_counter` mediumint(8) unsigned default '0',
  `pc_topic` int(3) NOT NULL default '1',
  `pc_informant` varchar(20) default NULL,
  `pc_eventDate` date NOT NULL default '0000-00-00',
  `pc_endDate` date NOT NULL default '0000-00-00',
  `pc_duration` bigint(20) NOT NULL default '0',
  `pc_recurrtype` int(1) NOT NULL default '0',
  `pc_recurrspec` text,
  `pc_recurrfreq` int(3) NOT NULL default '0',
  `pc_startTime` time default NULL,
  `pc_endTime` time default NULL,
  `pc_alldayevent` int(1) NOT NULL default '0',
  `pc_location` text,
  `pc_conttel` varchar(50) default NULL,
  `pc_contname` varchar(50) default NULL,
  `pc_contemail` varchar(255) default NULL,
  `pc_website` varchar(255) default NULL,
  `pc_fee` varchar(50) default NULL,
  `pc_eventstatus` int(11) NOT NULL default '0',
  `pc_sharing` int(11) NOT NULL default '0',
  `pc_language` varchar(30) default NULL,
  `pc_apptstatus` varchar(15) NOT NULL default '-',
  `pc_prefcatid` int(11) NOT NULL default '0',
  `pc_facility` smallint(6) NOT NULL default '0' COMMENT 'facility id for this event',
  `pc_sendalertsms` VARCHAR(3) NOT NULL DEFAULT 'NO',
  `pc_sendalertemail` VARCHAR( 3 ) NOT NULL DEFAULT 'NO',
  PRIMARY KEY  (`pc_eid`),
  KEY `basic_event` (`pc_catid`,`pc_aid`,`pc_eventDate`,`pc_endDate`,`pc_eventstatus`,`pc_sharing`,`pc_topic`)
) ENGINE=MyISAM AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `openemr_postcalendar_events`
-- 

INSERT INTO `openemr_postcalendar_events` VALUES (3, 2, 0, '1', '', 'In Office', '2005-03-03 12:22:31', ':text:', 0, 0, 0, '1', '2005-03-03', '2007-03-03', 0, 1, 'a:5:{s:17:"event_repeat_freq";s:1:"1";s:22:"event_repeat_freq_type";s:1:"4";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, '09:00:00', '09:00:00', 0, 'a:6:{s:14:"event_location";N;s:13:"event_street1";N;s:13:"event_street2";N;s:10:"event_city";N;s:11:"event_state";N;s:12:"event_postal";N;}', '', '', '', '', '', 1, 1, '', '-', 0, 0, 'NO', 'NO');
INSERT INTO `openemr_postcalendar_events` VALUES (5, 3, 0, '1', '', 'Out Of Office', '2005-03-03 12:22:52', ':text:', 0, 0, 0, '1', '2005-03-03', '2007-03-03', 0, 1, 'a:5:{s:17:"event_repeat_freq";s:1:"1";s:22:"event_repeat_freq_type";s:1:"4";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, '17:00:00', '17:00:00', 0, 'a:6:{s:14:"event_location";N;s:13:"event_street1";N;s:13:"event_street2";N;s:10:"event_city";N;s:11:"event_state";N;s:12:"event_postal";N;}', '', '', '', '', '', 1, 1, '', '-', 0, 0, 'NO', 'NO');
INSERT INTO `openemr_postcalendar_events` VALUES (6, 8, 0, '1', '', 'Lunch', '2005-03-03 12:23:31', ':text:', 0, 0, 0, '1', '2005-03-03', '2007-03-03', 3600, 1, 'a:5:{s:17:"event_repeat_freq";s:1:"1";s:22:"event_repeat_freq_type";s:1:"4";s:19:"event_repeat_on_num";s:1:"1";s:19:"event_repeat_on_day";s:1:"0";s:20:"event_repeat_on_freq";s:1:"0";}', 0, '12:00:00', '13:00:00', 0, 'a:6:{s:14:"event_location";N;s:13:"event_street1";N;s:13:"event_street2";N;s:10:"event_city";N;s:11:"event_state";N;s:12:"event_postal";N;}', '', '', '', '', '', 1, 1, '', '-', 0, 0, 'NO', 'NO');

-- --------------------------------------------------------

-- 
-- Table structure for table `openemr_postcalendar_limits`
-- 

DROP TABLE IF EXISTS `openemr_postcalendar_limits`;
CREATE TABLE `openemr_postcalendar_limits` (
  `pc_limitid` int(11) NOT NULL auto_increment,
  `pc_catid` int(11) NOT NULL default '0',
  `pc_starttime` time NOT NULL default '00:00:00',
  `pc_endtime` time NOT NULL default '00:00:00',
  `pc_limit` int(11) NOT NULL default '1',
  PRIMARY KEY  (`pc_limitid`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `openemr_postcalendar_topics`
-- 

DROP TABLE IF EXISTS `openemr_postcalendar_topics`;
CREATE TABLE `openemr_postcalendar_topics` (
  `pc_catid` int(11) unsigned NOT NULL auto_increment,
  `pc_catname` varchar(100) default NULL,
  `pc_catcolor` varchar(50) default NULL,
  `pc_catdesc` text,
  PRIMARY KEY  (`pc_catid`),
  KEY `basic_cat` (`pc_catname`,`pc_catcolor`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `openemr_session_info`
-- 

DROP TABLE IF EXISTS `openemr_session_info`;
CREATE TABLE `openemr_session_info` (
  `pn_sessid` varchar(32) NOT NULL default '',
  `pn_ipaddr` varchar(20) default NULL,
  `pn_firstused` int(11) NOT NULL default '0',
  `pn_lastused` int(11) NOT NULL default '0',
  `pn_uid` int(11) NOT NULL default '0',
  `pn_vars` blob,
  PRIMARY KEY  (`pn_sessid`)
) ENGINE=MyISAM;

-- 
-- Dumping data for table `openemr_session_info`
-- 

INSERT INTO `openemr_session_info` VALUES ('978d31441dccd350d406bfab98978f20', '127.0.0.1', 1109233952, 1109234177, 0, NULL);

-- --------------------------------------------------------

-- 
-- Table structure for table `patient_data`
-- 

DROP TABLE IF EXISTS `patient_data`;
CREATE TABLE `patient_data` (
  `id` bigint(20) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `language` varchar(255) NOT NULL default '',
  `financial` varchar(255) NOT NULL default '',
  `fname` varchar(255) NOT NULL default '',
  `lname` varchar(255) NOT NULL default '',
  `mname` varchar(255) NOT NULL default '',
  `DOB` date default NULL,
  `street` varchar(255) NOT NULL default '',
  `postal_code` varchar(255) NOT NULL default '',
  `city` varchar(255) NOT NULL default '',
  `state` varchar(255) NOT NULL default '',
  `country_code` varchar(255) NOT NULL default '',
  `drivers_license` varchar(255) NOT NULL default '',
  `ss` varchar(255) NOT NULL default '',
  `occupation` longtext,
  `phone_home` varchar(255) NOT NULL default '',
  `phone_biz` varchar(255) NOT NULL default '',
  `phone_contact` varchar(255) NOT NULL default '',
  `phone_cell` varchar(255) NOT NULL default '',
  `pharmacy_id` int(11) NOT NULL default '0',
  `status` varchar(255) NOT NULL default '',
  `contact_relationship` varchar(255) NOT NULL default '',
  `date` datetime default NULL,
  `sex` varchar(255) NOT NULL default '',
  `referrer` varchar(255) NOT NULL default '',
  `referrerID` varchar(255) NOT NULL default '',
  `providerID` int(11) default NULL,
  `email` varchar(255) NOT NULL default '',
  `ethnoracial` varchar(255) NOT NULL default '',
  `interpretter` varchar(255) NOT NULL default '',
  `migrantseasonal` varchar(255) NOT NULL default '',
  `family_size` varchar(255) NOT NULL default '',
  `monthly_income` varchar(255) NOT NULL default '',
  `homeless` varchar(255) NOT NULL default '',
  `financial_review` datetime default NULL,
  `pubpid` varchar(255) NOT NULL default '',
  `pid` bigint(20) NOT NULL default '0',
  `genericname1` varchar(255) NOT NULL default '',
  `genericval1` varchar(255) NOT NULL default '',
  `genericname2` varchar(255) NOT NULL default '',
  `genericval2` varchar(255) NOT NULL default '',
  `hipaa_mail` varchar(3) NOT NULL default '',
  `hipaa_voice` varchar(3) NOT NULL default '',
  `hipaa_notice` varchar(3) NOT NULL default '',
  `hipaa_message` varchar(20) NOT NULL default '',
  `hipaa_allowsms` VARCHAR(3) NOT NULL DEFAULT 'NO',
  `hipaa_allowemail` VARCHAR(3) NOT NULL DEFAULT 'NO',
  `squad` varchar(32) NOT NULL default '',
  `fitness` int(11) NOT NULL default '0',
  `referral_source` varchar(30) NOT NULL default '',
  `usertext1` varchar(255) NOT NULL DEFAULT '',
  `usertext2` varchar(255) NOT NULL DEFAULT '',
  `usertext3` varchar(255) NOT NULL DEFAULT '',
  `usertext4` varchar(255) NOT NULL DEFAULT '',
  `usertext5` varchar(255) NOT NULL DEFAULT '',
  `usertext6` varchar(255) NOT NULL DEFAULT '',
  `usertext7` varchar(255) NOT NULL DEFAULT '',
  `usertext8` varchar(255) NOT NULL DEFAULT '',
  `userlist1` varchar(255) NOT NULL DEFAULT '',
  `userlist2` varchar(255) NOT NULL DEFAULT '',
  `userlist3` varchar(255) NOT NULL DEFAULT '',
  `userlist4` varchar(255) NOT NULL DEFAULT '',
  `userlist5` varchar(255) NOT NULL DEFAULT '',
  `userlist6` varchar(255) NOT NULL DEFAULT '',
  `userlist7` varchar(255) NOT NULL DEFAULT '',
  `pricelevel` varchar(255) NOT NULL default 'standard',
  `regdate`     date DEFAULT NULL COMMENT 'Registration Date',
  `contrastart` date DEFAULT NULL COMMENT 'Date contraceptives initially used',
  `completed_ad` VARCHAR(3) NOT NULL DEFAULT 'NO',
  `ad_reviewed` date DEFAULT NULL,
  UNIQUE KEY `pid` (`pid`),
  KEY `id` (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `payments`
-- 

DROP TABLE IF EXISTS `payments`;
CREATE TABLE `payments` (
  `id` bigint(20) NOT NULL auto_increment,
  `pid` bigint(20) NOT NULL default '0',
  `dtime` datetime NOT NULL,
  `encounter` bigint(20) NOT NULL default '0',
  `user` varchar(255) default NULL,
  `method` varchar(255) default NULL,
  `source` varchar(255) default NULL,
  `amount1` decimal(12,2) NOT NULL default '0.00',
  `amount2` decimal(12,2) NOT NULL default '0.00',
  `posted1` decimal(12,2) NOT NULL default '0.00',
  `posted2` decimal(12,2) NOT NULL default '0.00',
  PRIMARY KEY  (`id`),
  KEY `pid` (`pid`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `pharmacies`
-- 

DROP TABLE IF EXISTS `pharmacies`;
CREATE TABLE `pharmacies` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `transmit_method` int(11) NOT NULL default '1',
  `email` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `phone_numbers`
-- 

DROP TABLE IF EXISTS `phone_numbers`;
CREATE TABLE `phone_numbers` (
  `id` int(11) NOT NULL default '0',
  `country_code` varchar(5) default NULL,
  `area_code` char(3) default NULL,
  `prefix` char(3) default NULL,
  `number` varchar(4) default NULL,
  `type` int(11) default NULL,
  `foreign_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `foreign_id` (`foreign_id`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `pma_bookmark`
-- 

DROP TABLE IF EXISTS `pma_bookmark`;
CREATE TABLE `pma_bookmark` (
  `id` int(11) NOT NULL auto_increment,
  `dbase` varchar(255) default NULL,
  `user` varchar(255) default NULL,
  `label` varchar(255) default NULL,
  `query` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM COMMENT='Bookmarks' AUTO_INCREMENT=10 ;

-- 
-- Dumping data for table `pma_bookmark`
-- 

INSERT INTO `pma_bookmark` VALUES (2, 'openemr', 'openemr', 'Aggregate Race Statistics', 'SELECT ethnoracial as "Race/Ethnicity", count(*) as Count FROM  `patient_data` WHERE 1 group by ethnoracial');
INSERT INTO `pma_bookmark` VALUES (9, 'openemr', 'openemr', 'Search by Code', 'SELECT  b.code, concat(pd.fname," ", pd.lname) as "Patient Name", concat(u.fname," ", u.lname) as "Provider Name", en.reason as "Encounter Desc.", en.date\r\nFROM billing as b\r\nLEFT JOIN users AS u ON b.user = u.id\r\nLEFT JOIN patient_data as pd on b.pid = pd.pid\r\nLEFT JOIN form_encounter as en on b.encounter = en.encounter and b.pid = en.pid\r\nWHERE 1 /* and b.code like ''%[VARIABLE]%'' */ ORDER BY b.code');
INSERT INTO `pma_bookmark` VALUES (8, 'openemr', 'openemr', 'Count No Shows By Provider since Interval ago', 'SELECT concat( u.fname,  " ", u.lname )  AS  "Provider Name", u.id AS  "Provider ID", count(  DISTINCT ev.pc_eid )  AS  "Number of No Shows"/* , concat(DATE_FORMAT(NOW(),''%Y-%m-%d''), '' and '',DATE_FORMAT(DATE_ADD(now(), INTERVAL [VARIABLE]),''%Y-%m-%d'') ) as "Between Dates" */ FROM  `openemr_postcalendar_events`  AS ev LEFT  JOIN users AS u ON ev.pc_aid = u.id WHERE ev.pc_catid =1/* and ( ev.pc_eventDate >= DATE_SUB(now(), INTERVAL [VARIABLE]) )  */\r\nGROUP  BY u.id;');
INSERT INTO `pma_bookmark` VALUES (6, 'openemr', 'openemr', 'Appointments By Race/Ethnicity from today plus interval', 'SELECT  count(pd.ethnoracial) as "Number of Appointments", pd.ethnoracial AS  "Race/Ethnicity" /* , concat(DATE_FORMAT(NOW(),''%Y-%m-%d''), '' and '',DATE_FORMAT(DATE_ADD(now(), INTERVAL [VARIABLE]),''%Y-%m-%d'') ) as "Between Dates" */ FROM openemr_postcalendar_events AS ev LEFT  JOIN   `patient_data`  AS pd ON  pd.pid = ev.pc_pid where ev.pc_eventstatus=1 and ev.pc_catid = 5 and ev.pc_eventDate >= now()  /* and ( ev.pc_eventDate <= DATE_ADD(now(), INTERVAL [VARIABLE]) )  */ group by pd.ethnoracial');

-- --------------------------------------------------------

-- 
-- Table structure for table `pma_column_info`
-- 

DROP TABLE IF EXISTS `pma_column_info`;
CREATE TABLE `pma_column_info` (
  `id` int(5) unsigned NOT NULL auto_increment,
  `db_name` varchar(64) default NULL,
  `table_name` varchar(64) default NULL,
  `column_name` varchar(64) default NULL,
  `comment` varchar(255) default NULL,
  `mimetype` varchar(255) default NULL,
  `transformation` varchar(255) default NULL,
  `transformation_options` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `db_name` (`db_name`,`table_name`,`column_name`)
) ENGINE=MyISAM COMMENT='Column Information for phpMyAdmin' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `pma_history`
-- 

DROP TABLE IF EXISTS `pma_history`;
CREATE TABLE `pma_history` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `username` varchar(64) default NULL,
  `db` varchar(64) default NULL,
  `table` varchar(64) default NULL,
  `timevalue` timestamp NOT NULL,
  `sqlquery` text,
  PRIMARY KEY  (`id`),
  KEY `username` (`username`,`db`,`table`,`timevalue`)
) ENGINE=MyISAM COMMENT='SQL history' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `pma_pdf_pages`
-- 

DROP TABLE IF EXISTS `pma_pdf_pages`;
CREATE TABLE `pma_pdf_pages` (
  `db_name` varchar(64) default NULL,
  `page_nr` int(10) unsigned NOT NULL auto_increment,
  `page_descr` varchar(50) default NULL,
  PRIMARY KEY  (`page_nr`),
  KEY `db_name` (`db_name`)
) ENGINE=MyISAM COMMENT='PDF Relationpages for PMA' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `pma_relation`
-- 

DROP TABLE IF EXISTS `pma_relation`;
CREATE TABLE `pma_relation` (
  `master_db` varchar(64) NOT NULL default '',
  `master_table` varchar(64) NOT NULL default '',
  `master_field` varchar(64) NOT NULL default '',
  `foreign_db` varchar(64) default NULL,
  `foreign_table` varchar(64) default NULL,
  `foreign_field` varchar(64) default NULL,
  PRIMARY KEY  (`master_db`,`master_table`,`master_field`),
  KEY `foreign_field` (`foreign_db`,`foreign_table`)
) ENGINE=MyISAM COMMENT='Relation table';

-- --------------------------------------------------------

-- 
-- Table structure for table `pma_table_coords`
-- 

DROP TABLE IF EXISTS `pma_table_coords`;
CREATE TABLE `pma_table_coords` (
  `db_name` varchar(64) NOT NULL default '',
  `table_name` varchar(64) NOT NULL default '',
  `pdf_page_number` int(11) NOT NULL default '0',
  `x` float unsigned NOT NULL default '0',
  `y` float unsigned NOT NULL default '0',
  PRIMARY KEY  (`db_name`,`table_name`,`pdf_page_number`)
) ENGINE=MyISAM COMMENT='Table coordinates for phpMyAdmin PDF output';

-- --------------------------------------------------------

-- 
-- Table structure for table `pma_table_info`
-- 

DROP TABLE IF EXISTS `pma_table_info`;
CREATE TABLE `pma_table_info` (
  `db_name` varchar(64) NOT NULL default '',
  `table_name` varchar(64) NOT NULL default '',
  `display_field` varchar(64) default NULL,
  PRIMARY KEY  (`db_name`,`table_name`)
) ENGINE=MyISAM COMMENT='Table information for phpMyAdmin';

-- --------------------------------------------------------

-- 
-- Table structure for table `pnotes`
-- 

DROP TABLE IF EXISTS `pnotes`;
CREATE TABLE `pnotes` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime default NULL,
  `body` longtext,
  `pid` bigint(20) default NULL,
  `user` varchar(255) default NULL,
  `groupname` varchar(255) default NULL,
  `activity` tinyint(4) default NULL,
  `authorized` tinyint(4) default NULL,
  `title` varchar(255) default NULL,
  `assigned_to` varchar(255) default NULL,
  `deleted` tinyint(4) default 0 COMMENT 'flag indicates note is deleted',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `prescriptions`
-- 

DROP TABLE IF EXISTS `prescriptions`;
CREATE TABLE `prescriptions` (
  `id` int(11) NOT NULL auto_increment,
  `patient_id` int(11) default NULL,
  `filled_by_id` int(11) default NULL,
  `pharmacy_id` int(11) default NULL,
  `date_added` date default NULL,
  `date_modified` date default NULL,
  `provider_id` int(11) default NULL,
  `start_date` date default NULL,
  `drug` varchar(150) default NULL,
  `drug_id` int(11) NOT NULL default '0',
  `form` int(3) default NULL,
  `dosage` varchar(100) default NULL,
  `quantity` varchar(31) default NULL,
  `size` float unsigned default NULL,
  `unit` int(11) default NULL,
  `route` int(11) default NULL,
  `interval` int(11) default NULL,
  `substitute` int(11) default NULL,
  `refills` int(11) default NULL,
  `per_refill` int(11) default NULL,
  `filled_date` date default NULL,
  `medication` int(11) default NULL,
  `note` text,
  `active` int(11) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `prices`
-- 

DROP TABLE IF EXISTS `prices`;
CREATE TABLE `prices` (
  `pr_id` varchar(11) NOT NULL default '',
  `pr_selector` varchar(255) NOT NULL default '' COMMENT 'template selector for drugs, empty for codes',
  `pr_level` varchar(31) NOT NULL default '',
  `pr_price` decimal(12,2) NOT NULL default '0.00' COMMENT 'price in local currency',
  PRIMARY KEY  (`pr_id`,`pr_selector`,`pr_level`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

-- 
-- Table structure for table `registry`
-- 

DROP TABLE IF EXISTS `registry`;
CREATE TABLE `registry` (
  `name` varchar(255) default NULL,
  `state` tinyint(4) default NULL,
  `directory` varchar(255) default NULL,
  `id` bigint(20) NOT NULL auto_increment,
  `sql_run` tinyint(4) default NULL,
  `unpackaged` tinyint(4) default NULL,
  `date` datetime default NULL,
  `priority` int(11) default '0',
  `category` varchar(255) default NULL,
  `nickname` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 ;

-- 
-- Dumping data for table `registry`
-- 

INSERT INTO `registry` VALUES ('New Encounter Form', 1, 'newpatient', 1, 1, 1, '2003-09-14 15:16:45', 0, 'category', '');
INSERT INTO `registry` VALUES ('Review of Systems Checks', 1, 'reviewofs', 9, 1, 1, '2003-09-14 15:16:45', 0, 'category', '');
INSERT INTO `registry` VALUES ('Speech Dictation', 1, 'dictation', 10, 1, 1, '2003-09-14 15:16:45', 0, 'category', '');
INSERT INTO `registry` VALUES ('SOAP', 1, 'soap', 11, 1, 1, '2005-03-03 00:16:35', 0, 'category', '');
INSERT INTO `registry` VALUES ('Vitals', 1, 'vitals', 12, 1, 1, '2005-03-03 00:16:34', 0, 'category', '');
INSERT INTO `registry` VALUES ('Review Of Systems', 1, 'ros', 13, 1, 1, '2005-03-03 00:16:30', 0, 'category', '');
INSERT INTO `registry` VALUES ('Fee Sheet', 1, 'fee_sheet', 14, 1, 1, '2007-07-28 00:00:00', 0, 'category', '');
INSERT INTO `registry` VALUES ('Misc Billing Options HCFA', 1, 'misc_billing_options', 15, 1, 1, '2007-07-28 00:00:00', 0, 'category', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `sequences`
-- 

DROP TABLE IF EXISTS `sequences`;
CREATE TABLE `sequences` (
  `id` int(11) unsigned NOT NULL default '0'
) ENGINE=MyISAM;

-- 
-- Dumping data for table `sequences`
-- 

INSERT INTO `sequences` VALUES (1);

-- --------------------------------------------------------

-- 
-- Table structure for table `transactions`
-- 

DROP TABLE IF EXISTS `transactions`;
CREATE TABLE `transactions` (
  `id`                      bigint(20)   NOT NULL auto_increment,
  `date`                    datetime     default NULL,
  `title`                   varchar(255) NOT NULL DEFAULT '',
  `body`                    longtext     NOT NULL DEFAULT '',
  `pid`                     bigint(20)   default NULL,
  `user`                    varchar(255) NOT NULL DEFAULT '',
  `groupname`               varchar(255) NOT NULL DEFAULT '',
  `authorized`              tinyint(4)   default NULL,
  `refer_date`              date         DEFAULT NULL,
  `refer_from`              int(11)      NOT NULL DEFAULT 0,
  `refer_to`                int(11)      NOT NULL DEFAULT 0,
  `refer_diag`              varchar(255) NOT NULL DEFAULT '',
  `refer_risk_level`        varchar(255) NOT NULL DEFAULT '',
  `refer_vitals`            tinyint(1)   NOT NULL DEFAULT 0,
  `refer_external`          tinyint(1)   NOT NULL DEFAULT 0,
  `refer_related_code`      varchar(255) NOT NULL DEFAULT '',
  `reply_date`              date         DEFAULT NULL,
  `reply_from`              varchar(255) NOT NULL DEFAULT '',
  `reply_init_diag`         varchar(255) NOT NULL DEFAULT '',
  `reply_final_diag`        varchar(255) NOT NULL DEFAULT '',
  `reply_documents`         varchar(255) NOT NULL DEFAULT '',
  `reply_findings`          text         NOT NULL DEFAULT '',
  `reply_services`          text         NOT NULL DEFAULT '',
  `reply_recommend`         text         NOT NULL DEFAULT '',
  `reply_rx_refer`          text         NOT NULL DEFAULT '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `users`
-- 

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` bigint(20) NOT NULL auto_increment,
  `username` varchar(255) default NULL,
  `password` longtext,
  `authorized` tinyint(4) default NULL,
  `info` longtext,
  `source` tinyint(4) default NULL,
  `fname` varchar(255) default NULL,
  `mname` varchar(255) default NULL,
  `lname` varchar(255) default NULL,
  `federaltaxid` varchar(255) default NULL,
  `federaldrugid` varchar(255) default NULL,
  `upin` varchar(255) default NULL,
  `facility` varchar(255) default NULL,
  `facility_id` int(11) NOT NULL default '0',
  `see_auth` int(11) NOT NULL default '1',
  `active` tinyint(1) NOT NULL default '1',
  `npi` varchar(15) default NULL,
  `title` varchar(30) default NULL,
  `specialty` varchar(255) default NULL,
  `billname` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `assistant` varchar(255) default NULL,
  `organization` varchar(255) default NULL,
  `valedictory` varchar(255) default NULL,
  `street` varchar(60) default NULL,
  `streetb` varchar(60) default NULL,
  `city` varchar(30) default NULL,
  `state` varchar(30) default NULL,
  `zip` varchar(20) default NULL,
  `street2` varchar(60) default NULL,
  `streetb2` varchar(60) default NULL,
  `city2` varchar(30) default NULL,
  `state2` varchar(30) default NULL,
  `zip2` varchar(20) default NULL,
  `phone` varchar(30) default NULL,
  `fax` varchar(30) default NULL,
  `phonew1` varchar(30) default NULL,
  `phonew2` varchar(30) default NULL,
  `phonecell` varchar(30) default NULL,
  `notes` text,
  `cal_ui` tinyint(4) NOT NULL default '1',
  `taxonomy` varchar(30) NOT NULL DEFAULT '207Q00000X',
  `ssi_relayhealth` varchar(64) NULL,
  `calendar` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '1 = appears in calendar',
  `abook_type` varchar(31) NOT NULL DEFAULT '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `x12_partners`
-- 

DROP TABLE IF EXISTS `x12_partners`;
CREATE TABLE `x12_partners` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `id_number` varchar(255) default NULL,
  `x12_sender_id` varchar(255) default NULL,
  `x12_receiver_id` varchar(255) default NULL,
  `x12_version` varchar(255) default NULL,
  `processing_format` enum('standard','medi-cal','cms','proxymed') default NULL,
  `x12_isa05` char(2)     NOT NULL DEFAULT 'ZZ',
  `x12_isa07` char(2)     NOT NULL DEFAULT 'ZZ',
  `x12_isa14` char(1)     NOT NULL DEFAULT '0',
  `x12_isa15` char(1)     NOT NULL DEFAULT 'P',
  `x12_gs02`  varchar(15) NOT NULL DEFAULT '',
  `x12_per06` varchar(80) NOT NULL DEFAULT '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

------------------------------------------------------------------------------------- 
-- Table structure for table `automatic_notification`
-- 

DROP TABLE IF EXISTS `automatic_notification`;
CREATE TABLE `automatic_notification` (
  `notification_id` int(5) NOT NULL auto_increment,
  `sms_gateway_type` varchar(255) NOT NULL,
  `next_app_date` date NOT NULL,
  `next_app_time` varchar(10) NOT NULL,
  `provider_name` varchar(100) NOT NULL,
  `message` text NOT NULL,
  `email_sender` varchar(100) NOT NULL,
  `email_subject` varchar(100) NOT NULL,
  `type` enum('SMS','Email') NOT NULL default 'SMS',
  `notification_sent_date` datetime NOT NULL,
  PRIMARY KEY  (`notification_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `automatic_notification`
-- 

INSERT INTO `automatic_notification` (`notification_id`, `sms_gateway_type`, `next_app_date`, `next_app_time`, `provider_name`, `message`, `email_sender`, `email_subject`, `type`, `notification_sent_date`) VALUES (1, 'CLICKATELL', '0000-00-00', ':', 'EMR GROUP 1 .. SMS', 'Welcome to EMR GROUP 1.. SMS', '', '', 'SMS', '0000-00-00 00:00:00'),
(2, '', '2007-10-02', '05:50', 'EMR GROUP', 'Welcome to EMR GROUP . Email', 'EMR Group', 'Welcome to EMR GROUP', 'Email', '2007-09-30 00:00:00');

-- --------------------------------------------------------

-- 
-- Table structure for table `notification_log`
-- 

DROP TABLE IF EXISTS `notification_log`;
CREATE TABLE `notification_log` (
  `iLogId` int(11) NOT NULL auto_increment,
  `pid` int(7) NOT NULL,
  `pc_eid` int(11) unsigned NULL,
  `sms_gateway_type` varchar(50) NOT NULL,
  `smsgateway_info` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `email_sender` varchar(255) NOT NULL,
  `email_subject` varchar(255) NOT NULL,
  `type` enum('SMS','Email') NOT NULL,
  `patient_info` text NOT NULL,
  `pc_eventDate` date NOT NULL,
  `pc_endDate` date NOT NULL,
  `pc_startTime` time NOT NULL,
  `pc_endTime` time NOT NULL,
  `dSentDateTime` datetime NOT NULL,
  PRIMARY KEY  (`iLogId`)
) ENGINE=InnoDB AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

-- 
-- Table structure for table `notification_settings`
-- 

DROP TABLE IF EXISTS `notification_settings`;
CREATE TABLE `notification_settings` (
  `SettingsId` int(3) NOT NULL auto_increment,
  `Send_SMS_Before_Hours` int(3) NOT NULL,
  `Send_Email_Before_Hours` int(3) NOT NULL,
  `SMS_gateway_username` varchar(100) NOT NULL,
  `SMS_gateway_password` varchar(100) NOT NULL,
  `SMS_gateway_apikey` varchar(100) NOT NULL,
  `type` varchar(50) NOT NULL,
  PRIMARY KEY  (`SettingsId`)
) ENGINE=InnoDB AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `notification_settings`
-- 

INSERT INTO `notification_settings` (`SettingsId`, `Send_SMS_Before_Hours`, `Send_Email_Before_Hours`, `SMS_gateway_username`, `SMS_gateway_password`, `SMS_gateway_apikey`, `type`) VALUES (1, 150, 150, 'sms username', 'sms password', 'sms api key', 'SMS/Email Settings');

-- -------------------------------------------------------------------

CREATE TABLE chart_tracker (
  ct_pid            int(11)       NOT NULL,
  ct_when           datetime      NOT NULL,
  ct_userid         bigint(20)    NOT NULL DEFAULT 0,
  ct_location       varchar(31)   NOT NULL DEFAULT '',
  PRIMARY KEY (ct_pid, ct_when)
) ENGINE=MyISAM;

CREATE TABLE ar_session (
  session_id     int unsigned  NOT NULL AUTO_INCREMENT,
  payer_id       int(11)       NOT NULL            COMMENT '0=pt else references insurance_companies.id',
  user_id        int(11)       NOT NULL            COMMENT 'references users.id for session owner',
  closed         tinyint(1)    NOT NULL DEFAULT 0  COMMENT '0=no, 1=yes',
  reference      varchar(255)  NOT NULL DEFAULT '' COMMENT 'check or EOB number',
  check_date     date          DEFAULT NULL,
  deposit_date   date          DEFAULT NULL,
  pay_total      decimal(12,2) NOT NULL DEFAULT 0,
  PRIMARY KEY (session_id),
  KEY user_closed (user_id, closed),
  KEY deposit_date (deposit_date)
) ENGINE=MyISAM;

CREATE TABLE ar_activity (
  pid            int(11)       NOT NULL,
  encounter      int(11)       NOT NULL,
  sequence_no    int unsigned  NOT NULL AUTO_INCREMENT,
  code           varchar(9)    NOT NULL            COMMENT 'empty means claim level',
  modifier       varchar(5)    NOT NULL DEFAULT '',
  payer_type     int           NOT NULL            COMMENT '0=pt, 1=ins1, 2=ins2, etc',
  post_time      datetime      NOT NULL,
  post_user      int(11)       NOT NULL            COMMENT 'references users.id',
  session_id     int unsigned  NOT NULL            COMMENT 'references ar_session.session_id',
  memo           varchar(255)  NOT NULL DEFAULT '' COMMENT 'adjustment reasons go here',
  pay_amount     decimal(12,2) NOT NULL DEFAULT 0  COMMENT 'either pay or adj will always be 0',
  adj_amount     decimal(12,2) NOT NULL DEFAULT 0,
  PRIMARY KEY (pid, encounter, sequence_no),
  KEY session_id (session_id)
) ENGINE=MyISAM;

CREATE TABLE `users_facility` (
  `tablename` varchar(64) NOT NULL,
  `table_id` int(11) NOT NULL,
  `facility_id` int(11) NOT NULL,
  PRIMARY KEY (`tablename`,`table_id`,`facility_id`)
) ENGINE=InnoDB COMMENT='joins users or patient_data to facility table';

CREATE TABLE `lbf_data` (
  `form_id`     int(11)      NOT NULL AUTO_INCREMENT COMMENT 'references forms.form_id',
  `field_id`    varchar(31)  NOT NULL COMMENT 'references layout_options.field_id',
  `field_value` varchar(255) NOT NULL,
  PRIMARY KEY (`form_id`,`field_id`)
) ENGINE=MyISAM COMMENT='contains all data from layout-based forms';

CREATE TABLE gprelations (
  type1 int(2)     NOT NULL,
  id1   bigint(20) NOT NULL,
  type2 int(2)     NOT NULL,
  id2   bigint(20) NOT NULL,
  PRIMARY KEY (type1,id1,type2,id2),
  KEY key2  (type2,id2)
) ENGINE=MyISAM COMMENT='general purpose relations';

DELETE FROM list_options WHERE list_id = 'contrameth';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','con','Condom (Male or Female)'         , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','dia','Diaphragm'                       , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','ec' ,'Emergency Contraception'         , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','fab','Fertility Awareness Based'       , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','fc' ,'Foam & Condom'                   , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','pat','Hormonal Patch'                  , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','imp','Implant'                         , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','inj','Injectable'                      , 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','iud','IUCD'                            ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','or' ,'Oral'                            ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','cap','Pessary/Cervicap Cap'            ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','sp' ,'Spermicides'                     ,13,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','vsc','Voluntary Surgical Contraception',14,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('contrameth','no' ,'None'                            ,16,0,0);

DELETE FROM list_options WHERE list_id = 'mcreason';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'sef','Side Effects of Current Method'   , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'pop','Partner Opposes'                  , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'eco','Economic (cost)'                  , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'com','Method Too Complicated'           , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'med','Medical/Health Condition'         , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'men','Menopause'                        , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'rel','Religious'                        , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'mov','Personal - Moved Away'            , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'prv','Personal - Privacy'               , 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'oop','Personal - Social/Family Pressure',10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'con','Personal - Lacks Confidence'      ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'prg','Wants to Become Pregnant'         ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('mcreason'  ,'oth','Other'                            ,13,0,0);

DELETE FROM list_options WHERE list_id = 'abreasons';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abreasons' ,'lif','Danger to life of pregnant woman'                                          , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abreasons' ,'phy','Grave injury to physical health of pregnant woman'                         , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abreasons' ,'men','Grave injury to mental health of pregnant woman'                           , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abreasons' ,'rap','Pregnancy caused by rape'                                                  , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abreasons' ,'abn','Substantial risk that child would be severely handicapped by abnormalities', 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abreasons' ,'con','Failure of contraceptive device or method'                                 , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abreasons' ,'env','Risk to health of woman in current or forseeable environment'              , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abreasons' ,'oth','Other (specify)'                                                           , 8,0,0);

DELETE FROM list_options WHERE list_id = 'flowtype';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('flowtype'  ,'lit','Light'   , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('flowtype'  ,'mod','Moderate', 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('flowtype'  ,'hvy','Heavy'   , 3,0,0);

DELETE FROM list_options WHERE list_id = 'lists' AND seq > 50;
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists' ,'contrameth','Contraceptive Methods'               ,51,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists' ,'mcreason'  ,'Reason for Method Change/Termination',52,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists' ,'abreasons' ,'Reasons for Abortion'                ,58,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists' ,'flowtype'  ,'Flow Types'                          ,59,0,0);

DELETE FROM codes WHERE code_type = '11';
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Oral Contraceptives - OC - Method Specific Counselling', '111100119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Oral Contraceptives - OC - OTHER', '111100999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Oral Contraceptives - COC & POC - Initial Consultation', '111101110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Oral Contraceptives - COC & POC - Follow up/Resupply', '111101111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Oral Contraceptives - COC & POC - OTHER', '111101999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Injectable Contraceptives - Method Specific Counselling', '111110119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Injectable Contraceptives - OTHER', '111110999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Combined Injectable Contraceptives (1 month) -  Initial Consultation', '111111110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Combined Injectable Contraceptives (1 month) - Follow up/Resupply', '111111111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Combined Injectable Contraceptives (1 month) - OTHER', '111111999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Progestogen Only Injectables (2 months) - Initial Consultation', '111112110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Progestogen Only Injectables (2 months) - Follow up/Resupply', '111112111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Progestogen Only Injectables (2 months) - OTHER', '111112999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Progestogen Only Injectables (3 months) - Initial Consultation', '111113110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Progestogen Only Injectables (3 months) - Follow up/Resupply', '111113111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Progestogen Only Injectables (3 months) - OTHER', '111113999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal Implants - Removal', '111120112', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal Implants - Method Specific Counselling', '111120119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal Implants - OTHER', '111120999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 6 rods - Initial Consultation/Insertion', '111122110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 6 rods - Follow up/Reinsertion', '111122111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 6 rods - OTHER', '111122999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 2 rods - Initial Consultation/Insertion', '111123110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 2 rods - Follow up/Reinsertion', '111123111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 2 rods - OTHER', '111123999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 1 rod - Initial Consultation/Insertion', '111124110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 1 rod - Follow up/Reinsertion', '111124111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Subdermal implants 1 rod - OTHER', '111124999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other hormonal methods - OTHER', '111130999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other methods - Transdermal Patch (1 month) - Initial Consultation', '111132110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other methods - Transdermal Patch (1 month) - Follow up/Resupply', '111132111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other methods - Transdermal Patch (1 month) - Method Specific Counselling', '111132119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other methods - Transdermal Patch (1 month) - OTHER', '111132999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other methods - Vaginal Ring (1 month) - Initial Consultation', '111133110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other methods - Vaginal Ring (1 month) - Follow up/Resupply', '111133111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other methods - Vaginal Ring (1 month) - Method Specific Counselling', '111133119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Other methods - Vaginal Ring (1 month) - OTHER', '111133999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms (Male and Female) - OTHER', '112140999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms - Male Condom - Initial Consultation', '112141110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms - Male Condom - Follow up/Resupply', '112141111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms - Male Condom - Method Specific Counselling', '112141119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms - Male Condom - OTHER', '112141999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms - Female Condom - Initial Consultation', '112142110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms - Female Condom - Follow up/Resupply', '112142111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms - Female Condom - Method Specific Counselling', '112142119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Condoms - Female Condom - OTHER', '112142999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Diaphragm / Cervical Cap - Method Specific Counselling', '112150119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Diaphragm / Cervical Cap - OTHER', '112150999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Diaphragm - Initial Consultation', '112151110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Diaphragm - Follow up/Resupply', '112151111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Diaphragm - OTHER', '112151999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Cervical Cap - Initial Consultation', '112152010', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Cervical Cap - Follow up/Resupply', '112152011', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Cervical Cap - OTHER', '112152999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Method Specific Counselling', '112160119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - OTHER', '112160999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Tabs/Tube/Suppositories - Initial Consultation', '112161110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Tabs/Tube/Suppositories - Follow up/Resupply', '112161111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Tabs/Tube/Suppositories - OTHER', '112161999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Tabs/Strip - Initial Consultation', '112162110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Tabs/Strip - Follow up/Resupply', '112162111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Tabs/Strip - OTHER', '112162999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Cans - Initial Consultation', '112163110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Cans - Follow up/Resupply', '112163111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Foam Cans - OTHER', '112163999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Cream & Jelly - Initial Consultation', '112164110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Cream & Jelly - Follow up/Resupply', '112164111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Cream & Jelly - OTHER', '112164999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Pessaries / C-film - Initial Consultation', '112165110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Pessaries / C-film - Follow up/Resupply', '112165111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - Spermicides - Pessaries / C-film - OTHER', '112165999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - Removal', '113170112', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - Method Specific Counselling', '113170119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - OTHER', '113170999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - Hormone releasing IUD (5 years) - Initial Consultation/Insertion', '113171110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - Hormone releasing IUD (5 years) - Follow up/Reinsertion', '113171111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - Hormone releasing IUD (5 years) - OTHER', '113171999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - Copper releasing IUD (10 years) - Initial Consultation/Insertion', '113172110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - Copper releasing IUD (10 years) - Follow up/Reinsertion', '113172111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraceptives - IUD - Copper releasing IUD (10 years) - OTHER', '113172999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception - Voluntary Surgical Contraception (VSC) - OTHER', '120180999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - Reversal', '121181112', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - Method Specific Counselling', '121181119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - Minilaparatomy - Follow up', '121181211', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - Minilaparatomy - Contraceptive Surgery', '121181213', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - Laparoscopy - Follow up', '121181311', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - Laparoscopy - Contraceptive Surgery', '121181313', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - Laparotomy - Follow up', '121181411', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - Laparotomy - Contraceptive Surgery', '121181413', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Female VSC - OTHER', '121181999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Male VSC - Reversal', '122182112', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Male VSC - Method Specific Counselling', '122182119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Male VSC - Incisional vasectomy - Follow up (Sperm count)', '122182211', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Male VSC - Incisional vasectomy - Contraceptive Surgery', '122182213', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Male VSC - No-scalpel Vasectomy - Follow up  (Sperm count)', '122182311', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Male VSC - No-scalpel Vasectomy - Contraceptive Surgery', '122182313', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception Surgical - Male VSC - OTHER', '122182999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception -  Awareness-Based Methods - OTHER', '130190999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Method Specific Counselling', '131191119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Cervical Mucous Method (CMM) - Initial Consultation/Training', '131191210', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Cervical Mucous Method (CMM) - Follow up/Training', '131191211', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Calendar Based Method (CBM) - Initial Consultation/Training', '131191310', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Calendar Based Method (CBM) - Follow up/Training', '131191311', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Sympto-thermal method - Initial Consultation/Training', '131191410', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Sympto-thermal method - Follow up/Training', '131191411', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Standard days method - Initial Consultation/Training', '131191510', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Standard days method - Follow up/Training', '131191511', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Basal Body Temperature (BBT) - Initial Consultation/Training', '131191610', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception FAB Methods - Basal Body Temperature (BBT) - Follow up/Training', '131191611', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception - FAB Methods - OTHER', '131191999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception - FP General Counselling', '141200118', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception - FP General Counselling - Combined Counselling (FP - HIV/AIDS incl. Dual protection', '141200218', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Contraception - FP General Counselling - OTHER', '141200999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Emergency Contraception Services - OTHER', '145210999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC - Counselling', '145211119', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC - Counselling - OTHER', '145211999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC - Combined Oral Contraceptives - Yuzpe - Contraceptive Supply (Treatment)', '145212110', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC - Combined Oral Contraceptives - Yuzpe - Follow Up', '145212111', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC Progestogen Only Pills - Contraceptive Supply (Treatment)', '145212210', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC Progestogen Only Pills - Follow Up', '145212211', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC Dedicated Product - Contraceptive Supply (Treatment)', '145212310', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC Dedicated Product - Follow Up', '145212311', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC Copper releasing IUD - DIU Insertion (Treatment)', '145212410', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC Copper releasing IUD - Follow Up', '145212411', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'EC - Therapeutic - OTHER', '145212999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Services - OTHER', '252220999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Counselling - Pre - Abortion Counseling', '252221129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Counselling - Counselling on HIV Testing', '252221229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Counselling - OTHER', '252221999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Diagnosis - Exclusion of Anaemia (Haemoglobin/Hematocrit tests)', '252222121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Diagnosis - Tests for ABO and Rhesus (Rh) blood groups typing', '252222221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Diagnosis - Exclusion of ectopic pregnancy (through ultrasound)', '252222321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Diagnosis - Cervical cytology (Pap smear citology test)', '252222421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Diagnosis - HIV testing', '252222521', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Diagnosis - OTHER', '252222999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Induced (Surgical) - Dilatation And Curettage (D&C)', '252223123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Induced (Surgical) - Dilatation And Evacuation (D&E) (2nd trimester of pregnancy)', '252223223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Induced (Surgical) - Manual Vacuum Aspiration (MVA)', '252223323', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Induced (Surgical) - OTHER', '252223999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Care - Induced Abortion (Medical) - Pharmaceutical/Medical', '252224122', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Care - Induced Abortion (Medical) - OTHER', '252224999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion (Incomplete Abortion) - Surgical / D&C', '252225123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion (Incomplete Abortion) - Surgical / MVA', '252225223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion  (Incomplete Abortion) - Medical / Pharmaceutical', '252225722', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion (Incomplete Abortion) - Surgical/Medical OTHER', '252225999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Care - Post - Follow-up incl. Uterine Involution Monitoring & Bimanual Pelvic Exam.', '252226120', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Care - Post - OTHER', '252226999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Counselling - Post Abortion Counseling - Including Family Planning', '252227129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Abortion Counselling - Post Abortion Counseling - OTHER', '252227999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Services - OTHER', '253230999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Consult - Treatment- Anti Retro Viral (ARV)', '253231122', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Consult - Treatment - Opportunistic Infection (OI)', '253231222', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Consult - Treatment - Post Exposure Prophylaxis (PEP)', '253231322', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Consult - Treatment - Psycho-Social Support', '253231422', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Consult - Treatment - Home Care', '253231522', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Consult - Treatment - OTHER', '253231999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Antibody Lab Tests - ELISA (Blood) Test', '253232121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Antibody Lab Tests - Western Blot (WB) Assay', '253232221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Antibody Lab Tests - Indirect Immunofluorescence Assay (IFA)', '253232321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Other Lab Tests - Rapid Test (Murex-SUDS)', '253232421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Other Lab Tests - OTHER', '253232999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Other Lab Tests - Urine Test for HIV', '253233121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Other Lab Tests - Assessment of Immunologic Function (Viral Load)', '253233221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Other Lab Tests - Assessment of Immunologic Function (CD4 count)', '253233321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Other Lab Tests - OTHER', '253233999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Prevention Counselling', '253234129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Prevention Counselling - OTHER', '253234999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Counselling - PRE Voluntary Counselling & Testing (VCT)', '253235129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Counselling - POST Test (Positive) - Clients Only', '253235229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Counseling - POST Test (Negative)', '253235329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Counseling - POST Test (Positive) - Sexual Partners', '253235429', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'HIV/AIDS Counseling - OTHER', '253235999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Services - OTHER', '254240999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Counseling - Prevention Counseling', '254241129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Counseling - POST Test', '254241229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Counseling - OTHER', '254241999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Consultation - Follow Up', '254242120', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Consultation - OTHER', '254242999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Bacterial Vaginosis', '254243121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Candidiasis', '254243221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Chancroid', '254243321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Chlamydia', '254243421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Gonorrhea', '254243521', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - OTHER', '254243999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Herpes Simplex (HSV)', '254244121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Human Papillomavirus (HPV)', '254244221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Syphilis', '254244321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Trichomoniasis', '254244421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Hepatitis B', '254244521', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Test - Part I & II OTHER', '254244999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Treatment - Syndromic diagnosis with clinical treatment', '254245122', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Treatment - Etiological diagnosis with clinical treatment', '254245222', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'STI/RTI Treatment - OTHER', '254245999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Services - OTHER', '255250999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Biopsy - Conization', '255251123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Biopsy - Needle Biopsy', '255251223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Biopsy - Aspiration Biopsy', '255251323', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Biopsy - Dilatation & Curretage (D&C)', '255251423', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Biopsy - OTHER', '255251999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - Colposcopy', '255252123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - Laparoscopy', '255252223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - Hysteroscopy', '255252323', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - Culdoscopy', '255252423', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - Hysteretomy', '255252523', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - Ovariectomy', '255252623', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - Mastectomy', '255252723', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - Lumpectomy', '255252823', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Endoscopy - OTHER', '255252999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Diagnostic Imaging - Radiography - Hysterosalpingography', '255253121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Diagnostic Imaging - Radiography - Mammography', '255253221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Diagnostic Imaging - Ultrasonography', '255253321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Diagnostic Imaging - Tomography', '255253421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Diagnostic Imaging - Dexa, Bone Density Scan', '255253521', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Diagnostic Imaging - OTHER', '255253999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Exam - Manual Pelvic Exam (includes Palpation)', '255254121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Exam - Manual Breast Exam', '255254221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Exam - Vaginal Smears Sampling (Pap smear)', '255254321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Exam - Consultation without pelvic exam', '255254421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Exam - OTHER', '255254999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Lab Test - Cytology Analysis', '255255121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Lab Test - OTHER', '255255999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Therapies - Menopause Consultations, Hormonal Replacement Therapy', '255256122', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Therapies - Menstrual regulation', '255256222', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Therapies - Female Genital Mutilation Treatment of Complications', '255256322', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Therapies - OTHER', '255256999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Surgeries - Cryosurgery - Cervical', '255257123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Surgeries - Cauterization (Cervical / Vaginal)', '255257223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Surgeries - Female Genital Mutilation Reconstructive Surgery', '255257323', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Surgeries - OTHER', '255257999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Counselling - Menopause Consultations, Counseling', '255258129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Counselling - Pap Smear, Importance (pre test guidance)', '255258229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Counselling - Pap Smear, Abnormal Results (post test follow-up guidance)', '255258329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Counselling - Breast Exam Results, Mammography/Biopsy', '255258429', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Counselling - Female Genital Mutilation', '255258529', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gynecological Counselling - OTHER', '255258999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetric Services - OTHER', '256260999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Diagnosis - Fetoscopy', '256261121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Diagnosis - Ultrasonography, Pre-natal', '256261221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Diagnosis - Pelvimetry', '256261321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Diagnosis - Placental Function Tests', '256261421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Diagnosis - OTHER', '256261999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre natal Care - Uterine Monitoring', '256262121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre natal Care - Fetal Monitoring', '256262221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre natal Care - Immunisations', '256262422', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre natal Care - OTHER', '256262999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre natal Counselling - Pre Natal Care Info', '256263129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre natal Counselling - Unplanned Pregnancy', '256263229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre natal Counselling - HIV Prevention and Testing', '256263329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre natal Counselling - OTHER', '256263999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Lab Tests - Pregnancy Tests - Agglutination Inhibition - Urine 1 test', '256264121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Lab Tests - Pregnancy Tests - Radioimmunoasays - Blood test', '256264221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Lab Tests - Pregnancy Tests - OTHER', '256264999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - Urine 1', '256265121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - Glicemia de Jejum', '256265221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - Hemoglobin (HB)', '256265321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - Blood Type', '256265421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - VDRL', '256265521', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - HIV', '256265621', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - Amniocentesis', '256265721', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - Chorionic Villi Sampling', '256265821', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Pre-Natal Lab Tests - OTHER', '256265999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Surgery - Child Birth, Vaginal Delivery', '256267123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Surgery - Child Birth, Cesarean Delivery', '256267223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Surgery - Emergency Obstetric Care (EmOC)', '256267323', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Surgery - OTHER', '256267999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Post natal Care - Consultation including Uterine Involution Monitoring', '256268120', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Post natal Care - OTHER', '256268999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Post-Natal Counselling - FP Methods', '256269129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Post-Natal Counselling - Breastfeeding Advice', '256269229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Post-Natal Counselling - HIV Counselling', '256269329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Obstetrics - Post-Natal Counselling - OTHER', '256269999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Services - OTHER', '257270999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Endoscopy - Cystoscopy', '257271123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Endoscopy - Ureteroscopy', '257271223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Endoscopy - OTHER', '257271999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Diagnostic Imaging - Urography', '257272121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Diagnostic Imaging - OTHER', '257272999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Diagnosis Other - Exam', '257273121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Diagnosis Other - Prostate Cancer Screening', '257273221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Diagnosis Other - Peniscopy', '257273321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Diagnosis Other - Other Urogenital Services', '257273421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Diagnosis Other - OTHER', '257273999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Male Surgery - Biopsy', '257274123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Male Surgery - Circumcision', '257274223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Male Surgery - Other Surgical Services', '257274323', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Urological Male Surgery - OTHER', '257274999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility/Subfertility - OTHER', '258280999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Biopsy - Endometrial biopsy', '258281123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Biopsy - Testicular biopsy', '258281223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Biopsy - OTHER', '258281999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Endoscopy - Laparoscopy', '258282123', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Endoscopy - Histeroscopy', '258282223', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Endoscopy - OTHER', '258282999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Diagnostic Imaging - Histerosalpingography', '258283121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Diagnostic Imaging - Ovarian ultrasound', '258283221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Diagnostic Imaging - Transvaginal ecography', '258283321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Diagnostic Imaging - OTHER', '258283999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Post-coital test or Sims-Huhner test', '258284121', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Fallopian Tube Patency Tests', '258284221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Clomiphene citrate challenge test (CCCT)', '258284321', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Semen analysis', '258284421', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Basal Temperature', '258284521', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Mucose Analysis', '258284621', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Sperm Count', '258284721', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Spermiogram', '258284821', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - Hormonal analysis', '258284921', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Lab Test - OTHER', '258284999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Treatment - Ovulation Induction', '258286122', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Treatment - Embryo Transfer', '258286222', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Treatment - Fertilization in Vitro', '258286322', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Treatment - Gamete Intrafallopian Transfer', '258286422', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Treatment - Artificial Insemination', '258286522', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Treatment - Oocyte Donation', '258286622', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Treatment - Zygote Intrafallopian Transfer', '258286722', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility Treatment - OTHER', '258286999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility/Subfertility Consultation', '258288120', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility/Subfertility Consultation - OTHER', '258288999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility/Subfertility  Counseling', '258289129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Infertility/Subfertility  Counseling - OTHER', '258289999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Specialized Counselling Services - OTHER', '260290999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - Individual Counseling', '261291129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - Support Groups for Survivors', '261291229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - Legal Counseling', '261291329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - Intimate Partner Sexual Abuse', '261291429', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - Intimate Partner Physical  Abuse', '261291529', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - Intimate Partner Emotional Abuse', '261291629', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - NonIntimate Partner Sexual Assalt/Rape', '261291729', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - Screening Only  - Gender Based Violence (GBV)', '261291829', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - GBV - OTHER', '261291999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Domestic Violence, Child Abuse', '262292129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Domestic Violence, Screening  Only Child Abuse', '262292229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Domestic Violence - OTHER', '262292999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Family - Parent/Child Relationship', '262293129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Family- Family Conflict', '262293229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Family, Delinquency', '262293329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Family - OTHER', '262293999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Pre-Marital including Pre-Marital Family Planning', '262294129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Marital - Relationship, Partner Negotiation', '262294229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Marital - Sexuality / Sexual Disfunction', '262294329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Marital - OTHER', '262294999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Youth - Life Skills Counseling', '262295129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Youth - Sexuality', '262295229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Youth - Telephone / Internet Hotline Counseling', '262295329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Youth - SRH Counselling', '262295429', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Youth - OTHER', '262295999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Male - SRH Counselling', '262296129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Male - Sexuality', '262296229', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Male - GBV', '262296329', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counselling - Male - OTHER', '262296999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counseling - Other - Sexuality Issues ( 25 years and over)', '263297129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Counseling - OTHER', '263297999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other SRH Medical Services - Consultation', '269298120', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other SRH Medical Services - Diagnostic Test', '269298221', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other SRH Medical Services - Therapy / Treatment', '269298322', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other SRH Medical Services - Surgery', '269298423', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other SRH Medical Services - OTHER', '269298999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Medical Specialties - System Oriented Services - OTHER', '371300999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Angiology - Consultation', '371301130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Angiology - Diagnostic Test', '371301231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Angiology - Therapy / Treatment', '371301332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Angiology - Surgery', '371301433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Angiology - OTHER', '371301999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Cardiology - Consultation', '371311130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Cardiology - Diagnostic EKG', '371311231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Cardiology - Therapy / Treatment', '371311332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Cardiology - Surgery', '371311433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Cardiology - OTHER', '371311999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dentistry - Diagnosis', '371321131', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dentistry -Therapy / Treatment', '371321232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dentistry - Orthodontics', '371321332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dentistry - Periodontics', '371321432', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dentistry - Surgery', '371321533', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dentistry - OTHER', '371321999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dermatology - Consultation', '371331130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dermatology - Diagnostic Test', '371331231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dermatology - Therapy / Treatment', '371331332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dermatology - Surgery', '371331433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Dermatology - OTHER', '371331999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Endocrinology - Consultation', '371341130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Endocrinology - Diagnostic Test', '371341231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Endocrinology - Therapy / Treatment', '371341332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Endocrinology - Surgery', '371341433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Endocrinology - OTHER', '371341999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gastroenterology - Consultation', '371351130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gastroenterology - Diagnostic Test', '371351231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gastroenterology - Therapy / Treatment', '371351332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gastroenterology - Surgery', '371351433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Gastroenterology - OTHER', '371351999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Genetics - Counselling', '371361129', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Genetics - Consultation', '371361230', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Genetics - Diagnostic Test', '371361331', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Genetics - Therapy / Treatment', '371361432', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Genetics - OTHER', '371361999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Nephrology - Consultation', '371371130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Nephrology - Diagnostic Test', '371371231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Nephrology - Therapy / Treatment', '371371332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Nephrology - Surgery', '371371433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Nephrology - OTHER', '371371999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neumology - Consultation', '371381130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neumology - Diagnostic Test', '371381231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neumology - Therapy / Treatment', '371381332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neumology - Surgery', '371381433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neumology - OTHER', '371381999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neurology - Consultation', '371391130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neurology - Diagnostic Exam', '371391231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neurology - Therapy / Treatment', '371391332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neurology - Surgery', '371391433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Neurology - OTHER', '371391999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Ophtalmology - Consultation', '371401130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Ophtalmology - Diagnostic Exam', '371401231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Ophtalmology - Therapy / Treatment', '371401332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Ophtalmology - Surgery', '371401433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Ophtalmology - OTHER', '371401999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Orthopedics - Consultation', '371411130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Orthopedics - Diagnostic Exam', '371411231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Orthopedics - Therapy / Treatment', '371411332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Orthopedics - Surgery', '371411433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Orthopedics - OTHER', '371411999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Othorhinolaringology - Consultation', '371421130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Othorhinolaringology - Diagnostic Exam', '371421231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Othorhinolaringology - Therapy / Treatment', '371421332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Othorhinolaringology - Surgery', '371421433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Othorhinolaringology - OTHER', '371421999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Podology - Consultation', '371431130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Podology - Diagnostic Exam', '371431231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Podology - Therapy / Treatment', '371431332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Podology - Surgery', '371431433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Podology - OTHER', '371431999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Rheumatology - Consultation', '371441130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Rheumatology - Diagnostic Exam', '371441231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Rheumatology - Therapy / Treatment', '371441332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Rheumatology - Surgery', '371441433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Rheumatology - OTHER', '371441999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Medical Specialties - Disease Oriented Services - OTHER', '372500999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Optometry - Consultation', '372501130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Optometry - Diagnostic Exam', '372501231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Optometry - OTHER', '372501999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Psychiatry - Diagnostic consultation', '372511131', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Psychiatry - Therapy / Treatment', '372511232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Psychiatry - OTHER', '372511999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Psychology - Diagnostic consultation', '372521131', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Psychology - Therapy / Treatment', '372521232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Psychology - OTHER', '372521999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Radiology - Diagnostic Imaging', '372531131', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Radiology - Therapy / Treatment', '372531232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Radiology - OTHER', '372531999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Oncology - Diagnostic Test', '372541131', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Oncology - Therapy / Treatment', '372541232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Oncology - Surgery', '372541333', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Oncology - OTHER', '372541999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Allergy - Consultation', '372551130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Allergy - Diagnostic Test', '372551231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Allergy - Therapy / Treatment', '372551332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Allergy - OTHER', '372551999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Immunology - Consultation', '372561130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Immunology - Diagnostic Test', '372561231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Immunology - OTHER', '372561999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Medical Specialties - Community Oriented Services - OTHER', '373600999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health -  Hypertension Screening', '373601131', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health -  Physical Exam', '373601231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health -  Weight & Vital Signs', '373601331', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health -  Diabetes Screening', '373601431', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health -  Urinalysis', '373601531', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health -  Cholesterol screening', '373601631', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health -  Nutrition Counseling', '373601729', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health -  Diet/Weight Control Counseling', '373601829', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Family Health - OTHER', '373601999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Geriatrics - Consultation', '373621130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Geriatrics - Diagnostic Test', '373621231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Geriatrics - Therapy / Treatment', '373621332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Geriatrics - OTHER', '373621999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - Consultation', '373641130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - Diagnostic - Neonatal Screening (at Birth)', '373641231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - Diagnostic - Well Baby Care / Infant Health Check', '373641331', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - Therapy / Treatment - Nutrition', '373641432', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - Therapy / Treatment - Immunization', '373641532', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - Therapy / Treatment - Oral rehydration (ORT/ORS)', '373641632', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - Therapy / Treatment - Neonatal Intensive Care', '373641732', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - Surgery - Circumcision', '373641833', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pediatrics - OTHER', '373641999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Physical Medicine & Rehabilitation - Consultation', '373661130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Physical Medicine & Rehabilitation - Diagnostic Test', '373661231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Physical Medicine & Rehabilitation - Therapy / Treatment', '373661332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Physical Medicine & Rehabilitation - Surgery', '373661433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Physical Medicine & Rehabilitation - OTHER', '373661999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Preventive Medicine - Consultation', '373671130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Preventive Medicine - Diagnostic Test', '373671231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Preventive Medicine - OTHER', '373671999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Emergency Medicine - Evaluation', '373681131', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Emergency Medicine - Initial Treatment', '373681232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Emergency Medicine - Emergency Surgery', '373681333', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Emergency Medicine - OTHER', '373681999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Hospitalization - Ambulatory (1 day)', '373691140', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Hospitalization - Extended (>1day)', '373691241', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Hospitalization - OTHER', '373691999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Medical Specialties - Diagnostic/Therapeutic Procedures - OTHER', '374700999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Hematology - Consultation', '374701130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Hematology - Diagnostic Test', '374701231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Hematology - Therapy / Treatment', '374701332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Hematology - OTHER', '374701999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Toxicology - Consultation', '374721130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Toxicology - Diagnostic tests', '374721231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Toxicology - Therapy / Treatment', '374721332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Toxicology - OTHER', '374721999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Chemical Patology - Consultation', '374741130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Chemical Patology - Diagnostic Test', '374741231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Chemical Patology - OTHER', '374751999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pathology - Consultation', '374761130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pathology - Diagnostic Test', '374761231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Pathology - OTHER', '374761999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Microbiology - Consultation', '374781130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Microbiology - Diagnostic Test', '374781231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Microbiology - OTHER', '374781999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Medical Specialties - Other Services - OTHER', '375800999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Chiropractice - Consultation', '375801130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Chiropractice - Therapy / Treatment', '375801232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Chiropractice - OTHER', '375801999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Osteophaty - Consultation', '375811130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Osteophaty - Therapy / Treatment', '375811232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Osteophaty - Diagnostic Test', '375811331', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Osteophaty - OTHER', '375811999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Plastic Surgery - Consultation', '375821130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Plastic Surgery - Therapy / Treatment', '375821232', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Plastic Surgery - Surgery', '375821333', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Plastic Surgery - OTHER', '375821999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non SRH Medical Services - Consultation', '375831130', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non SRH Medical Services - Diagnostic Test', '375831231', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non SRH Medical Services - Therapy / Treatment', '375831332', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non SRH Medical Services - Surgery', '375831433', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non SRH Medical Services - Counselling', '375831539', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non SRH Medical Services - OTHER', '375831999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'ALL OTHER NON SRH SERVICES - OTHER', '380910999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Sales & Rentals - OTHER', '380911999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Sales of Medicines', '381912150', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Sales Medical Supplies', '381912250', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Sales Medical Equipment', '381912350', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Sales - OTHER', '381913999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Rental Medical Infrastructure', '382914450', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Rental Medical Infrastructure', '382914450', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Rental Medical Equipment / Infrastructure - OTHER', '382915999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non Medical Products & Services - Sales of IEC Materials', '491990190', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non Medical Products & Services - Other Generic Products', '491990999', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non Medical Products & Services - Sales of IEC Services', '492992090', 11, '' );
INSERT INTO codes ( code_text, code, code_type, modifier ) VALUES ( 'Other Non Medical Products & Services - OTHER', '492992999', 11, '' );

CREATE TABLE IF NOT EXISTS lists_ippf_gcac (
  id            bigint(20)   NOT NULL,
  client_status varchar(255) NOT NULL DEFAULT '',
  in_ab_proc    varchar(255) NOT NULL DEFAULT '',
  ab_types      varchar(255) NOT NULL DEFAULT '',
  ab_location   varchar(255) NOT NULL DEFAULT '',
  pr_status     varchar(255) NOT NULL DEFAULT '',
  gest_age_by   varchar(255) NOT NULL DEFAULT '',
  blood_group   varchar(255) NOT NULL DEFAULT '',
  sti           varchar(255) NOT NULL DEFAULT '',
  rh_factor     varchar(255) NOT NULL DEFAULT '',
  prep_procs    varchar(255) NOT NULL DEFAULT '',
  reason        varchar(255) NOT NULL DEFAULT '',
  exp_p_i       varchar(255) NOT NULL DEFAULT '',
  exp_pop       varchar(255) NOT NULL DEFAULT '',
  ab_contraind  varchar(255) NOT NULL DEFAULT '',
  screening     varchar(255) NOT NULL DEFAULT '',
  pre_op        varchar(255) NOT NULL DEFAULT '',
  anesthesia    varchar(255) NOT NULL DEFAULT '',
  side_eff      varchar(255) NOT NULL DEFAULT '',
  rec_compl     varchar(255) NOT NULL DEFAULT '',
  post_op       varchar(255) NOT NULL DEFAULT '',
  qc_ind        varchar(255) NOT NULL DEFAULT '',
  contrameth    varchar(255) NOT NULL DEFAULT '',
  fol_compl     varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (id)
) ENGINE=MyISAM;

DELETE FROM list_options WHERE list_id = 'clientstatus';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('clientstatus','maaa'  ,'MA Client Accepting Abortion', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('clientstatus','mara'  ,'MA Client Refusing Abortion' , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('clientstatus','refout','Outbound Referral'           , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('clientstatus','refin' ,'Inbound Referral'            , 4,0,0);
DELETE FROM list_options WHERE list_id = 'in_ab_proc';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('in_ab_proc','s_dnc','Surgical - D&C'                      , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('in_ab_proc','s_dne','Surgical - D&E'                      , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('in_ab_proc','s_mva','Surgical - MVA/EVA'                  , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('in_ab_proc','s_oth','Surgical - Other'                    , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('in_ab_proc','m_mis','Medical - Misoprostol'               , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('in_ab_proc','m_mm' ,'Medical - Mifepristone + Misoprostol', 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('in_ab_proc','m_oth','Medical - Other'                     , 8,0,0);
DELETE FROM list_options WHERE list_id = 'ab_types';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_types','missed' ,'Missed Abortion'                     , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_types','spon'   ,'Spontaneous Abortion'                , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_types','legin'  ,'Legally Induced Abortion'            , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_types','illegal','Illegal Abortion'                    , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_types','unspec' ,'Unspecified Type of Abortion'        , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_types','legun'  ,'Legally Unspecified Type of Abortion', 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_types','threat' ,'Threatened Abortion'                 , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_types','fail'   ,'Failed Attempted Abortion'           , 8,0,0);
DELETE FROM list_options WHERE list_id = 'ab_location';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_location','proc' ,'Procedure at this site'              , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_location','ma'   ,'Followup procedure from this site'   , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_location','part' ,'Followup procedure from partner site', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_location','oth'  ,'Followup procedure from other site'  , 4,0,0);
DELETE FROM list_options WHERE list_id = 'pr_status';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_status','n_u'   ,'Normal - Urine Test'           , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_status','n_bpe' ,'Normal - Bimanual Pelvic Exam' , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_status','a_ep'  ,'Abnormal - Ectopic Pregnancy'  , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_status','a_mp'  ,'Abnormal - Molar Pregnancy'    , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_status','dis'   ,'Discarded'                     , 5,0,0);
DELETE FROM list_options WHERE list_id = 'gest_age_by';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gest_age_by','lmp','Last Monthly Period', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gest_age_by','son','Sonogram'           , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gest_age_by','oth','Other'              , 3,0,0);
DELETE FROM list_options WHERE list_id = 'bloodgroup';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bloodgroup','a' ,'A' , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bloodgroup','b' ,'B' , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bloodgroup','ab','AB', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bloodgroup','o' ,'O' , 4,0,0);
-- DELETE FROM list_options WHERE list_id = 'sti';
-- INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sti','hiv' ,'HIV'                  , 1,0,0);
-- INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sti','chla','Chlamydia'            , 2,0,0);
-- INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sti','gono','Gonorrhea'            , 3,0,0);
-- INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sti','syph','Syphilis'             , 4,0,0);
-- INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sti','hpv' ,'HPV'                  , 5,0,0);
-- INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sti','herp','Herpes (Type 1 and 2)', 6,0,0);
-- INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sti','tric','Trichomoniasis'       , 7,0,0);
-- INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sti','oth' ,'Other'                , 8,0,0);
DELETE FROM list_options WHERE list_id = 'rh_factor';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('rh_factor', 'pos' ,'Positive', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('rh_factor', 'neg' ,'Negative', 2,0,0);
DELETE FROM list_options WHERE list_id = 'prep_procs';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('prep_procs', 'cons','Informed Consent Signed'                     , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('prep_procs', 'imm' ,'Immunoglobin Given to RH(-) Patients'        , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('prep_procs', 'hcg' ,'Initial HCG Level Verifying Pregnancy Status', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('prep_procs', 'hema','Hematocrit Taken for Risk Assessment'        , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('prep_procs', 'vit' ,'Vital Signs Recorded'                        , 5,0,0);
DELETE FROM list_options WHERE list_id = 'exp_p_i';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_p_i', 'med' , 'Medical Procedures Explained'     , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_p_i', 'sur' , 'Surgical Procedures Explained'    , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_p_i', 'risk', 'Risks and Complications Explained', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_p_i', 'side', 'Common Side Effects Explained'    , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_p_i', 'rec' , 'Recovery Process Explained'       , 5,0,0);
DELETE FROM list_options WHERE list_id = 'exp_pop';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_pop', 'cont' , 'Continue Pregnancy'      , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_pop', 'adopt', 'Explore Adoption'        , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_pop', 'term' , 'Termination of Pregnancy', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('exp_pop', 'oth'  , 'Other'                   , 4,0,0);
DELETE FROM list_options WHERE list_id = 'ab_contraind';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_contraind','iud'     ,'IUD in Place'                          , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_contraind','allergy' ,'Allergy to Prostaglandins/Mifepristone', 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_contraind','adrenal' ,'Chronic adrenal failure'               , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_contraind','steroid' ,'Long term corticosteroid treatment'    , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_contraind','anticoag','Concurrent anticouagulant therapy'     , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_contraind','ectopic' ,'Ectopic pregnancy'                     , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_contraind','hem'     ,'Hemorrhagic disorder'                  , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('ab_contraind','oth'     ,'Other'                                 , 8,0,0);
DELETE FROM list_options WHERE list_id = 'screening';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('screening','gb_viol' ,'Gender-Based Violence', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('screening','fam_viol','Family Violence'      , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('screening','hiv'     ,'HIV'                  , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('screening','sti'     ,'STI'                  , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('screening','discrim' ,'Stigma/Discrimination', 5,0,0);
DELETE FROM list_options WHERE list_id = 'pre_op';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pre_op','exam'  ,'Pelvic Exam'          , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pre_op','analg' ,'Analgesic Provided'   , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pre_op','antis' ,'Antiseptic Provided'  , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pre_op','clean' ,'Cervix/Vagina Cleaned', 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pre_op','vitals','Vital Signs Recorded' , 5,0,0);
DELETE FROM list_options WHERE list_id = 'anesthesia';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('anesthesia','local' ,'Local'                  , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('anesthesia','locsed','Local + Sedation'       , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('anesthesia','sed'   ,'Sedation Only'          , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('anesthesia','gen'   ,'General Anesthesia'     , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('anesthesia','parac' ,'Paracervical Anesthesia', 5,0,0);
DELETE FROM list_options WHERE list_id = 'side_eff';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('side_eff','incomp','Procedure Incomplete, Abandoned', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('side_eff','bleed' ,'Extra Bleeding'                 , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('side_eff','injury','Injury/Perforation'             , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('side_eff','shock' ,'Shock'                          , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('side_eff','pain'  ,'Severe Abdominal Pain'          , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('side_eff','card'  ,'Cardiac Arrest'                 , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('side_eff','anes'  ,'Anesthesia Complications'       , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('side_eff','oth'   ,'Other, Specify'                 , 8,0,0);
DELETE FROM list_options WHERE list_id = 'complication';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('complication','incomp' ,'Retention of Product', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('complication','bleed'  ,'Excessive Bleeding/Hemorrhage'           , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('complication','trauma' ,'Trauma to Vagina, Cervix, or Uterus'     , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('complication','shock'  ,'Shock'                                   , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('complication','infect' ,'Infection'                               , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('complication','ectopic','Ectopic/Molar Pregnancy'                 , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('complication','failed' ,'Continuing Pregnancy (Failed Attempt)'   , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('complication','oth'    ,'Other Complications'                     , 8,0,0);
DELETE FROM list_options WHERE list_id = 'post_op';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('post_op','texam'  ,'Tissue Examination'        , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('post_op','tpath'  ,'Tissue Sent for Pathology' , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('post_op','confirm','Confirmation of Completion', 3,0,0);
DELETE FROM list_options WHERE list_id = 'qc_ind';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('qc_ind','eprov' ,'Emergency Written Instructions Provided', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('qc_ind','eaware','Client Aware of Emergency Procedures'   , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('qc_ind','couns' ,'Contraceptive Counseling Provided'      , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('qc_ind','appt'  ,'Followup Appointment Recorded'          , 4,0,0);

DELETE FROM list_options WHERE list_id = 'lists' AND seq > 69;
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','clientstatus','GCAC Client Statuses'                      ,70,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','in_ab_proc'  ,'GCAC Induced Abortion Procedures'          ,71,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','ab_types'    ,'GCAC Abortion Types'                       ,72,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','ab_location' ,'GCAC Visit Types'                          ,73,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','pr_status'   ,'GCAC Pregnancy Statuses'                   ,74,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','gest_age_by' ,'GCAC Gestational Age Confirmed By'         ,75,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','bloodgroup'  ,'GCAC Blood Groups'                         ,76,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','sti'         ,'GCAC Detection of STI'                     ,77,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','rh_factor'   ,'GCAC RH Factor'                            ,78,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','prep_procs'  ,'GCAC Preparation Procedures'               ,79,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','exp_p_i'     ,'GCAC Explanations of Procedures and Issues',81,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','exp_pop'     ,'GCAC Explanations of Pregnancy Options'    ,82,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','ab_contraind','GCAC Contraindications'                    ,83,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','screening'   ,'GCAC Screening for SRHR Concerns'          ,84,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','pre_op'      ,'GCAC Pre-Surgery Procedures'               ,85,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','anesthesia'  ,'GCAC Types of Anesthesia'                  ,86,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','side_eff'    ,'GCAC Immediate Side Effects'               ,87,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','complication','GCAC Post Abortion Complications'          ,88,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','post_op'     ,'GCAC Post-Surgery Procedures'              ,89,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','qc_ind'      ,'GCAC Quality of Care Indicators'           ,90,0,0);

CREATE TABLE IF NOT EXISTS lists_ippf_con (
  id            bigint(20)   NOT NULL,
  prev_method   varchar(255) NOT NULL DEFAULT '',
  new_method    varchar(255) NOT NULL DEFAULT '',
  reason_chg    varchar(255) NOT NULL DEFAULT '',
  reason_term   varchar(255) NOT NULL DEFAULT '',
-- risks         varchar(255) NOT NULL DEFAULT '',
  hor_history   varchar(255) NOT NULL DEFAULT '',
  hor_lmp       varchar(255) NOT NULL DEFAULT '',
  hor_flow      varchar(255) NOT NULL DEFAULT '',
  hor_bleeding  varchar(255) NOT NULL DEFAULT '',
  hor_contra    varchar(255) NOT NULL DEFAULT '',
  iud_history   varchar(255) NOT NULL DEFAULT '',
  iud_lmp       varchar(255) NOT NULL DEFAULT '',
  iud_pain      varchar(255) NOT NULL DEFAULT '',
  iud_upos      varchar(255) NOT NULL DEFAULT '',
  iud_contra    varchar(255) NOT NULL DEFAULT '',
  sur_screen    varchar(255) NOT NULL DEFAULT '',
  sur_anes      varchar(255) NOT NULL DEFAULT '',
  sur_type      varchar(255) NOT NULL DEFAULT '',
  sur_post_ins  varchar(255) NOT NULL DEFAULT '',
  sur_contra    varchar(255) NOT NULL DEFAULT '',
  nat_reason    varchar(255) NOT NULL DEFAULT '',
  nat_method    varchar(255) NOT NULL DEFAULT '',
  emg_reason    varchar(255) NOT NULL DEFAULT '',
  emg_method    varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (id)
) ENGINE=MyISAM;

DELETE FROM list_options WHERE list_id = 'menhist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menhist','normen' ,'Normal Menarche'                 , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menhist','norlen' ,'Normal Length of Menstrual Cycle', 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menhist','norflow','Normal Flow'                     , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menhist','bleed'  ,'Intermenstrual Bleeding'         , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menhist','dysmen' ,'Dysmenorrhea'                    , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menhist','disch'  ,'Discharge'                       , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menhist','oth'    ,'Other'                           , 7,0,0);

DELETE FROM list_options WHERE list_id = 'lmp';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lmp','lw'  ,'Last week'                 , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lmp','lm'  ,'Last month'                , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lmp','1to3','Between 1 and 3 months ago', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lmp','gt3' ,'More than 3 months ago'    , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lmp','oth' ,'Other'                     , 5,0,0);

DELETE FROM list_options WHERE list_id = 'bleeding';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bleeding','none' ,'None'    , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bleeding','mod'  ,'Moderate', 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bleeding','stain','Staining', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bleeding','mild' ,'Mild'    , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bleeding','heavy','Heavy'   , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bleeding','spot' ,'Spotting', 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bleeding','sev'  ,'Severe'  , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('bleeding','oth'  ,'Other'   , 8,0,0);

DELETE FROM list_options WHERE list_id = 'hor_contra';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','bfeed','Breast-feeding'                             , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','heart','Ishaemic Heart Disease or Stroke'           , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','smoke','Smoking if 35 Years or More'                , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','ht'   ,'Raised Blood Pressure'                      , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','htvd' ,'Hypertension with Vascular Disease'         , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','mig'  ,'Migraine with Aura'                         , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','dia'  ,'Diabetes Mellitus w/Vascular Complications' , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','throm','Deep Vein Thrombosis or Pulmonary'          , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','immob','Major Surgery with Prolonged Immobilization', 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','tmut' ,'Known Thrombogenic Mutations'               ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','cvhd' ,'Complicated Valvular Heart Disease'         ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','bcan' ,'Breast Cancer within the Past 5 Years'      ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','hep'  ,'Active Viral Hepatitis'                     ,13,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','liver','Benign or Malignant Liver Tumour'           ,14,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hor_contra','cirr' ,'Severe (Decompensated) Cirrhosis'           ,15,0,0);

DELETE FROM list_options WHERE list_id = 'menpain';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menpain','none','None'     , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menpain','lb'  ,'Low Back' , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menpain','ab'  ,'Abdominal', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('menpain','oth' ,'Other'    , 4,0,0);

DELETE FROM list_options WHERE list_id = 'uteruspos';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uteruspos','ant','Anteverted'  , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uteruspos','rev','Reverted'    , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uteruspos','mid','Mid Position', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uteruspos','oth','Other'       , 4,0,0);

DELETE FROM list_options WHERE list_id = 'iud_contra';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','preg','Known or Suspected Pregnancy'                                    , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','sep' ,'Puerperal or Post-Abortion Sepsis'                               , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','mon' ,'Months'                                                          , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','pid' ,'Pelvic Inflammatory Disease (PID)'                               , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','sti' ,'Sexually Transmitted Infection (STI)'                            , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','pcer','Purulent Cervicitis'                                             , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','mgt' ,'Malignancy of the Genital Tract'                                 , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','uvb' ,'Unexplained Vaginal Bleeding'                                    , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','ccan','Cervical Cancer Awaiting Treatment'                              , 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','ecan','Endometrial Cancer'                                              ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','uter','Congenital Uterine Abnormalities or Benign Tumours of the Uterus',11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','iud' ,'IUD Placement'                                                   ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','mgtd','Malignant Gestational Trophoblastic Disease'                     ,13,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('iud_contra','ptur','Known Pelvic Tuberculosis'                                       ,14,0,0);

DELETE FROM list_options WHERE list_id = 'sur_screen';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_screen','vol'   ,'The client is making a voluntary and informed choice without coercion'                          , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_screen','regret','Any non-medical factors likely to cause regret are identified'                                  , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_screen','fit'   ,'Clients fitness for sterilization'                                                              , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_screen','risks' ,'Conditions present that may increase the risks are identified'                                  , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_screen','app'   ,'The most appropriate surgical approach, anaesthetic regimen and type of facility are determined', 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_screen','couns' ,'Counselling specific to method'                                                                 , 6,0,0);

DELETE FROM list_options WHERE list_id = 'sur_type';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_type','mini','Minilaparotomy'           , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_type','lap' ,'Laparoscopy'              , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_type','oth' ,'Other Surgical Approaches', 3,0,0);

DELETE FROM list_options WHERE list_id = 'sur_post_ins';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_post_ins','care','How to Care for the Wound'                                        , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_post_ins','meds','How to Use any Post-Operative Medications that are Given'         , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_post_ins','rest','Instructions to Rest at Home for the Rest of the Day'             , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_post_ins','warn','What Warning Signs to Look for and What to Do about Each of Them' , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_post_ins','act' ,'When to Resume Normal Activities, including Sexual Intercourse'   , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_post_ins','emg' ,'Where to Go and Whom to Contact in Case of Emergency'             , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_post_ins','foll','When and Where to Return for a Follow-up Visit'                   , 7,0,0);

DELETE FROM list_options WHERE list_id = 'sur_contra';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','preg'  ,'Pregnancy'                                                 , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','ppart' ,'Postpartum (7 to <42 days)'                                , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','eclam' ,'Severe pre-eclampsia/eclampsia'                            , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','rupt'  ,'Prolonged rupture of membranes (24 hours or more)'         , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','psep'  ,'Puerperal sepsis or intrapartum/puerperal fever'           , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','phem'  ,'Severe antepartum or postpartum haemorrhage'               , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','dtraum','Severe trauma to the genital tract at the time of delivery', 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','asep'  ,'Post-abortion sepsis'                                      , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','ahem'  ,'Severe post-abortion haemorrhage'                          , 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','atraum','Severe trauma to the genital tract at the time of abortion',10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','haema' ,'Acute haematometra'                                        ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','throm' ,'Deep vein thrombosis /pulmonary embolism'                  ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','immob' ,'Major surgery with prolonged immobilization'               ,13,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','ihd'   ,'Current ischaemic heart disease'                           ,14,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','uvb'   ,'Unexplained vaginal bleeding before evaluation'            ,15,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','mgtd'  ,'Malignant gestational trophoblastic disease'               ,16,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','ccan'  ,'Cervical cancer awaiting treatment'                        ,17,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','pid'   ,'Pelvic inflammatory disease (PID)'                         ,18,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','sti'   ,'Sexually transmitted infection'                            ,19,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','gall'  ,'Current gallbladder disease'                               ,20,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','hep'   ,'Active viral hepatitis'                                    ,21,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','iron'  ,'Iron deficiency anaemia'                                   ,22,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','asi'   ,'Local abdominal skin infection'                            ,23,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','brpn'  ,'Acute bronchitis or pneumonia'                             ,24,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','sig'   ,'Systemic infection or gastroenteritis'                     ,25,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('sur_contra','absur' ,'Sterilization concurrent with abdominal surgery'           ,26,0,0);

DELETE FROM list_options WHERE list_id = 'nat_reason';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_reason','side','Fear of side-effects'                   , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_reason','god' ,'Religious or other cultural constraints', 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_reason','acc' ,'Difficult access to other methods'      , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_reason','oth' ,'Other'                                  , 4,0,0);

DELETE FROM list_options WHERE list_id = 'nat_method';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_method','bbt' ,'Basal body temperature (BBT)'          , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_method','bill','Cervical mucus or ovulation (Billings)', 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_method','ok'  ,'Calendar or rhythm (Ogino-Klaus)'      , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_method','stm' ,'Sympto-thermal method'                 , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_method','sdm' ,'Standard days method (SDM)'            , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('nat_method','oth' ,'Other'                                 , 6,0,0);

DELETE FROM list_options WHERE list_id = 'emg_reason';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','mcop','Three or more combined oral contraceptive pills missed in consecutive days'     , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','mpro','One progestogen-only contraceptive pill taken 3 or more hours late'             , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','con' ,'Condom rupture or slippage'                                                     , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','dia' ,'Diaphragm dislodgement or early removal'                                        , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','fci' ,'Failed coitus interruptus (e.g. ejaculation in vagina or on external genitalia)', 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','fabm','Miscalculation of the safe period when using a FABM'                            , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','iud' ,'IUD expulsion'                                                                  , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','vsa' ,'victim of sexual assault'                                                       , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_reason','oth' ,'Other'                                                                          , 9,0,0);

DELETE FROM list_options WHERE list_id = 'emg_method';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_method','ecp' ,'Emergency contraceptive pills (ECPs): progestogen-only or combined', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_method','opoc','Oestrogen/progestogen oral contraceptives'                         , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_method','iud' ,'Copper-releasing IUDs'                                             , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('emg_method','oth' ,'Other'                                                             , 4,0,0);

INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','menhist'     ,'Contraceptive Menstrual History'                   , 92,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','lmp'         ,'Contraceptive Last Menstrual Period'               , 93,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','bleeding'    ,'Menstrual Bleeding Characteristics'                , 94,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','hor_contra'  ,'Contraindications of Hormonal Contraception'       , 95,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','menpain'     ,'Type of Menstrual Pain'                            , 96,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','uteruspos'   ,'Uterus Positions'                                  , 97,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','iud_contra'  ,'Contraindications of Barrier/IUD Contraception'    , 98,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','sur_screen'  ,'Pre-Operative Screening for Surgical Contraception', 99,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','sur_type'    ,'Types of Contraceptive Surgery'                    ,100,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','sur_post_ins','Post-Operative Instructions'                       ,101,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','sur_contra'  ,'Contraindications of Surgical Contraception'       ,102,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','nat_reason'  ,'Reasons for Adopting Natural (FABM) Contraception' ,103,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','nat_method'  ,'Types of Natural (FABM) Contraception'             ,104,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','emg_reason'  ,'Reasons for Using Emergency Contraception'         ,105,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','emg_method'  ,'Types of Emergency Contraception'                  ,106,0,0);

-- The following added on 2009-01-04.
-- Note history_data includes usertext11-30, userdate11-15, userarea11-12.

DELETE FROM layout_options WHERE form_id = 'HIS';

INSERT INTO layout_options VALUES ('HIS','usertext12'          ,'1Personal','Blood Group'         , 1, 1,1, 0,  0,'bloodgroup' ,1,1,'','' ,'Blood Group');
INSERT INTO layout_options VALUES ('HIS','usertext13'          ,'1Personal','RH Factor'           , 2, 1,1, 0,  0,'rh_factor'  ,1,1,'','' ,'RH Factor');
INSERT INTO layout_options VALUES ('HIS','usertext11'          ,'1Personal','Risk Factors'        , 3,21,1, 0,  0,'riskfactors',1,1,'','' ,'Risk Factors');
INSERT INTO layout_options VALUES ('HIS','exams'               ,'1Personal','Exams/Tests'         , 4,23,1, 0,  0,'exams'      ,1,1,'','' ,'Exam and test results');
INSERT INTO layout_options VALUES ('HIS','usertext14'          ,'1Personal','Surgical History'    , 5,25,1, 0,  0,'surghist'   ,1,3,'','' ,'Surgeries with dates/notes');
INSERT INTO layout_options VALUES ('HIS','coffee'              ,'1Personal','Coffee'              , 6, 2,1,20,255,''           ,1,1,'','' ,'Caffeine consumption');
INSERT INTO layout_options VALUES ('HIS','tobacco'             ,'1Personal','Tobacco'             , 7, 2,1,20,255,''           ,1,1,'','' ,'Tobacco use');
INSERT INTO layout_options VALUES ('HIS','alcohol'             ,'1Personal','Alcohol'             , 8, 2,1,20,255,''           ,1,1,'','' ,'Alcohol consumption');
INSERT INTO layout_options VALUES ('HIS','sleep_patterns'      ,'1Personal','Sleep Patterns'      , 9, 2,1,20,255,''           ,1,1,'','' ,'Sleep patterns');
INSERT INTO layout_options VALUES ('HIS','exercise_patterns'   ,'1Personal','Exercise Patterns'   ,10, 2,1,20,255,''           ,1,1,'','' ,'Exercise patterns');
INSERT INTO layout_options VALUES ('HIS','seatbelt_use'        ,'1Personal','Seatbelt Use'        ,11, 2,1,20,255,''           ,1,1,'','' ,'Seatbelt use');
INSERT INTO layout_options VALUES ('HIS','counseling'          ,'1Personal','Counseling'          ,12, 2,1,20,255,''           ,1,1,'','' ,'Counseling activities');
INSERT INTO layout_options VALUES ('HIS','hazardous_activities','1Personal','Hazardous Activities',13, 2,1,20,255,''           ,1,1,'','' ,'Hazardous activities');

INSERT INTO layout_options VALUES ('HIS','history_father'               ,'2Relatives','Father'             , 1, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','history_mother'               ,'2Relatives','Mother'             , 2, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','history_siblings'             ,'2Relatives','Siblings'           , 3, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','history_spouse'               ,'2Relatives','Spouse'             , 4, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','history_offspring'            ,'2Relatives','Offspring'          , 5, 2,1,20,255,'',1,3,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_cancer'             ,'2Relatives','Cancer'             , 6, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_tuberculosis'       ,'2Relatives','Tuberculosis'       , 7, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_diabetes'           ,'2Relatives','Diabetes'           , 8, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_high_blood_pressure','2Relatives','High Blood Pressure', 9, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_heart_problems'     ,'2Relatives','Heart Problems'     ,10, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_stroke'             ,'2Relatives','Stroke'             ,11, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_epilepsy'           ,'2Relatives','Epilepsy'           ,12, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_mental_illness'     ,'2Relatives','Mental Illness'     ,13, 2,1,20,255,'',1,1,'','' ,'');
INSERT INTO layout_options VALUES ('HIS','relatives_suicide'            ,'2Relatives','Suicide'            ,14, 2,1,20,255,'',1,3,'','' ,'');

INSERT INTO layout_options VALUES ('HIS','usertext15','3Reproductive Women','Menstrual', 1,22,1, 0,  0,'genmenhist',1,1,'','' ,'Menstrual History');
INSERT INTO layout_options VALUES ('HIS','usertext16','3Reproductive Women','Obstetric', 2,22,1, 0,  0,'genobshist',1,1,'','' ,'Obstetric History');
INSERT INTO layout_options VALUES ('HIS','usertext17','3Reproductive Women','Abortion' , 3,22,1, 0,  0,'genabohist',1,1,'','' ,'Abortion History');

INSERT INTO layout_options VALUES ('HIS','usertext18','4Reproductive General','HIV/AIDS' , 1,21,1, 0,  0,'genhivhist',1,1,'','' ,'HIV/AIDS History');
INSERT INTO layout_options VALUES ('HIS','usertext19','4Reproductive General','ITS/ITR'  , 2,21,1, 0,  0,'genitshist',1,1,'','' ,'ITS/ITR History');
INSERT INTO layout_options VALUES ('HIS','usertext20','4Reproductive General','Fertility', 3,21,1, 0,  0,'genferhist',1,1,'','' ,'Infertility/Subfertility History');
INSERT INTO layout_options VALUES ('HIS','usertext21','4Reproductive General','Urology'  , 4,21,1, 0,  0,'genurohist',1,1,'','' ,'Urology History');

INSERT INTO layout_options VALUES ('HIS','name_1'            ,'5Other','Name/Value'        ,1, 2,1,10,255,'',1,1,'','' ,'Name 1' );
INSERT INTO layout_options VALUES ('HIS','value_1'           ,'5Other',''                  ,2, 2,1,10,255,'',0,0,'','' ,'Value 1');
INSERT INTO layout_options VALUES ('HIS','name_2'            ,'5Other','Name/Value'        ,3, 2,1,10,255,'',1,1,'','' ,'Name 2' );
INSERT INTO layout_options VALUES ('HIS','value_2'           ,'5Other',''                  ,4, 2,1,10,255,'',0,0,'','' ,'Value 2');
INSERT INTO layout_options VALUES ('HIS','additional_history','5Other','Additional History',5, 3,1,30,  3,'',1,3,'' ,'' ,'Additional history notes');
INSERT INTO layout_options VALUES ('HIS','userarea11','5Other','User Defined Area 11',6,3,0,30,3,'',1,3,'','','User Defined');
INSERT INTO layout_options VALUES ('HIS','userarea12','5Other','User Defined Area 12',7,3,0,30,3,'',1,3,'','','User Defined');

DELETE FROM list_options WHERE list_id = 'surghist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','gi'    ,'Gastrointestinal Tract',  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','bil'   ,'Biliary System'        ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','spleen','Spleen'                ,  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','liver' ,'Liver'                 ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','pan'   ,'Pancreas'              ,  5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','hernia','Hernia'                ,  6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','endo'  ,'Endocrine Glands'      ,  7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','thorax','Thorax'                ,  8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('surghist','oth'   ,'Others'                ,  9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','surghist','Surgical History',110,0,0);

DELETE FROM list_options WHERE list_id = 'genmenhist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genmenhist','agemen'   ,'Age of Menarche'                     ,  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genmenhist','durabs'   ,'Duration of Absence (days)'          ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genmenhist','days'     ,'Average No. of Days'                 ,  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genmenhist','lmp'      ,'Last Normal Period (date)'           ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genmenhist','cyclen'   ,'Cycle Length (days)'                 ,  5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genmenhist','flowlen'  ,'Flow Length (days)'                  ,  6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genmenhist','bleedflow','Flow Bleeding (L/M/H)'               ,  7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genmenhist','bleedslp' ,'Bleeding/spotting since last period?',  8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','genmenhist','General Menstrual History',111,0,0);

DELETE FROM list_options WHERE list_id = 'genobshist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','npreg','Total No. of Pregnancies'        ,  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','agefp','Age at First Pregnancy'          ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','nlc'  ,'Number of Living Children'       ,  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','nacw' ,'How Many More Children Wanted'   ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','nclw' ,'No. Children Now Living with You',  5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','nlb'  ,'Number of Live Births'           ,  6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','nvd'  ,'Number of Vaginal Deliveries'    ,  7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','ncs'  ,'Number of C Sections'            ,  8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genobshist','dlpe' ,'Date Last Pregnancy Ended'       ,  9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','genobshist','General Obstetric History',112,0,0);

DELETE FROM list_options WHERE list_id = 'genabohist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genabohist','age1st','Age at First Abortion'                 ,  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genabohist','nmis'  ,'No. Miscarriages/Spontaneous Abortions',  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genabohist','nstill','Number of Stillbirths'                 ,  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genabohist','ntubal','No. of Tubal Pregnancies (Ectopic)'    ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genabohist','nia'   ,'Number of Induced Abortions'           ,  5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','genabohist','General Abortion History',113,0,0);

DELETE FROM list_options WHERE list_id = 'genhivhist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','info'  ,'Client is informed about HIV transmission'       ,  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','couns' ,'Client has received HIV Test Counselling'        ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','test'  ,'Client has been HIV tested'                      ,  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','hpos'  ,'Client has tested HIV positive'                  ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','apos'  ,'Client has developed AIDS'                       ,  5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','infect','Client has developed an oportunistic infection'  ,  6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','treat' ,'Client has received HIV/AIDS treatment'          ,  7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','psych' ,'Client has received psycho-social support'       ,  8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genhivhist','discr' ,'Client has  been victim of stigma/discrimination',  9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','genhivhist','HIV/AIDS Basic History',114,0,0);

DELETE FROM list_options WHERE list_id = 'genitshist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genitshist','info' ,'Client is informed about ITS transmission',  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genitshist','couns','Client has received ITS  Counselling'     ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genitshist','test' ,'Client has been ITS tested'               ,  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genitshist','pos'  ,'Client has tested ITS positive'           ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genitshist','treat','Client has received ITS treatment'        ,  5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','genitshist','ITS/ITR Basic History',115,0,0);

DELETE FROM list_options WHERE list_id = 'genferhist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genferhist','nc12','No conception after 12 months w/o FP & female <34 years',  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genferhist','nc6' ,'No conception after 6 months w/o FP & female >35 years' ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genferhist','finc','Female is incapable of carrying a pregnancy to term'    ,  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genferhist','year','Tried unsuccessfully to have a child for a year or more',  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','genferhist','Infertility/Subfertility Basic History',116,0,0);

DELETE FROM list_options WHERE list_id = 'genurohist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genurohist','ucon'  ,'Client reports urinary concerns'       ,  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genurohist','icon'  ,'Client reports incontinency concerns'  ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genurohist','infect','Client reports genital infection'      ,  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genurohist','pain'  ,'Client reports genital pain'           ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genurohist','treat' ,'Client has undergone genital treatment',  5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('genurohist','sur'   ,'Client has undergone genital surgery'  ,  6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','genurohist','Urology Basic History',117,0,0);

DELETE FROM list_options WHERE list_id = 'conrisks';
DELETE FROM list_options WHERE list_id = 'lists' AND option_id = 'conrisks';

-- The following added/moved/revised on 2009-01-16.

DELETE FROM list_options WHERE list_id = 'sti';
DELETE FROM list_options WHERE list_id = 'lists' AND option_id = 'sti';

DELETE FROM layout_options WHERE form_id = 'CON';
INSERT INTO layout_options VALUES ('CON','prev_method'  ,'aStatistics' ,'Last Method Used'             , 1,21,1, 2, 0,'contrameth'  ,1,3,'','' ,'Last Contraceptive Method Used');
INSERT INTO layout_options VALUES ('CON','new_method'   ,'aStatistics' ,'New Method Adopted'           , 2,21,1, 2, 0,'contrameth'  ,1,3,'','' ,'Contraceptive Method Adopted at This Visit');
INSERT INTO layout_options VALUES ('CON','reason_chg'   ,'aStatistics' ,'Reason for Method Change'     , 3,21,1, 2, 0,'mcreason'    ,1,3,'','' ,'Reasons for Method Change');
INSERT INTO layout_options VALUES ('CON','reason_term'  ,'aStatistics' ,'Reason for Method Termination', 4,21,1, 2, 0,'mcreason'    ,1,3,'','' ,'Reasons for Method Termination');
INSERT INTO layout_options VALUES ('CON','usertext11'   ,'aStatistics' ,'General Risk Factors'         , 5,21,1, 2, 0,'riskfactors' ,1,3,'','H','');
INSERT INTO layout_options VALUES ('CON','hor_history'  ,'bHormonal'   ,'Menstrual History'            , 1,21,1, 2, 0,'menhist'     ,1,3,'','' ,'Menstrual History');
INSERT INTO layout_options VALUES ('CON','hor_lmp'      ,'bHormonal'   ,'Last Menstrual Period'        , 2, 1,1, 0, 0,'lmp'         ,1,3,'','' ,'Last Menstrual Period');
INSERT INTO layout_options VALUES ('CON','hor_flow'     ,'bHormonal'   ,'Nature of Menstrual Flow'     , 3,21,1, 4, 0,'flowtype'    ,1,3,'','' ,'Nature of Menstrual Flow');
INSERT INTO layout_options VALUES ('CON','hor_bleeding' ,'bHormonal'   ,'Bleeding'                     , 4,21,1, 4, 0,'bleeding'    ,1,3,'','' ,'Menstrual Bleeding Characteristics');
INSERT INTO layout_options VALUES ('CON','hor_contra'   ,'bHormonal'   ,'Contraindications'            , 5,21,1, 1, 0,'hor_contra'  ,1,3,'','' ,'Contraindications of Hormonal Contraception');
INSERT INTO layout_options VALUES ('CON','iud_history'  ,'cBarrier/IUD','Menstrual History'            , 1,21,1, 2, 0,'menhist'     ,1,3,'','' ,'Menstrual History');
INSERT INTO layout_options VALUES ('CON','iud_lmp'      ,'cBarrier/IUD','Last Menstrual Period'        , 2, 1,1, 0, 0,'lmp'         ,1,3,'','' ,'Last Menstrual Period');
INSERT INTO layout_options VALUES ('CON','iud_pain'     ,'cBarrier/IUD','Pain during Menses'           , 3,21,1, 2, 0,'menpain'     ,1,3,'','' ,'Type of Pain during Menses');
INSERT INTO layout_options VALUES ('CON','iud_upos'     ,'cBarrier/IUD','Uterus Position'              , 4, 1,1, 0, 0,'uteruspos'   ,1,3,'','' ,'Uterus Position');
INSERT INTO layout_options VALUES ('CON','iud_contra'   ,'cBarrier/IUD','Contraindications'            , 5,21,1, 0, 0,'iud_contra'  ,1,3,'','' ,'Contraindications of Barrier/IUD Contraception');
INSERT INTO layout_options VALUES ('CON','sur_screen'   ,'dSurgical'   ,'Pre-Operative Screening'      , 1,21,1, 1, 0,'sur_screen'  ,1,3,'','' ,'Pre-Operative Screening for Surgical Contraception');
INSERT INTO layout_options VALUES ('CON','sur_anes'     ,'dSurgical'   ,'Type of Anesthesia'           , 2, 1,1, 0, 0,'anesthesia'  ,1,3,'','' ,'Type of Anesthesia for Surgical Contraception');
INSERT INTO layout_options VALUES ('CON','sur_type'     ,'dSurgical'   ,'Type of Surgical Approach'    , 3, 1,1, 0, 0,'sur_type'    ,1,3,'','' ,'Type of Contraceptive Surgery');
INSERT INTO layout_options VALUES ('CON','sur_post_ins' ,'dSurgical'   ,'Post-Operative Instructions'  , 4,21,1, 0, 0,'sur_post_ins',1,3,'','' ,'Post-Operative Instructions');
INSERT INTO layout_options VALUES ('CON','sur_contra'   ,'dSurgical'   ,'Contraindications'            , 5,21,1, 0, 0,'sur_contra'  ,1,3,'','' ,'Contraindications of Surgical Contraception');
INSERT INTO layout_options VALUES ('CON','nat_reason'   ,'eNatural'    ,'Reason for Adopting a FABM'   , 1,21,1, 2, 0,'nat_reason'  ,1,3,'','' ,'Reasons for Adopting Natural Contracepation');
INSERT INTO layout_options VALUES ('CON','nat_method'   ,'eNatural'    ,'FABM Method Adopted'          , 2, 1,1, 0, 0,'nat_method'  ,1,3,'','' ,'Type of Natural Contraception');
INSERT INTO layout_options VALUES ('CON','emg_reason'   ,'fEmergency'  ,'Reason for Using EC'          , 1,21,1, 1, 0,'emg_reason'  ,1,3,'','' ,'Reasons for Using Emergency Contracepation');
INSERT INTO layout_options VALUES ('CON','emg_method'   ,'fEmergency'  ,'EC Method Adopted'            , 2, 1,1, 0, 0,'emg_method'  ,1,3,'','' ,'Type of Emergency Contraception');

CREATE TABLE IF NOT EXISTS lists_ippf_srh (
  id          bigint(20)   NOT NULL,
  men_hist    varchar(255) NOT NULL DEFAULT '',
  men_compl   varchar(255) NOT NULL DEFAULT '',
  pap_hist    varchar(255) NOT NULL DEFAULT '',
  gyn_exams   varchar(255) NOT NULL DEFAULT '',
  pr_status   varchar(255) NOT NULL DEFAULT '',
  gest_age_by varchar(255) NOT NULL DEFAULT '',
  obs_exams   varchar(255) NOT NULL DEFAULT '',
  pr_outcome  varchar(255) NOT NULL DEFAULT '',
  pr_compl    varchar(255) NOT NULL DEFAULT '',
  abo_exams   varchar(255) NOT NULL DEFAULT '',
  hiv_exams   varchar(255) NOT NULL DEFAULT '',
  its_exams   varchar(255) NOT NULL DEFAULT '',
  fer_exams   varchar(255) NOT NULL DEFAULT '',
  fer_causes  varchar(255) NOT NULL DEFAULT '',
  fer_treat   varchar(255) NOT NULL DEFAULT '',
  uro_exams   varchar(255) NOT NULL DEFAULT '',
  uro_disease varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (id)
) ENGINE=MyISAM;

DELETE FROM layout_options WHERE form_id = 'SRH';
INSERT INTO layout_options VALUES ('SRH','usertext15' ,'aGynecology'                ,'Menstrual History'             , 1,22,1, 0, 0,'genmenhist'  ,1,3,'','H','');
INSERT INTO layout_options VALUES ('SRH','men_hist'   ,'aGynecology'                ,'Recent Menstrual History'      , 2,21,1, 2, 0,'menhist'     ,1,3,'','','Recent Menstrual History');
INSERT INTO layout_options VALUES ('SRH','men_compl'  ,'aGynecology'                ,'Menstrual Complications'       , 3,21,1, 2, 0,'men_compl'   ,1,3,'','','Menstrual Complications');
INSERT INTO layout_options VALUES ('SRH','pap_hist'   ,'aGynecology'                ,'Pap Smear Recent History'      , 4,22,1, 0, 0,'pap_hist'    ,1,3,'','','Pap Smear Recent History');
INSERT INTO layout_options VALUES ('SRH','gyn_exams'  ,'aGynecology'                ,'Gynecological Tests'           , 5,23,1, 0, 0,'gyn_exams'   ,1,1,'','','Gynecological test results');
INSERT INTO layout_options VALUES ('SRH','pr_status'  ,'bObstetrics'                ,'Pregnancy Status Confirmed'    , 1, 1,1, 0, 0,'pr_status'   ,1,3,'','','Pregnancy Status Confirmed');
INSERT INTO layout_options VALUES ('SRH','gest_age_by','bObstetrics'                ,'Gestational Age Confirmed By'  , 2, 1,1, 0, 0,'gest_age_by' ,1,3,'','','Gestational Age Confirmed By');
INSERT INTO layout_options VALUES ('SRH','usertext12' ,'bObstetrics'                ,'Blood Group'                   , 3, 1,1, 0, 0,'bloodgroup'  ,1,3,'','H','');
INSERT INTO layout_options VALUES ('SRH','usertext13' ,'bObstetrics'                ,'RH Factor'                     , 4, 1,1, 0, 0,'rh_factor'   ,1,3,'','H','');
INSERT INTO layout_options VALUES ('SRH','obs_exams'  ,'bObstetrics'                ,'Obstetric Tests'               , 5,23,1, 0, 0,'obs_exams'   ,1,1,'','','Obstetric test results');
INSERT INTO layout_options VALUES ('SRH','usertext16' ,'bObstetrics'                ,'Obstetric History'             , 6,22,1, 0, 0,'genobshist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('SRH','pr_outcome' ,'bObstetrics'                ,'Outcome of Last Pregnancy'     , 7,21,1, 2, 0,'pr_outcome'  ,1,3,'','','Outcome of Last Pregnancy');
INSERT INTO layout_options VALUES ('SRH','pr_compl'   ,'bObstetrics'                ,'Pregnancy Complications'       , 8,21,1, 2, 0,'pr_compl'    ,1,3,'','','Pregnancy Complications');
INSERT INTO layout_options VALUES ('SRH','usertext17' ,'cBasic RH (female only)'    ,'Abortion Basic History'        , 1,22,1, 0, 0,'genabohist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('SRH','abo_exams'  ,'cBasic RH (female only)'    ,'Abortion Tests'                , 2,23,1, 0, 0,'abo_exams'   ,1,1,'','','Abortion test results');
INSERT INTO layout_options VALUES ('SRH','usertext18' ,'dBasic RH (female and male)','HIV/AIDS Basic History'        , 1,21,1, 0, 0,'genhivhist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('SRH','hiv_exams'  ,'dBasic RH (female and male)','HIV/AIDS Tests'                , 2,23,1, 0, 0,'hiv_exams'   ,1,1,'','','HIV/AIDS test results');
INSERT INTO layout_options VALUES ('SRH','usertext19' ,'dBasic RH (female and male)','ITS/ITR Basic History'         , 3,21,1, 0, 0,'genitshist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('SRH','its_exams'  ,'dBasic RH (female and male)','ITS/ITR Tests'                 , 4,23,1, 0, 0,'its_exams'   ,1,1,'','','ITS/ITR test results');
INSERT INTO layout_options VALUES ('SRH','usertext20' ,'dBasic RH (female and male)','Fertility Basic History'       , 5,21,1, 0, 0,'genferhist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('SRH','fer_exams'  ,'dBasic RH (female and male)','Fertility Tests'               , 6,23,1, 0, 0,'fer_exams'   ,1,1,'','','Infertility/subfertility test results');
INSERT INTO layout_options VALUES ('SRH','fer_causes' ,'dBasic RH (female and male)','Causes of Infertility'         , 7,21,1, 2, 0,'fer_causes'  ,1,3,'','','Causes of Infertility');
INSERT INTO layout_options VALUES ('SRH','fer_treat'  ,'dBasic RH (female and male)','Infertility Treatment'         , 8,21,1, 2, 0,'fer_treat'   ,1,3,'','','Infertility Treatment');
INSERT INTO layout_options VALUES ('SRH','usertext21' ,'dBasic RH (female and male)','Urology Basic History'         , 9,21,1, 0, 0,'genurohist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('SRH','uro_exams'  ,'dBasic RH (female and male)','Urology Tests'                 ,10,23,1, 0, 0,'uro_exams'   ,1,1,'','','Urology test results');
INSERT INTO layout_options VALUES ('SRH','uro_disease','dBasic RH (female and male)','Male Genitourinary diseases'   ,11,21,1, 2, 0,'uro_disease' ,1,3,'','','Male Genitourinary diseases');

DELETE FROM list_options WHERE list_id = 'men_compl';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('men_compl','bleed'    ,'Heavy Menstrual Bleeding'  ,  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('men_compl','nomen'    ,'Absence of Menstruation'   ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('men_compl','abn'      ,'Abnormal Menstrual Periods',  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('men_compl','perpain'  ,'Painful Periods'           ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('men_compl','menpain'  ,'Painful Menstruation'      ,  5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('men_compl','oth'      ,'Other'                     ,  6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists'    ,'men_compl','Menstrual Complications'   ,118,0,0);

DELETE FROM list_options WHERE list_id = 'pap_hist';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pap_hist','dtlast'    ,'Date of Last Pap Smear'       ,  1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pap_hist','results'   ,'Results of Last Pap Smear'    ,  2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pap_hist','treat'     ,'Treatment for cervical cancer',  3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pap_hist','dtnext'    ,'Date of Next Pap Smear'       ,  4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists'   ,'pap_hist'  ,'Pap Smear History'            ,119,0,0);

DELETE FROM list_options WHERE list_id = 'gyn_exams';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'pap','Pap / Cytology'         , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'img','Diagnostic Imaging'     , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'hys','Hysterosalpingography'  , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'mam','Mammography'            , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'son','Ultrasonography'        , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'tom','Tomography'             , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'bds','Dexa, Bone Density Scan', 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'man','Manual exams'           , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'mpe','Manual Pelvic Exam'     , 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'mbe','Manual Breast Exam'     ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('gyn_exams' ,'oth','Other'                  ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists'     ,'gyn_exams','Gynecological Tests',120,0,0);

DELETE FROM list_options WHERE list_id = 'obs_exams';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('obs_exams' ,'fet','Fetoscopy'                     , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('obs_exams' ,'son','Ultrasonography, Pre-natal'    , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('obs_exams' ,'pel','Pelvimetry'                    , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('obs_exams' ,'pla','Placental Function Tests'      , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('obs_exams' ,'utm','Uterine Monitoring'            , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('obs_exams' ,'fem','Fetal Monitoring'              , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('obs_exams' ,'pnc','Pre natal Care - Immunisations', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists'     ,'obs_exams','Obstetric Tests',121,0,0);

DELETE FROM list_options WHERE list_id = 'pr_outcome';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_outcome' ,'live','Live birth'  , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_outcome' ,'still','Still birth', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_outcome' ,'abo','Abortion'     , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_outcome' ,'ect','Ectopic'      , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_outcome' ,'oth','Other'        , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','pr_outcome','Pregnancy Outcomes',122,0,0);

DELETE FROM list_options WHERE list_id = 'pr_compl';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'vag'    ,'Bacterial Vaginosis'                       , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'rest'   ,'Bed Rest'                                  , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'bleed'  ,'Bleeding During Pregnancy'                 , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'bofum'  ,'Blighted Ovum'                             , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'cercl'  ,'Cervical Cerclage'                         , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'cpox'   ,'Chicken Pox'                               , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'chol'   ,'Cholestasis of Pregnancy'                  , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'compl'  ,'Common Pregnancy Complications'            , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'confet' ,'Concerns regarding Early Fetal Development', 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'cytomeg','Cytomegalovirus (CMV) Infection'           ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'dnc'    ,'D&C procedure after a Miscarriage'         ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'ect'    ,'Ectopic Pregnancy'                         ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'fasd'   ,'Fetal Alcohol Spectrum Disorders'          ,13,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'fgr'    ,'Fetal Growth Restriction'                  ,14,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'dia'    ,'Gestational Diabetes'                      ,15,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'strep'  ,'Group B Strep Infection'                   ,16,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'hafl'   ,'High Amniotic Fluid Levels: Polyhydramnios',17,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'hiv'    ,'HIV/AIDS during Pregnancy'                 ,18,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'hyperm' ,'Hyperemesis Gravidarum'                    ,19,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'incerv' ,'Incompetent Cervix'                        ,20,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'iugr'   ,'Intrauterine Growth Restriction (IUGR)'    ,21,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'sga'    ,'Small for Gestational Age (SGA)'           ,22,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'list'   ,'Listeria'                                  ,23,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'lafl'   ,'Low Amniotic Fluid Levels: Oligohydramnios',24,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'mis'    ,'Miscarriage'                               ,25,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'molar'  ,'Molar Pregnancy'                           ,26,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'accr'   ,'Placenta Accreta'                          ,27,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'prev'   ,'Placenta Previa'                           ,28,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'abrup'  ,'Placental Abruption'                       ,29,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'preecl' ,'Preeclampsia'                              ,30,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'pih'    ,'Pregnancy Induced Hypertension (PIH)'      ,31,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'rhf'    ,'RH Factor'                                 ,32,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'sti'    ,'STDs/STIs During Pregnancy'                ,33,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'tip'    ,'Tipped Uterus'                             ,34,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'tox'    ,'Toxoplasmosis'                             ,35,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'uti'    ,'Urinary Tract Infection'                   ,36,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'vts'    ,'Vanishing Twin Syndrome'                   ,37,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('pr_compl' ,'yeast'  ,'Yeast Infection'                           ,38,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','pr_compl','Pregnancy Complications',123,0,0);

DELETE FROM list_options WHERE list_id = 'abo_exams';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abo_exams' ,'ane','Exclusion of Anaemia'          , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abo_exams' ,'bgr','ABO and Rh blood groups'       , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abo_exams' ,'ect','Exclusion of ectopic pregnancy', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abo_exams' ,'cer','Cervical cytology'             , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abo_exams' ,'hiv','HIV testing'                   , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('abo_exams' ,'oth','Other'                         , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists'     ,'abo_exams','Abortion Tests',124,0,0);

DELETE FROM list_options WHERE list_id = 'hiv_exams';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hiv_exams' ,'eli','ELISA (Blood) Test', 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hiv_exams' ,'wba','Western Blot Assay', 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hiv_exams' ,'ifa','IFA'               , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hiv_exams' ,'rat','Rapid Test'        , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hiv_exams' ,'uri','Urine Test for HIV', 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hiv_exams' ,'vil','Viral Load'        , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hiv_exams' ,'cd4','CD4 count'         , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('hiv_exams' ,'oth','Other'             , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','hiv_exams','HIV/AIDS Tests',125,0,0);

DELETE FROM list_options WHERE list_id = 'its_exams';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'vag','Bacterial Vaginosis'       , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'can','Candidiasis'               , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'cha','Chancroid'                 , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'chl','Chlamydia'                 , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'gon','Gonorrhea'                 , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'hsv','Herpes Simplex (HSV)'      , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'hpv','Human Papillomavirus (HPV)', 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'syp','Syphilis'                  , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'tri','Trichomoniasis'            , 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'hep','Hepatitis B'               ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('its_exams' ,'oth','Other'                     ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','its_exams','ITS/ITR Tests',126,0,0);

DELETE FROM list_options WHERE list_id = 'fer_exams';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'end','Endometrial biopsy'          , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'tes','Testicular biopsy'           , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'lap','Laparoscopy'                 , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'hsc','Histeroscopy'                , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'hsa','Histerosalpingography'       , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'ova','Ovarian ultrasound'          , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'tve','Transvaginal ecography'      , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'pct','Post-coital test'            , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'ftp','Fallopian Tube Patency Tests', 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'ccc','CCCT'                        ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'sem','Semen analysis'              ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'bas','Basal Temperature'           ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'muc','Mucose Analysis'             ,13,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'spc','Sperm Count'                 ,14,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'spg','Spermiogram'                 ,15,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'hor','Hormonal analysis'           ,16,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_exams' ,'oth','Other'                       ,17,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','fer_exams','Infertility/Subfertility Tests',127,0,0);

DELETE FROM list_options WHERE list_id = 'fer_causes';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'edy','Male erectile dysfunction'         , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'end','Female Endometriosis'              , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'pos','Female Polycystic ovarian syndrome', 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'alc','Alcohol Abuse and Alcoholism'      , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'dep','Depression'                        , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'dia','Diabetes'                          , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'hyp','High Blood Pressure'               , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'kid','Kidney Failure'                    , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'msc','Multiple Sclerosis'                , 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'prc','Prostate Cancer'                   ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'smo','Smoking (How to Quit Smoking)'     ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'str','Stress'                            ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'ath','Atherosclerosis'                   ,13,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'ins','Injuries or Surgery'               ,14,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'med','Medications'                       ,15,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_causes' ,'oth','Other'                             ,16,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','fer_causes','Causes of Infertility/Subfertility',128,0,0);

DELETE FROM list_options WHERE list_id = 'fer_treat';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_treat' ,'ovi','Ovulation Induction'           , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_treat' ,'emb','Embryo Transfer'               , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_treat' ,'fer','Fertilization in Vitro'        , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_treat' ,'git','Gamete Intrafallopian Transfer', 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_treat' ,'sem','Artificial Insemination'       , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_treat' ,'ocd','Oocyte Donation'               , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_treat' ,'zit','Zygote Intrafallopian Transfer', 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('fer_treat' ,'oth','Other'                         , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','fer_treat','Infertility/Subfertility Treatments',129,0,0);

DELETE FROM list_options WHERE list_id = 'uro_exams';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_exams' ,'cys','Cystoscopy'               , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_exams' ,'ure','Ureteroscopy'             , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_exams' ,'uro','Urography'                , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_exams' ,'pro','Prostate Cancer Screening', 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_exams' ,'pen','Peniscopy'                , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_exams' ,'oth','Other'                    , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','uro_exams','Urology Tests',130,0,0);

DELETE FROM list_options WHERE list_id = 'uro_disease';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'bal','Balanitis'            , 1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'cry','Cryptorchidism'       , 2,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'ect','Ectopia Testis'       , 3,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'eps','Epispadias'           , 4,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'epd','Epididymitis'         , 5,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'edy','Erectile Dysfunction' , 6,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'fre','Frenulum Breve'       , 7,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'hyd','Hydrocele'            , 8,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'hyp','Hypospadias'          , 9,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'mic','Micropenis'           ,10,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'orc','Orchitis'             ,11,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'par','Paraphimosis'         ,12,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'pec','Penile Cancer'        ,13,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'pef','Penile Fracture'      ,14,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'pey','Peyronies Disease'    ,15,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'phi','Phimosis'             ,16,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'pre','Premature Ejaculation',17,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'prt','Prostatitis'          ,18,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'prc','Prostate Cancer'      ,19,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'spe','Spermatocele'         ,20,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'tec','Testicular Cancer'    ,21,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'tet','Testicular Torsion'   ,22,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('uro_disease' ,'var','Varicocele'           ,23,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','uro_disease','Male Genitourinary diseases',131,0,0);

-- The following added 2009-07-24

DELETE FROM list_options WHERE list_id = 'lbfnames';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lbfnames','LBFgcac','IPPF GCAC',1,0,0);
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lbfnames','LBFsrh' ,'IPPF SRH' ,2,0,0);

DELETE FROM layout_options WHERE form_id = 'LBFsrh';
INSERT INTO layout_options VALUES ('LBFsrh','usertext15' ,'1Gynecology'                ,'Menstrual History'             , 1,22,1, 0, 0,'genmenhist'  ,1,3,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','men_hist'   ,'1Gynecology'                ,'Recent Menstrual History'      , 2,21,1, 2, 0,'menhist'     ,1,3,'','','Recent Menstrual History');
INSERT INTO layout_options VALUES ('LBFsrh','men_compl'  ,'1Gynecology'                ,'Menstrual Complications'       , 3,21,1, 2, 0,'men_compl'   ,1,3,'','','Menstrual Complications');
INSERT INTO layout_options VALUES ('LBFsrh','pap_hist'   ,'1Gynecology'                ,'Pap Smear Recent History'      , 4,22,1, 0, 0,'pap_hist'    ,1,3,'','','Pap Smear Recent History');
INSERT INTO layout_options VALUES ('LBFsrh','gyn_exams'  ,'1Gynecology'                ,'Gynecological Tests'           , 5,23,1, 0, 0,'gyn_exams'   ,1,1,'','','Gynecological test results');
INSERT INTO layout_options VALUES ('LBFsrh','pr_status'  ,'2Obstetrics'                ,'Pregnancy Status Confirmed'    , 1, 1,1, 0, 0,'pr_status'   ,1,3,'','','Pregnancy Status Confirmed');
INSERT INTO layout_options VALUES ('LBFsrh','gest_age_by','2Obstetrics'                ,'Gestational Age Confirmed By'  , 2, 1,1, 0, 0,'gest_age_by' ,1,3,'','','Gestational Age Confirmed By');
INSERT INTO layout_options VALUES ('LBFsrh','usertext12' ,'2Obstetrics'                ,'Blood Group'                   , 3, 1,1, 0, 0,'bloodgroup'  ,1,3,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','usertext13' ,'2Obstetrics'                ,'RH Factor'                     , 4, 1,1, 0, 0,'rh_factor'   ,1,3,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','obs_exams'  ,'2Obstetrics'                ,'Obstetric Tests'               , 5,23,1, 0, 0,'obs_exams'   ,1,1,'','','Obstetric test results');
INSERT INTO layout_options VALUES ('LBFsrh','usertext16' ,'2Obstetrics'                ,'Obstetric History'             , 6,22,1, 0, 0,'genobshist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','pr_outcome' ,'2Obstetrics'                ,'Outcome of Last Pregnancy'     , 7,21,1, 2, 0,'pr_outcome'  ,1,3,'','','Outcome of Last Pregnancy');
INSERT INTO layout_options VALUES ('LBFsrh','pr_compl'   ,'2Obstetrics'                ,'Pregnancy Complications'       , 8,21,1, 2, 0,'pr_compl'    ,1,3,'','','Pregnancy Complications');
INSERT INTO layout_options VALUES ('LBFsrh','usertext17' ,'3Basic RH (female only)'    ,'Abortion Basic History'        , 1,22,1, 0, 0,'genabohist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','abo_exams'  ,'3Basic RH (female only)'    ,'Abortion Tests'                , 2,23,1, 0, 0,'abo_exams'   ,1,1,'','','Abortion test results');
INSERT INTO layout_options VALUES ('LBFsrh','usertext18' ,'4Basic RH (female and male)','HIV/AIDS Basic History'        , 1,21,1, 0, 0,'genhivhist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','hiv_exams'  ,'4Basic RH (female and male)','HIV/AIDS Tests'                , 2,23,1, 0, 0,'hiv_exams'   ,1,1,'','','HIV/AIDS test results');
INSERT INTO layout_options VALUES ('LBFsrh','usertext19' ,'4Basic RH (female and male)','ITS/ITR Basic History'         , 3,21,1, 0, 0,'genitshist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','its_exams'  ,'4Basic RH (female and male)','ITS/ITR Tests'                 , 4,23,1, 0, 0,'its_exams'   ,1,1,'','','ITS/ITR test results');
INSERT INTO layout_options VALUES ('LBFsrh','usertext20' ,'4Basic RH (female and male)','Fertility Basic History'       , 5,21,1, 0, 0,'genferhist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','fer_exams'  ,'4Basic RH (female and male)','Fertility Tests'               , 6,23,1, 0, 0,'fer_exams'   ,1,1,'','','Infertility/subfertility test results');
INSERT INTO layout_options VALUES ('LBFsrh','fer_causes' ,'4Basic RH (female and male)','Causes of Infertility'         , 7,21,1, 2, 0,'fer_causes'  ,1,3,'','','Causes of Infertility');
INSERT INTO layout_options VALUES ('LBFsrh','fer_treat'  ,'4Basic RH (female and male)','Infertility Treatment'         , 8,21,1, 2, 0,'fer_treat'   ,1,3,'','','Infertility Treatment');
INSERT INTO layout_options VALUES ('LBFsrh','usertext21' ,'4Basic RH (female and male)','Urology Basic History'         , 9,21,1, 0, 0,'genurohist'  ,1,1,'','H','');
INSERT INTO layout_options VALUES ('LBFsrh','uro_exams'  ,'4Basic RH (female and male)','Urology Tests'                 ,10,23,1, 0, 0,'uro_exams'   ,1,1,'','','Urology test results');
INSERT INTO layout_options VALUES ('LBFsrh','uro_disease','4Basic RH (female and male)','Male Genitourinary diseases'   ,11,21,1, 2, 0,'uro_disease' ,1,3,'','','Male Genitourinary diseases');

-- The following revised or added 2009-07-28

DELETE FROM layout_options WHERE form_id = 'GCA';
INSERT INTO layout_options VALUES ('GCA','reason'       ,'2Counseling'  ,'Reason for Termination'          , 1,21,1, 0, 0,'abreasons'   ,1,3,'','' ,'Reasons for Termination of Pregnancy');
INSERT INTO layout_options VALUES ('GCA','exp_p_i'      ,'2Counseling'  ,'Explanation of Procedures/Issues', 2,21,1, 2, 0,'exp_p_i'     ,1,3,'','' ,'Explanation of Procedures and Issues');
INSERT INTO layout_options VALUES ('GCA','exp_pop'      ,'2Counseling'  ,'Explanation of Pregnancy Options', 3,21,1, 2, 0,'exp_pop'     ,1,3,'','' ,'Explanation of Pregnancy Options');
INSERT INTO layout_options VALUES ('GCA','ab_contraind' ,'2Counseling'  ,'Contraindications'               , 4,21,1, 2, 0,'ab_contraind',1,3,'','' ,'Contraindications');
INSERT INTO layout_options VALUES ('GCA','screening'    ,'2Counseling'  ,'Screening for SRHR Concerns'     , 5,21,1, 2, 0,'screening'   ,1,3,'','' ,'Screening for SRHR Concerns');
INSERT INTO layout_options VALUES ('GCA','in_ab_proc'   ,'3Admission'   ,'Induced Abortion Procedure'      , 2, 1,1, 0, 0,'in_ab_proc'  ,1,3,'','' ,'Abortion Procedure Accepted or Performed');
INSERT INTO layout_options VALUES ('GCA','ab_types'     ,'3Admission'   ,'Abortion Types'                  , 3,21,1, 2, 0,'ab_types'    ,1,3,'','' ,'Abortion Types');
INSERT INTO layout_options VALUES ('GCA','pr_status'    ,'4Preparatory' ,'Pregnancy Status Confirmed'      , 1, 1,1, 0, 0,'pr_status'   ,1,3,'','' ,'Pregnancy Status Confirmed');
INSERT INTO layout_options VALUES ('GCA','gest_age_by'  ,'4Preparatory' ,'Gestational Age Confirmed By'    , 2, 1,1, 0, 0,'gest_age_by' ,1,3,'','' ,'Gestational Age Confirmed By');
INSERT INTO layout_options VALUES ('GCA','usertext12'   ,'4Preparatory' ,'Blood Group'                     , 3, 1,1, 0, 0,'bloodgroup'  ,1,3,'','H','');
INSERT INTO layout_options VALUES ('GCA','usertext13'   ,'4Preparatory' ,'RH Factor'                       , 4, 1,1, 0, 0,'rh_factor'   ,1,3,'','H','');
INSERT INTO layout_options VALUES ('GCA','prep_procs'   ,'4Preparatory' ,'Preparation Procedures'          , 6,21,1, 0, 0,'prep_procs'  ,1,3,'','' ,'Preparation Procedures');
INSERT INTO layout_options VALUES ('GCA','pre_op'       ,'5Intervention','Pre-Surgery Procedures'          , 1,21,1, 2, 0,'pre_op'      ,1,3,'','' ,'Pre-Surgery Procedures');
INSERT INTO layout_options VALUES ('GCA','anesthesia'   ,'5Intervention','Anesthesia'                      , 2, 1,1, 0, 0,'anesthesia'  ,1,3,'','' ,'Type of Anesthesia Used');
INSERT INTO layout_options VALUES ('GCA','side_eff'     ,'5Intervention','Immediate Side Effects'          , 3,21,1, 2, 0,'side_eff'    ,1,3,'','' ,'Immediate Side Effects (observed at intervention');
INSERT INTO layout_options VALUES ('GCA','post_op'      ,'5Intervention','Post-Surgery Procedures'         , 5,21,1, 2, 0,'post_op'     ,1,3,'','' ,'Post-Surgery Procedures');
INSERT INTO layout_options VALUES ('GCA','qc_ind'       ,'6Followup'    ,'Quality of Care Indicators'      , 1,21,1, 0, 0,'qc_ind'      ,1,3,'','' ,'Quality of Care Indicators');

DELETE FROM layout_options WHERE form_id = 'LBFgcac';
INSERT INTO layout_options VALUES ('LBFgcac','client_status','1Basic Information','Client Status'               , 1,27,2, 0, 0,'clientstatus',1,1,'','' ,'Client Status');
INSERT INTO layout_options VALUES ('LBFgcac','ab_location'  ,'1Basic Information','Type of Visit'               , 2,27,2, 0, 0,'ab_location' ,1,1,'','' ,'Nature of this visit');
INSERT INTO layout_options VALUES ('LBFgcac','in_ab_proc'   ,'1Basic Information','Associated Induced Procedure', 3,27,1, 0, 0,'in_ab_proc'  ,1,3,'','' ,'Applies regardless of when or where done');
INSERT INTO layout_options VALUES ('LBFgcac','complications','2Complications','Complications'                   , 1,21,1, 2, 0,'complication',1,3,'','' ,'Post-Abortion Complications');
INSERT INTO layout_options VALUES ('LBFgcac','main_compl'   ,'2Complications','Main Complication'               , 2, 1,1, 2, 0,'complication',1,3,'','' ,'Primary Complication');
INSERT INTO layout_options VALUES ('LBFgcac','contrameth'   ,'3Contraception','New Method'                      , 1,21,1, 2, 0,'contrameth'  ,1,3,'','' ,'New method adopted');

-- The following revised or added 2009-08-19

DELETE FROM list_options WHERE list_id = 'occupations' AND option_id = 'oth';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('occupations','oth','Other', 1,0,0);
DELETE FROM list_options WHERE list_id = 'lists' AND option_id = 'occupations';
INSERT INTO list_options ( list_id, option_id, title, seq, is_default, option_value ) VALUES ('lists','occupations','Occupations',61,0,0);
UPDATE layout_options SET data_type = 26, list_id = 'occupations'  WHERE form_id = 'DEM' AND field_id = 'occupation';
UPDATE layout_options SET data_type = 26, title = 'Religion'       WHERE form_id = 'DEM' AND field_id = 'userlist5';
UPDATE layout_options SET data_type = 26, title = 'Monthly Income' WHERE form_id = 'DEM' AND field_id = 'userlist3';
UPDATE layout_options SET data_type = 26 WHERE form_id = 'DEM' AND field_id = 'ethnoracial';
UPDATE layout_options SET data_type = 26 WHERE form_id = 'DEM' AND field_id = 'language';
UPDATE layout_options SET data_type = 26 WHERE form_id = 'DEM' AND field_id = 'status';
UPDATE layout_options SET uor = 0 WHERE form_id = 'DEM' AND field_id = 'providerID';

-- The following added 2009-10-12

UPDATE layout_options AS a, list_options AS i SET a.group_name = '1Basic Data', a.title = 'Transgender', a.seq = 13, a.data_type = 26, a.uor = 1, a.description = 'Transgender', i.title = 'Transgender' WHERE a.form_id = 'DEM' AND a.field_id = 'userlist6' AND a.uor = 0 AND i.list_id = 'lists' AND i.option_id = 'userlist6';

-- The following added 2010-01-17 (duplicated in ippf_upgrade.sql)

UPDATE list_options SET mapping = ':2522231'   WHERE list_id = 'in_ab_proc' AND option_id = 's_dnc';
UPDATE list_options SET mapping = ':2522232'   WHERE list_id = 'in_ab_proc' AND option_id = 's_dne';
UPDATE list_options SET mapping = ':2522233'   WHERE list_id = 'in_ab_proc' AND option_id = 's_mva';
UPDATE list_options SET mapping = ':2522239'   WHERE list_id = 'in_ab_proc' AND option_id = 's_oth';
UPDATE list_options SET mapping = ':2522242'   WHERE list_id = 'in_ab_proc' AND option_id = 'm_mis';
UPDATE list_options SET mapping = ':2522241'   WHERE list_id = 'in_ab_proc' AND option_id = 'm_mm';
UPDATE list_options SET mapping = ':2522249'   WHERE list_id = 'in_ab_proc' AND option_id = 'm_oth';
UPDATE list_options SET mapping = ':11214'     WHERE list_id = 'contrameth' AND option_id = 'con';
UPDATE list_options SET mapping = ':11215'     WHERE list_id = 'contrameth' AND option_id = 'dia';
UPDATE list_options SET mapping = ':14521'     WHERE list_id = 'contrameth' AND option_id = 'ec';
UPDATE list_options SET mapping = ':13119'     WHERE list_id = 'contrameth' AND option_id = 'fab';
UPDATE list_options SET mapping = ':11216'     WHERE list_id = 'contrameth' AND option_id = 'fc';
UPDATE list_options SET mapping = ':11113'     WHERE list_id = 'contrameth' AND option_id = 'pat';
UPDATE list_options SET mapping = ':11112'     WHERE list_id = 'contrameth' AND option_id = 'imp';
UPDATE list_options SET mapping = ':11111'     WHERE list_id = 'contrameth' AND option_id = 'inj';
UPDATE list_options SET mapping = ':11317'     WHERE list_id = 'contrameth' AND option_id = 'iud';
UPDATE list_options SET mapping = ':11110'     WHERE list_id = 'contrameth' AND option_id = 'or';
UPDATE list_options SET mapping = ':11215'     WHERE list_id = 'contrameth' AND option_id = 'cap';
UPDATE list_options SET mapping = ':11216'     WHERE list_id = 'contrameth' AND option_id = 'sp';
UPDATE list_options SET mapping = ':12.18'     WHERE list_id = 'contrameth' AND option_id = 'vsc';
UPDATE list_options SET mapping = ':00000'     WHERE list_id = 'contrameth' AND option_id = 'no';

